#!/bin/bash

# Use single quotes to declare string

# =====================================================================================
# Lines to patch

Before=(
	'Balloon_Local(ensx,ensy,180,csd‾"./stg6img/enm5_text.png",[1,0])'
	'ObjSprite2D_SetSourceRect(id,2,183,100,213)'
	'ObjSprite2D_SetSourceRect(id[i], 0+64*i, 0, 64+64*i, 512 )'
	'alpha1 = 1 * sin(alphaA);\r\n\t\t\t\t\r\n\t\t\t\tObjRender_SetPosition(id[i], CenX-64+i*32, CenY-98+i*16, 0 )'
)

After=(
	'Balloon_Local(ensx,ensy+13,180,csd‾"./stg6img/enm5_text.png",[1,0])'
	'ObjSprite2D_SetSourceRect(id,2,183,128,213)'
	'ObjSprite2D_SetSourceRect(id[i], 0, 128+64*i, 512, 128 + 64 + 64*i )'
	'alpha1 = 1 * sin(alphaA);\r\n\t\t\t\t\r\n\t\t\t\tObjRender_SetPosition(id[i], CenX-64+i*32+25, CenY-98+i*16+i*10, 0 )'
)

# =====================================================================================
# Operations

# Escape special symbols
Before[0]=${Before[0]//\[/\\\[};
After[0]=${After[0]//\[/\\\[};
Before[0]=${Before[0]//\//\\\/};
After[0]=${After[0]//\//\\\/};

Before[2]=${Before[2]//\[/\\\[};
After[2]=${After[2]//\[/\\\[};
Before[2]=${Before[2]//\*/\\\*};
After[2]=${After[2]//\*/\\\*};

Before[3]=${Before[3]//\[/\\\[};
After[3]=${After[3]//\[/\\\[};
Before[3]=${Before[3]//\*/\\\*};
After[3]=${After[3]//\*/\\\*};

# ========================================
# Patch files

cd "../script/Th_mpp/enm/stg6";
iconv -f SHIFT-JIS -t UTF-8 06_SpellCard05.dnh > 06_SpellCard05.bck;
eval sed -i -e s/\'${Before[0]}\'/\'${After[0]}\'/g 06_SpellCard05.bck;
iconv -f UTF-8 -t SHIFT-JIS 06_SpellCard05.bck > 06_SpellCard05.dnh;
rm 06_SpellCard05.bck;
cd "../../../../patch/";

cd "../script/Th_mpp/system";
iconv -f SHIFT-JIS -t UTF-8 Task_EnmPattern.dnh > Task_EnmPattern.bck;
eval sed -i -e s/\'${Before[1]}\'/\'${After[1]}\'/g Task_EnmPattern.bck;
iconv -f UTF-8 -t SHIFT-JIS Task_EnmPattern.bck > Task_EnmPattern.dnh;
rm Task_EnmPattern.bck;
cd "../../../patch/";

cd "../script/Th_mpp/enm/stg6";
iconv -f SHIFT-JIS -t UTF-8 06_Event02.dnh > 06_Event02.bck;
eval sed -i -e s/\'${Before[2]}\'/\'${After[2]}\'/g 06_Event02.bck;
eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Before[3]}\'/\'${After[3]}\'/g 06_Event02.bck;
iconv -f UTF-8 -t SHIFT-JIS 06_Event02.bck > 06_Event02.dnh;
rm 06_Event02.bck;
cd "../../../../patch/";

# ========================================
# Change images

cp "./Misc/enm5_text.png" "../script/Th_mpp/enm/stg6/stg6img";
cp "./Misc/enm6_text.png" "../script/Th_mpp/enm/stg6/stg6img";
cp "./Misc/dmj_lilys.png" "../script/Th_mpp/enm/other/Otimg";
cp "./Misc/koti.png" "../script/Th_mpp/enm/stg6/stg6img";
