#!/bin/bash

# Use single quotes to declare string
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"

# =====================================================================================
# Translations

Jap=(
	'ゲーム中で流れる音楽の音量を設定できます'
	'ゲーム中で流れる効果音の音量を設定できます'
	'プレイヤーの初期残機数を設定できます'
	'エフェクトを削減して処理を軽くします'
)

Eng=(
	'Set the volume of music'
	'Set the volume of sound effects'
	'Set the initial number of lives'
	'Set effect reduction to improve performance'
)

# =====================================================================================
# Options

cd "../script/Th_mpp/scene";
iconv -f SHIFT-JIS -t UTF-8 Package_OptionSelectScene.dnh > Package_OptionSelectScene.bck;

for ((i=0; i < ${#Jap[@]}; i++)); do
	eval sed -i -e s/\'${Jap[i]}\'/\'${Eng[i]}\'/g Package_OptionSelectScene.bck;
done;

# Font adjustment

jp='ObjText_SetFontType(id,"ＭＳ ゴシック")';
en='ObjText_SetFontType(id,"Tahoma")';
eval sed -i -e s/\'$jp\'/\'$en\'/g Package_OptionSelectScene.bck;

iconv -f UTF-8 -t SHIFT-JIS Package_OptionSelectScene.bck > Package_OptionSelectScene.dnh;
rm Package_OptionSelectScene.bck;
cd ../../../patch/;
