#!/bin/bash

# Change double quotes with \\\"
# Use single quotes to declare string

# =====================================================================================
# Stage 1

Jap_1=(
	'桜符「錯乱ボム」'
	'桜符「種付き錯乱ボム」'
	'泉符「アクアピラー」'
	'泉符「アクアピラー」'
	'温泉「スーパースプラッシャー」'
	'薬符「荒神印の元気ドリンク」'
	'偽願「十二線の光明」'
	'偽願「十二線の光明」'
	'信仰「アスラズライト」'
	'瑠璃光「海を越えて来た信仰」'
	'符陣「鬼神封珠」'
	'符陣「鬼神封珠」'
	'符陣「鬼神大封玉」'
	'珍玉「薬子如意宝珠」'
)

Eng_1=(
	'Cherry Sign \\\"Wild Cherry Bomb\\\"'
	'Cherry Sign \\\"Seed-Sowing Wild Cherry Bomb\\\"'
	'Spring Sign \\\"Aqua Pillar\\\"'
	'Spring Sign \\\"Aqua Pillar\\\"'
	'Hot Spring \\\"Super Splasher\\\"'
	'Drug Sign \\\"Koujin-Brand Energy Drink\\\"'
	'False Vow \\\"Twelve Lines of Light\\\"'
	'False Vow \\\"Twelve Lines of Light\\\"'
	'Faith \\\"Asura'"'"'s Light\\\"'
	'Lapis Light \\\"Faith that Transcended the Sea\\\"'
	'Magic Circle \\\"Kishin Sealing Bead\\\"'
	'Magic Circle \\\"Kishin Sealing Bead\\\"'
	'Magic Circle \\\"Kishin Great Sealing Orb\\\"'
	'Treasured Orb \\\"Kusuko Chintamani\\\"'
)

File_1=(
	'01_An_SpellCard01_H'
	'01_An_SpellCard01_L'
	'01_SpellCard01_E'
	'01_SpellCard01_N'
	'01_SpellCard01_H'
	'01_SpellCard01_L'
	'01_SpellCard02_E'
	'01_SpellCard02_N'
	'01_SpellCard02_H'
	'01_SpellCard02_L'
	'01_SpellCard03_E'
	'01_SpellCard03_N'
	'01_SpellCard03_H'
	'01_SpellCard03_L'
)

# =====================================================================================
# Stage 2

Jap_2=(
	'松符「ニードルショットガン」'
	'松符「ニードルショットガン」'
	'松符「アイロニックサンダーニードル」'
	'氷針「アイロニックアイシクル」'
	'滑空「栗鼠の隠し羽」'
	'滑空「栗鼠の隠し羽」'
	'不視「隠し羽の隠し刃」'
	'暴風「野鉄砲の無鉄砲」'
	'実弾「ウォールナットフォール」'
	'実弾「ウォールナットフォール」'
	'陽動「毬栗ころころさあ大変」'
	'処分「三尺不発玉」'
	'灯符「野衾奥義ファイヤーブレス」'
	'灯符「野衾奥義ファイヤーブレス」'
	'送火「山焼き大百々爺」'
	'事故「導命樹炎上」'
)

Eng_2=(
	'Pine Sign \\\"Needle Shotgun\\\"'
	'Pine Sign \\\"Needle Shotgun\\\"'
	'Pine Sign \\\"Ironic Thunder Needle\\\"'
	'Ice Needle \\\"Ironic Icicle\\\"'
	'Gliding \\\"Squirrel'"'"'s Hidden Wings\\\"'
	'Gliding \\\"Squirrel'"'"'s Hidden Wings\\\"'
	'Unseen \\\"Hidden Wings'"'"' Hidden Blades\\\"'
	'Storm \\\"Nodeppou'"'"'s Recklessness\\\"'
	'Live Ammo \\\"Walnut Fall\\\"'
	'Live Ammo \\\"Walnut Fall\\\"'
	'Feint \\\"Rolling Chestnuts, Oh My!\\\"'
	'Disposal \\\"Three-Foot Unexploded Shell\\\"'
	'Lamp Sign \\\"Nobusuma'"'"'s Secret Fire Breath\\\"'
	'Lamp Sign \\\"Nobusuma'"'"'s Secret Fire Breath\\\"'
	'Okuribi \\\"Great Momojii'"'"'s Controlled Burn\\\"'
	'Accident \\\"Life-Guiding Tree in Flames\\\"'
)

File_2=(
	'02_An_SpellCard01_E'
	'02_An_SpellCard01_N'
	'02_An_SpellCard01_H'
	'02_An_SpellCard01_L'
	'02_SpellCard01_E'
	'02_SpellCard01_N'
	'02_SpellCard01_H'
	'02_SpellCard01_L'
	'02_SpellCard02_E'
	'02_SpellCard02_N'
	'02_SpellCard02_H'
	'02_SpellCard02_L'
	'02_SpellCard03_E'
	'02_SpellCard03_N'
	'02_SpellCard03_H'
	'02_SpellCard03_L'
)

# =====================================================================================
# Stage 3

Jap_3=(
	'菊符「一輪斬り」'
	'菊符「一輪斬り」'
	'菊符「ヤグルマソーサー」'
	'菊符「フタナミソーサー」'
	'壱眼「イービルゲイズ」'
	'壱眼「イービルゲイズ」'
	'弐眼「フォビドゥンアイ」'
	'参眼「メニーメニーサードアイズ」'
	'発電「ソーラーパワーコンバージョン」'
	'発電「ソーラーパワーコンバージョン」'
	'審判「ジャッジメントデス」'
	'鎌符「死天使光翼刃（サリエルブレード）」'
	'陰符「ムーンゴッデス」'
	'陰符「ムーンゴッデス」'
	'陰陽「トータルイクリプス」'
	'朔望「リーンカーネートサークル」'
	'斬月「ルーネイトスラッシャー」'
	'奥義「幻月剣・嫦娥」'
)

Eng_3=(
	'Chrysanthemum Sign \\\"Monocyclic Slash\\\"'
	'Chrysanthemum Sign \\\"Monocyclic Slash\\\"'
	'Chrysanthemum Sign \\\"Centaurea Saucer\\\"'
	'Chrysanthemum Sign \\\"Scorzonera Saucer\\\"'
	'Cyclops \\\"Evil Gaze\\\"'
	'Cyclops \\\"Evil Gaze\\\"'
	'Biclops \\\"Forbidden Eye\\\"'
	'Triclops \\\"Many Many Third Eyes\\\"'
	'Generation \\\"Solar Power Conversion\\\"'
	'Generation \\\"Solar Power Conversion\\\"'
	'Judgement \\\"Judgement Death\\\"'
	'Scythe Sign \\\"Death Angel Lightwing Blade (Sariel Blade)\\\"'
	'Dark Sign \\\"Moon Goddess\\\"'
	'Dark Sign \\\"Moon Goddess\\\"'
	'Dark \& Light \\\"Total Eclipse\\\"'
	'Szygy \\\"Reincarnate Circle\\\"'
	'Zangetsu \\\"Lunate Slasher\\\"'
	'Arcanum \\\"Phantom Moon Sword: Chang'"'"'e\\\"'
)

File_3=(
	'03_An_SpellCard01_E'
	'03_An_SpellCard01_N'
	'03_An_SpellCard01_H'
	'03_An_SpellCard01_L'
	'03_SpellCard01_E'
	'03_SpellCard01_N'
	'03_SpellCard01_H'
	'03_SpellCard01_L'
	'03_SpellCard02_E'
	'03_SpellCard02_N'
	'03_SpellCard02_H'
	'03_SpellCard02_L'
	'03_SpellCard03_E'
	'03_SpellCard03_N'
	'03_SpellCard03_H'
	'03_SpellCard03_L'
	'03_SpellCard05'
	'03_SpellCard05'
)

# =====================================================================================
# Stage 4

Jap_4=(
	'桜符「シャイニングスターブロッサム」'
	'桜符「シャイニングスターブロッサム」'
	'桜符「八重裏綺羅梅星紋様」'
	'桜符「雲の上の桜花結界」'
	'水風「ヤソバランチャー」'
	'水風「ヤソバランチャー」'
	'瀑符「六天の滝」'
	'海符「幻想水没弾」'
	'炎風「安元の火計」'
	'炎風「安元の火計」'
	'流星「ワンウェイスターバースト」'
	'絶星「天夢流星伝」'
	'神隠し「天狗ゾーン」'
	'神隠し「天狗ゾーン」'
	'意訳「無敵迷彩（インビンシブルレイ）」'
	'恐符「祟徳帝の魔界隠れ」'
	'経符「魔道エコー」'
	'紅符「血塗られた魔界文書」'
	'紅符「血塗られた魔界文書」'
	'邪本「忌避されし魔皇のグリモア」'
	'「迦楼羅天舞」'
	'「迦楼羅天舞」'
	'「ロイヤルモンスター」'
)

Eng_4=(
	'Cherry Sign \\\"Shining Star Blossom\\\"'
	'Cherry Sign \\\"Shining Star Blossom\\\"'
	'Cherry Sign \\\"Gleaming Array of Double-Flowered Reverse Umeboshi Crests\\\"'
	'Cherry Sign \\\"Cherry Blossom Barrier Above the Clouds\\\"'
	'Wet Wind \\\"Yasoba Launcher\\\"'
	'Wet Wind \\\"Yasoba Launcher\\\"'
	'Cascade Sign \\\"Waterfall of the Sixth Heaven\\\"'
	'Cascade Sign \\\"Fantastic Submergence Bullets\\\"'
	'Dry Wind \\\"Burning of Angen\\\"'
	'Dry Wind \\\"Burning of Angen\\\"'
	'Shooting Star \\\"One-Way Starburst\\\"'
	'Ultimate Star \\\"Tenmu Meteor Legend\\\"'
	'Spiriting Away \\\"Tengu Zone\\\"'
	'Spiriting Away \\\"Tengu Zone\\\"'
	'Paraphrasing \\\"Unrivaled Camouflage (Invincible Ray)\\\"'
	'Anger Sign \\\"Emperor Suitoku'"'"'s Spiriting Away to Makai\\\"'
	'Sutra Sign \\\"Devilry Echo\\\"'
	'Scarlet Sign \\\"Bloodstained Makai Document\\\"'
	'Scarlet Sign \\\"Bloodstained Makai Document\\\"'
	'Evil Book \\\"Grimoire of the Demon Emperor in Hiding\\\"'
	'\\\"Garuda'"'"'s Heavenly Dance\\\"'
	'\\\"Garuda'"'"'s Heavenly Dance\\\"'
	'\\\"Royal Monster\\\"'
)

File_4=(
	'04_An_SpellCard01'
	'04_An_SpellCard01'
	'04_An_SpellCard01'
	'04_An_SpellCard01'
	'04_SpellCard01_E'
	'04_SpellCard01_N'
	'04_SpellCard01_H'
	'04_SpellCard01_L'
	'04_SpellCard02_E'
	'04_SpellCard02_N'
	'04_SpellCard02_H'
	'04_SpellCard02_L'
	'04_SpellCard03_E'
	'04_SpellCard03_N'
	'04_SpellCard03_H'
	'04_SpellCard03_L'
	'04_SpellCard04_E'
	'04_SpellCard04_N'
	'04_SpellCard04_H'
	'04_SpellCard04_L'
	'04_SpellCard05_N'
	'04_SpellCard05_H'
	'04_SpellCard05_L'
)

# =====================================================================================
# Stage 5

Jap_5=(
	'虚神「グリーンジャイアント」'
	'虚神「グリーンジャイアント」'
	'護神「ガーディアンズガーデン」'
	'護神「ガーディアンズガーデン」'
	'根性「光合成発電」'
	'根性「光合成発電」'
	'符状「超電導飛梅ドライブ」'
	'飛咲「ククノチオーバードライブ」'
	'桜符「菅原桜吹雪」'
	'桜符「菅原桜吹雪」'
	'桜符「最強桜吹雪」'
	'秋符「飛梅落葉地獄」'
	'分裂「我は杏にして杏に非ず」'
	'分裂「我は杏にして杏に非ず」'
	'自我「フェアリーコギトエルゴスム」'
	'操符「プラムブレイン」'
	'「深緑の聖櫃」'
	'「深緑の聖櫃」'
	'「深緑の聖櫃」'
	'「深緑の方舟」'
)

Eng_5=(
	'Hollow God \\\"Green Giant\\\"'
	'Hollow God \\\"Green Giant\\\"'
	'Protective God \\\"Guardian'"'"'s Garden\\\"'
	'Protective God \\\"Guardian'"'"'s Garden\\\"'
	'Nature \\\"Photosynthetic Power Generation\\\"'
	'Nature \\\"Photosynthetic Power Generation\\\"'
	'Formation \\\"Superconductive Tobiume Drive\\\"'
	'Blowing Petals \\\"Kukunochi Overdrive\\\"'
	'Cherry Sign \\\"Sugawara Cherry Blossom Blizzard\\\"'
	'Cherry Sign \\\"Sugawara Cherry Blossom Blizzard\\\"'
	'Cherry Sign \\\"Ultimate Cherry Blossom Blizzard\\\"'
	'Autumn Sign \\\"Tobiume Fallen Leaf Hell\\\"'
	'Division \\\"I am An, and Yet I am Not\\\"'
	'Division \\\"I am An, and Yet I am Not\\\"'
	'Self \\\"Fairy Cogito Ergo Sum\\\"'
	'Control Sign \\\"Plum Brain\\\"'
	'\\\"Dark Green Ark of the Covenant\\\"'
	'\\\"Dark Green Ark of the Covenant\\\"'
	'\\\"Dark Green Ark of the Covenant\\\"'
	'\\\"Fresh Green Ark of Noah\\\"'
)

File_5=(
	'05_An_SpellCard01'
	'05_An_SpellCard01'
	'05_An_SpellCard01'
	'05_An_SpellCard01'
	'05_SpellCard01'
	'05_SpellCard01'
	'05_SpellCard01'
	'05_SpellCard01'
	'05_SpellCard02'
	'05_SpellCard02'
	'05_SpellCard02'
	'05_SpellCard02'
	'05_SpellCard03'
	'05_SpellCard03'
	'05_SpellCard03'
	'05_SpellCard03'
	'05_SpellCard04'
	'05_SpellCard04'
	'05_SpellCard04'
	'05_SpellCard04'
)

# =====================================================================================
# Stage 6

Jap_6=(
	'激写「スマートスポイラー」'
	'激写「スマートスポイラー」'
	'激写「ライトニングスポイラー」'
	'連写「ドヤ顔ダブルスポイラー」'
	'分身「雷さまの悪戯心」'
	'分身「雷さまの悪戯心」'
	'自演「古代日本三大怨霊」'
	'操演「禍原電樹手習鑑」'
	'自演「雷雨により遣唐使派遣不能」'
	'自演「雷雨により遣唐使派遣不能」'
	'元祖「弘安の真風」'
	'禍符「天人の奇跡」'
	'雷矢「天満宮弓始神事」'
	'雷矢「天満宮弓始神事」'
	'魔弾「鬼芳香弓」'
	'借物「源三位頼政の弓」'
	'雷調「サンダーバード」'
	'雷調「サンダーバード」'
	'鵲橋「イナズマレイヴン」'
	'虹橋「イザヴェルへの道」'
	'大雷火「末法平安京」'
	'大雷火「末法平安京」'
	'大雷火「末法平安京」'
	'大神雷「黄泉津八雷」'
	'「ミンストレルパワープラント」'
	'「ミンストレルパワープラント」'
	'「生命の樹」'
	'「命を導く無限光」'
)

Eng_6=(
	'Superb Photo \\\"Smart Spoiler\\\"'
	'Superb Photo \\\"Smart Spoiler\\\"'
	'Superb Photo \\\"Lightning Spoiler\\\"'
	'Sequential Photo \\\"Smug Face Double Spoiler\\\"'
	'Doppelganger \\\"Lord Thunder'"'"'s Mischief\\\"'
	'Doppelganger \\\"Lord Thunder'"'"'s Mischief\\\"'
	'Self Performance \\\"Ancient Japan'"'"'s Three Great Vengeful Spirits\\\"'
	'Control Performance \\\"Magahara and the Electric Tree Calligraphy\\\"'
	'Self Performance \\\"Impossible to Dispatch Tang Dynasty Envoys Due to Thunderstorm\\\"'
	'Self Performance \\\"Impossible to Dispatch Tang Dynasty Envoys Due to Thunderstorm\\\"'
	'Ancestor \\\"Southern Wind of the Kouan Era\\\"'
	'Calamity Sign \\\"Miracle of the Celestials\\\"'
	'Thunder Arrow \\\"First-Shot Ceremony at Tenmanguu\\\"'
	'Thunder Arrow \\\"First-Shot Ceremony at Tenmanguu\\\"'
	'Magic Bullet \\\"Oni Yoshika Bow\\\"'
	'Borrowed Item \\\"The Bow of Genzanmi Yorimasa\\\"'
	'Thunder Note \\\"Thunder Bird\\\"'
	'Thunder Note \\\"Thunder Bird\\\"'
	'Magpie Bridge \\\"Inazuma Raven\\\"'
	'Rainbow Bridge \\\"The Path to Idavollen\\\"'
	'Great Thunder Blaze \\\"Heiankyou in the Age of Degeneracy\\\"'
	'Great Thunder Blaze \\\"Heiankyou in the Age of Degeneracy\\\"'
	'Great Thunder Blaze \\\"Heiankyou in the Age of Degeneracy\\\"'
	'Great Thunder God \\\"Eight Thunder Gods of Yomotsu\\\"'
	'\\\"Minstrel Power Plant\\\"'
	'\\\"Minstrel Power Plant\\\"'
	'\\\"Tree of Life\\\"'
	'\\\"Life-Guiding Infinite Light\\\"'
)

File_6=(
	'06_An_SpellCard01'
	'06_An_SpellCard01'
	'06_An_SpellCard01'
	'06_An_SpellCard01'
	'06_SpellCard01'
	'06_SpellCard01'
	'06_SpellCard01'
	'06_SpellCard01'
	'06_SpellCard02'
	'06_SpellCard02'
	'06_SpellCard02'
	'06_SpellCard02'
	'06_SpellCard03'
	'06_SpellCard03'
	'06_SpellCard03'
	'06_SpellCard03'
	'06_SpellCard04'
	'06_SpellCard04'
	'06_SpellCard04'
	'06_SpellCard04'
	'06_SpellCard05'
	'06_SpellCard05'
	'06_SpellCard05'
	'06_SpellCard05'
	'06_SpellCard06'
	'06_SpellCard06'
	'06_SpellCard06'
	'06_SpellCard06'
)

# =====================================================================================
# Stage Extra

Jap_7=(
	'修行「煉獄山環道」'
	'力技「モンサンミシェルアクセス向上計画」'
	'うっかり「ウリエルの聖剣」'
	'初符「音撃剣ハツネギ」'
	'鏡符「連綿と輪廻の響界」'
	'愛符「巡り来たる世界樹の恵み」'
	'甘符「スウィートアイスソード改」'
	'巡符「星海の回遊魚」'
	'巡符「頭がおかしくなって死ぬ魔剣」'
	'酩符「アルコウルズ」'
	'蒼符「ラズリングミュージカル」'
	'「遠音リコの消失」'
	'「ARトネリコ」'
)

Eng_7=(
	'Asceticism \\\"Mt. Purgatory'"'"'s Circular Road\\\"'
	'Strength Technique \\\"Mont Saint-Michel Access Improvement Plan\\\"'
	'Carelessness \\\"Uriel'"'"'s Holy Sword\\\"'
	'Beginning Sign \\\"Sonic Attack Sword: Hatsunegi\\\"'
	'Mirror Sign \\\"Echo World of Continuation and Reincarnation\\\"'
	'Love Sign \\\"Blessing of the Revolving World Tree\\\"'
	'Sweet Sign \\\"Sweet Ice Sword V2\\\"'
	'Revolution Sign \\\"Wandering Fish of the Starry Sea\\\"'
	'Revolution Sign \\\"Make-You-Go-Crazy-And-Die Devil Sword\\\"'
	'Drunk Sign \\\"Alcohols\\\"'
	'Blue Sign \\\"Lazuli Ring Musical\\\"'
	'\\\"The Disappearance of Riko Toone\\\"'
	'\\\"A.R. Tonelico\\\"'
)

File_7=(
	'07_A_SpellCard01'
	'07_A_SpellCard02'
	'07_A_SpellCard03'
	'07_SpellCard01'
	'07_SpellCard02'
	'07_SpellCard03'
	'07_SpellCard04'
	'07_SpellCard05'
	'07_SpellCard06'
	'07_SpellCard07'
	'07_SpellCard08'
	'07_SpellCard09'
	'07_SpellCard10'
	'07_A_SpellCard01_PRACTICE'
)

# =====================================================================================
# Hidden

Jap_8=(
	'裏桜符「スピニングサーキュラー」'
	'裏桜符「スピニングサーキュラー」'
	'裏桜符「スピニングサーキュラー」'
	'裏桜符「スピニングサーキュラー」'
	'日月符「薬子曼荼羅」'
	'日月符「薬子曼荼羅」'
	'禁薬「偽神暗鬼」'
	'禁薬「偽神暗鬼」'
	'裏松符「ぽっくりグレネード」'
	'裏松符「ぽっくりグレネード」'
	'裏松符「十四松の舞」'
	'裏松符「十四松の舞」'
	'旋風「ノワルウィンド」'
	'旋風「ノワルウィンド」'
	'鎌鼬「ステルス百々の独壇場」'
	'鎌鼬「ステルス百々の独壇場」'
	'裏菊符「菊光輪」'
	'裏菊符「菊光輪」'
	'裏菊符「50円の威光」'
	'裏菊符「50円の威光」'
	'大鎌「魂ノ収穫者（ソウルリーパー）」'
	'大鎌「魂ノ収穫者（ソウルリーパー）」'
	'伐魂「幽冥ノ爪痕（ホーンテッドシザース）」'
	'伐魂「幽冥ノ爪痕（ホーンテッドシザース）」'
	'裏桜符「千ボム桜」'
	'裏桜符「千ボム桜」'
	'裏桜符「繚乱八重桜」'
	'裏桜符「繚乱八重桜」'
	'葬火「ゴーストストーカー」'
	'葬火「ゴーストストーカー」'
	'幻想「崇徳天皇」'
	'幻想「崇徳天皇」'
	'武符「フラワリングナイツ」'
	'武符「フラワリングナイツ」'
	'殺陣「八重裂きソードダンサー」'
	'殺陣「八重裂きソードダンサー」'
	'木霊「死人囃子」'
	'木霊「死人囃子」'
	'合葬「アンプリファイアンサンブル」'
	'合葬「アンプリファイアンサンブル」'
	'幻写「ミミックギミック」'
	'幻写「ミミックギミック」'
	'幻写「ミシックミミック」'
	'幻写「ミシックミミック」'
	'「命を奪う樹」'
	'「命を奪う樹」'
	'「反転無限光」'
	'「反転無限光」'
	'天頂「ハイアーヘヴン」'
	'紫符「ムーンライトソード」'
)

Eng_8=(
	'Hidden Cherry Sign \\\"Spinning Circular\\\"'
	'Hidden Cherry Sign \\\"Spinning Circular\\\"'
	'Hidden Cherry Sign \\\"Spinning Circular\\\"'
	'Hidden Cherry Sign \\\"Spinning Circular\\\"'
	'Sun Moon Sign \\\"Kusuko Mandala\\\"'
	'Sun Moon Sign \\\"Kusuko Mandala\\\"'
	'Forbidden Drug \\\"False Gods Beget Demons\\\"'
	'Forbidden Drug \\\"False Gods Beget Demons\\\"'
	'Hidden Pine Sign \\\"Pokkuri Grenade\\\"'
	'Hidden Pine Sign \\\"Pokkuri Grenade\\\"'
	'Hidden Pine Sign \\\"Dance of 14 Pines\\\"'
	'Hidden Pine Sign \\\"Dance of 14 Pines\\\"'
	'Whirlwind \\\"Noir Wind\\\"'
	'Whirlwind \\\"Noir Wind\\\"'
	'Kamaitachi \\\"Stealth Momo'"'"'s Unchallenged Position\\\"'
	'Kamaitachi \\\"Stealth Momo'"'"'s Unchallenged Position\\\"'
	'Hidden Chrysanthemum Sign \\\"Chrysanthemum Halo\\\"'
	'Hidden Chrysanthemum Sign \\\"Chrysanthemum Halo\\\"'
	'Hidden Chrysanthemum Sign \\\"50 Rings of Influence\\\"'
	'Hidden Chrysanthemum Sign \\\"50 Rings of Influence\\\"'
	'Great Scythe \\\"Harvester of Souls (Soul Reaper)\\\"'
	'Great Scythe \\\"Harvester of Souls (Soul Reaper)\\\"'
	'Soul Harvest \\\"Scratches of the Netherworld (Undead Scissors)\\\"'
	'Soul Harvest \\\"Scratches of the Netherworld (Undead Scissors)\\\"'
	'Hidden Cherry Sign \\\"Sen-Bomb-Zakura\\\"'
	'Hidden Cherry Sign \\\"Sen-Bomb-Zakura\\\"'
	'Hidden Cherry Sign \\\"Double-Flowered Cherry Tree Profusion\\\"'
	'Hidden Cherry Sign \\\"Double-Flowered Cherry Tree Profusion\\\"'
	'Funeral Pyre \\\"Ghost Stalker\\\"'
	'Funeral Pyre \\\"Ghost Stalker\\\"'
	'Fantasy \\\"Emperor Sutoku\\\"'
	'Fantasy \\\"Emperor Sutoku\\\"'
	'Battle Sign \\\"Flowering Knights\\\"'
	'Battle Sign \\\"Flowering Knights\\\"'
	'Swordfight \\\"Double-Flower Tearing Sword Dancer\\\"'
	'Swordfight \\\"Double-Flower Tearing Sword Dancer\\\"'
	'Kodama \\\"Musical Accompaniment of the Dead\\\"'
	'Kodama \\\"Musical Accompaniment of the Dead\\\"'
	'Burial Concert \\\"Amplify Ensemble\\\"'
	'Burial Concert \\\"Amplify Ensemble\\\"'
	'Phantom Photo \\\"Mimic Gimmick\\\"'
	'Phantom Photo \\\"Mimic Gimmick\\\"'
	'Phantom Photo \\\"Mythic Mimic\\\"'
	'Phantom Photo \\\"Mythic Mimic\\\"'
	'\\\"Life-Stealing Tree\\\"'
	'\\\"Life-Stealing Tree\\\"'
	'\\\"Infinite Light Reversal\\\"'
	'\\\"Infinite Light Reversal\\\"'
	'Zenith \\\"Higher Heaven\\\"'
	'Purple Sign \\\"Moonlight Sword\\\"'
)

File_8=(
	'01_An_SpellCard02'
	'01_An_SpellCard02'
	'01_An_SpellCard02'
	'01_An_SpellCard02'
	'01_SpellCard04'
	'01_SpellCard04'
	'01_SpellCard04'
	'01_SpellCard04'
	'02_An_SpellCard02'
	'02_An_SpellCard02'
	'02_An_SpellCard02'
	'02_An_SpellCard02'
	'02_SpellCard04'
	'02_SpellCard04'
	'02_SpellCard04'
	'02_SpellCard04'
	'03_An_SpellCard02'
	'03_An_SpellCard02'
	'03_An_SpellCard02'
	'03_An_SpellCard02'
	'03_SpellCard04'
	'03_SpellCard04'
	'03_SpellCard04'
	'03_SpellCard04'
	'04_An_SpellCard02'
	'04_An_SpellCard02'
	'04_An_SpellCard02'
	'04_An_SpellCard02'
	'04_SpellCard06'
	'04_SpellCard06'
	'04_SpellCard06'
	'04_SpellCard06'
	'05_An_SpellCard02'
	'05_An_SpellCard02'
	'05_An_SpellCard02'
	'05_An_SpellCard02'
	'05_SpellCard05'
	'05_SpellCard05'
	'05_SpellCard05'
	'05_SpellCard05'
	'06_An_SpellCard02'
	'06_An_SpellCard02'
	'06_An_SpellCard02'
	'06_An_SpellCard02'
	'06_SpellCard07'
	'06_SpellCard07'
	'06_SpellCard07'
	'06_SpellCard07'
	'07_A_SpellCard04'
	'07_SpellCard11'
)

# =====================================================================================
# Character spellcards

Jap_9=(
	'霊符「夢想封印」'
	'焔星「フィクストスター」'
	'「サブタレイニアンサン」'
	'夢符「退魔符乱舞」'
	'恋符「マスタースパーク」'
	'超人「聖白蓮」'
	'「スターソードの護法」'
	'変符「オーレリーズフリーザー」'
	'秘術「グレイソーマタージ」'
	'御柱「メテオリックオンバシラ」'
	'神符「神が歩かれた御神渡り」'
	'儚道「御神渡りクロス」'
	'奇跡「白昼の客星」'
	'奇跡「客星の明るすぎる夜」'
)

Eng_9=(
	'Dream Sign \\\"Fantasy Seal\\\"'
	'Blazing Star \\\"Fixed Star\\\"'
	'\\\"Subterranean Sun\\\"'
	'Dream Sign \\\"Wild Exorcism Dance\\\"'
	'Love Sign \\\"Master Spark\\\"'
	'Superhuman \\\"Byakuren Hijiri\\\"'
	'\\\"Star Sword Apologetics\\\"'
	'Love Sign \\\"Orreries Freezer\\\"'
	'Esoterica \\\"Gray Thaumaturgy\\\"'
	'Divine Pillar \\\"Meteoric Onbashira\\\"'
	'God Sign \\\"Omiwatari that God Walked\\\"'
	'Fleeting Path \\\"Omiwatari Cross\\\"'
	'Miracle \\\"Daytime Guest Stars\\\"'
	'Miracle \\\"Night with Overly Bright Guest Stars\\\"'
)

# =====================================================================================
# Spellcard Practice menu

# Translations

Jap_Misc=(
	'このステージのスペルカード解放率'
	'　　　　　統計スペルカード解放率'
	'全スペル解放です。流石だね！'
	'挑戦回数　'
	'取得回数　'
	'取得確率　'
	'　難易度　'
	'まだ1度も見た事がないよ！'
	'挑戦者募集中だってさ'
	'？？？？？？？？'
)

Eng_Misc=(
	'Spellcard obtain rate for this stage '
	'Total spellcard obtain rate '
	'All spellcards are obtained. Amazing!'
	'Tried  '
	'Captured  '
	'Capture rate  '
	'  Rank  '
	'I haven'"'"'t seen this one yet!'
	'Looking for a challenge?'
	'????????'
)

# Adjustments

Misc_Before=(
	'DrawText2(156,385,255,255,32,0,get_gnum,12)'
	'DrawText2(268,385,32,255,32,0,get_prob,12)'
	'DrawText2(380,385,255,32,255,0,get_diff,12)'
	'_DrawText2(40,330+48,255,255,32,443,get_c,12)'
	'ObjText_SetFontType(id,"ＭＳ ゴシック")'
)

Misc_After=(
	'DrawText2(132,385,255,255,32,0,get_gnum,12)'
	'DrawText2(242,385,32,255,32,0,get_prob,12)'
	'DrawText2(384,385,255,32,255,0,get_diff,12)'
	'_DrawText2(86,330+48,255,255,32,443,get_c,12)'
	'ObjText_SetFontType(id,"Tahoma")'
)

# =====================================================================================
# Convert to UTF-8

for ((j=1; j<8; j++)); do
	cd "../script/Th_mpp/enm/stg"$j;
	file_arr="File_"$j;
	eval "file_arr=(\${${file_arr}[@]})";

	for ((i=0; i<${#file_arr[@]}; i++)); do
		if ! [ -f ${file_arr[i]}".bck" ];
		then
			iconv -f SHIFT-JIS -t UTF-8 ${file_arr[i]}".dnh" > ${file_arr[i]}".bck";
		fi;
	done;

	file_arr="File_8";
	eval "file_arr=(\${${file_arr}[@]})";

	max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
		if ! [ -f ${file_arr[i]}".bck" ];
		then
			iconv -f SHIFT-JIS -t UTF-8 ${file_arr[i]}".dnh" > ${file_arr[i]}".bck";
		fi;
	done;

	cd ../../../../patch/;
done;

cd ../script/Th_mpp;
iconv -f SHIFT-JIS -t UTF-8 ThMpp_System.dnh > ThMpp_System.bck;
iconv -f SHIFT-JIS -t UTF-8 Obj_Cutin.dnh > Obj_Cutin.bck;
cd ../../patch/;

cd ../script/Th_mpp/scene;
iconv -f SHIFT-JIS -t UTF-8 SpellName_mpp.dnh > SpellName_mpp.bck;
cd ../../../patch/;


# =====================================================================================
# Spellcard in-battle renames

j=0;

# Stage 1

cd "../script/Th_mpp/enm/stg1";
jap_arr=("${Jap_1[@]}");
eng_arr=("${Eng_1[@]}");
file_arr=("${File_1[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Stage 2


cd "../script/Th_mpp/enm/stg2";
jap_arr=("${Jap_2[@]}");
eng_arr=("${Eng_2[@]}");
file_arr=("${File_2[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Stage 3

cd "../script/Th_mpp/enm/stg3";
jap_arr=("${Jap_3[@]}");
eng_arr=("${Eng_3[@]}");
file_arr=("${File_3[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Stage 4

cd "../script/Th_mpp/enm/stg4";
jap_arr=("${Jap_4[@]}");
eng_arr=("${Eng_4[@]}");
file_arr=("${File_4[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Stage 5

cd "../script/Th_mpp/enm/stg5";
jap_arr=("${Jap_5[@]}");
eng_arr=("${Eng_5[@]}");
file_arr=("${File_5[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Stage 6

cd "../script/Th_mpp/enm/stg6";
jap_arr=("${Jap_6[@]}");
eng_arr=("${Eng_6[@]}");
file_arr=("${File_6[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Extra Stage

cd "../script/Th_mpp/enm/stg7";
jap_arr=("${Jap_7[@]}");
eng_arr=("${Eng_7[@]}");
file_arr=("${File_7[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

# For some reason, this spellcard is different for spell practice mode
iconv -f SHIFT-JIS -t UTF-8 07_A_SpellCard01_PRACTICE.dnh > 07_A_SpellCard01_PRACTICE.bck;
eval sed -i -e s/\'${jap_arr[0]}\'/\'${eng_arr[0]}\'/g 07_A_SpellCard01_PRACTICE.bck;
iconv -f UTF-8 -t SHIFT-JIS 07_A_SpellCard01_PRACTICE.bck > 07_A_SpellCard01_PRACTICE.dnh;
rm 07_A_SpellCard01_PRACTICE.bck;

j=$[$j+1];
jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");
file_arr=("${File_8[@]}");

max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ${file_arr[i]}".bck";
done;

cd ../../../../patch/;

# =====================================================================================
# Spellcard Practice

cd ../script/Th_mpp/scene;

jap_arr=("${Jap_1[@]}");
eng_arr=("${Eng_1[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_2[@]}");
eng_arr=("${Eng_2[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_3[@]}");
eng_arr=("${Eng_3[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_4[@]}");
eng_arr=("${Eng_4[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_5[@]}");
eng_arr=("${Eng_5[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_6[@]}");
eng_arr=("${Eng_6[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_7[@]}");
eng_arr=("${Eng_7[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

jap_arr=("${Jap_8[@]}");
eng_arr=("${Eng_8[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g SpellName_mpp.bck;
done;

cd ../../../patch/;

# =====================================================================================
# Character spellcards

cd ../script/Th_mpp;

jap_arr=("${Jap_9[@]}");
eng_arr=("${Eng_9[@]}");

for ((i=0; i<${#jap_arr[@]}; i++)); do
	eng_arr[i]=${eng_arr[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${jap_arr[i]}\'/\'${eng_arr[i]}\'/g ThMpp_System.bck;
done;

eval sed -i -e s/\'ＭＳ ゴシック\'/\'Tahoma\'/g ThMpp_System.bck;

cd ../../patch/;

# =====================================================================================
# Adjust font for in-battle spellcard names

cd ../script/Th_mpp;
eval sed -i -e s/\'ＭＳ ゴシック\'/\'Tahoma\'/g Obj_Cutin.bck;
cd ../../patch/;

# =====================================================================================
# Convert back to SHIFT-JIS

for ((j=1; j<8; j++)); do
	cd "../script/Th_mpp/enm/stg"$j;
	file_arr="File_"$j;
	eval "file_arr=(\${${file_arr}[@]})";

	for ((i=0; i<${#file_arr[@]}; i++)); do
		if [ -f ${file_arr[i]}".bck" ];
		then
			iconv -f UTF-8 -t SHIFT-JIS ${file_arr[i]}".bck" > ${file_arr[i]}".dnh";
			rm ${file_arr[i]}".bck";
		fi;
	done;

	file_arr="File_8";
	eval "file_arr=(\${${file_arr}[@]})";

	max_hidden=$(( ${#file_arr[@]} < $((8*j)) ? ${#file_arr[@]} : $((8*j)) ));
for ((i=8*(j-1); i<$max_hidden; i++)); do
		if [ -f ${file_arr[i]}".bck" ];
		then
			iconv -f UTF-8 -t SHIFT-JIS ${file_arr[i]}".bck" > ${file_arr[i]}".dnh";
			rm ${file_arr[i]}".bck";
		fi;
	done;

	cd ../../../../patch/;
done;

cd ../script/Th_mpp;
iconv -f UTF-8 -t SHIFT-JIS ThMpp_System.bck > ThMpp_System.dnh;
iconv -f UTF-8 -t SHIFT-JIS Obj_Cutin.bck > Obj_Cutin.dnh;
rm ThMpp_System.bck;
rm Obj_Cutin.bck;
cd ../../patch/;

cd ../script/Th_mpp/scene;
iconv -f UTF-8 -t SHIFT-JIS SpellName_mpp.bck > SpellName_mpp.dnh;
rm SpellName_mpp.bck;
cd ../../../patch/;

# =====================================================================================
# Spellcard practice

# Escape whitespace trimming

for ((i=0; i < ${#Eng_Misc[@]}; i++)); do
	Eng_Misc[i]=${Eng_Misc[i]//\ /\\\ };
	Eng_Misc[i]=${Eng_Misc[i]//\'/\'\"\'\"\'};
done;

# Menu translation
cd "../script/Th_mpp/scene";
iconv -f SHIFT-JIS -t UTF-8 Package_SpellPracticeScene.dnh > Package_SpellPracticeScene.bck;

for ((i=0; i < ${#Eng_Misc[@]}; i++)); do
	eval sed -i -e s/\'${Jap_Misc[i]}\'/\'${Eng_Misc[i]}\'/g Package_SpellPracticeScene.bck;
done;

for ((i=0; i < ${#Misc_Before[@]}; i++)); do
	eval sed -i -e s/\'${Misc_Before[i]}\'/\'${Misc_After[i]}\'/g Package_SpellPracticeScene.bck;
done;

iconv -f UTF-8 -t SHIFT-JIS Package_SpellPracticeScene.bck > Package_SpellPracticeScene.dnh;
rm Package_SpellPracticeScene.bck;
cd ../../../patch/;

# =====================================================================================
# Just for fun - unimplemented Overdrive spellcard

jp='アイ・オブ・ピジョンブラッド';
en='Eye of Pigeon Blood';

cd "../script/Th_mpp/enm/stg3";
iconv -f SHIFT-JIS -t UTF-8 03_SpellCard01_OW.dnh > 03_SpellCard01_OW.bck;
eval sed -i -e s/\'$jp\'/\'$en\'/g 03_SpellCard01_OW.bck;
iconv -f UTF-8 -t SHIFT-JIS 03_SpellCard01_OW.bck > 03_SpellCard01_OW.dnh;
rm 03_SpellCard01_OW.bck;

cd ../../../../patch/;
