#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 1
# Reimu and Utsuho

Jap_1_1_1=(
	'Balloon(CenX-64-64,CenY+128-32,128+16,0,"ねえねえ、何で私が連れて来られてるの？",frame,16,1.4,0.26,180)'
	'Balloon(CenX-32,CenY+128-32,128+20,0,"いざと言う時の為の使い捨ての最終兵器よ",frame,16,1.4,0.26,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+16,0,"　そっか、最終兵器なら仕方ないな！",frame,16,1.4,0.26,180)'
	'Balloon(CenX-32,CenY+128-32,128+64+16,0,"もうすぐ樹の根元だけど、あまりいい予感がしないなぁ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]前はこの辺で神様と戦わされたのよね",frame,16,1.8,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128,0,"　　 我を呼ぶのは何処の人ぞ",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128+8,0,"あ、なーんだ麓の巫女じゃないですか",frame,16,1.2,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+8,0,"あんたが神奈子が呼んで来た神様？",frame,16,1.2,0.26,0)'
	'Balloon(CenX-32,CenY+128-32,128+32,0,"ああー、無知な貴方達は知らないんですね。",frame,16,1.5,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+32,2,"偉大なる医療の最終兵器・薬師如来。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]無知な人々は私をそう呼んで崇めると言うのに",frame,16,1.5,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+8,0,"安いなぁ、最終兵器。[r]あんた神様じゃなくて妖怪でしょ？",frame,16,1.2,0.4,0)'
	'Balloon(CenX+128,CenY+128-32,64,0,"妖怪に何か用かい？",frame,16,1,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128-32,0,"私が出るまでもないわね",frame,16,1,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+64+16,0,"さあ行け最終兵器！\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]医療のプロなら、少しくらい多めに痛めつけても問題無い！",frame,16,1.8,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,64+8,0,"安いなぁ、最終兵器",frame,16,0.9,0.26,180)'
)

Jap_1_1_2=(
	'Balloon(CenX,CenY+98,128,0,"ごめんなさい私の負けです！\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]だから眼鏡に指紋つけないで下さい",frame,16,1.2,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"高値で売れる薬を出せば許してやる",frame,16,1.2,0.26,0)'
	'Balloon(CenX-128,CenY+128-32,204,0,"うう。薬と毒は光と闇、表と裏の関係なんです。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]眼鏡が曇っていたら取り違えてしまうかも知れませんよう",frame,16,1.8,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"曇っているのが眼鏡だけだと良いけど",frame,16,1.3,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,72,0,"最終兵器再充電完了！[r]導命樹へ向け再出撃！",frame,16,0.8,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"この調子で頼むわよ、最終兵器",frame,16,1.2,0.2,0)'
	'Balloon(CenX+128,CenY+128-32,64+16,0,"安いなあ、最終兵器",frame,16,1.2,0.2,180)'
)

Eng_1_1_1=(
	'Balloon3(2,"Hey, hey, why are you dragging me along?",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re my disposable ultimate weapon, in case of an emergency.",frame,0,0,0,0,0)'
	'Balloon3(2,"Oh, okay! If I'"'"'m an ultimate weapon,[r]there'"'"'s not much I can do about that!",frame,0,0,0,0,0)'
	'Balloon3(1,"The tree'"'"'s just ahead of us, but I don'"'"'t feel too good.[r]I mean, I fought with a god over there just a while ago.",frame,0,0,0,0,0)'
	'Balloon4("Who is it that calls for me?",frame,0,0,0,0)'
	'Balloon3(3,"Oh, ummm, you'"'"'re the shrine maiden from[r]the base of the mountain, aren'"'"'t you?",frame,0,0,0,0,0)'
	'Balloon3(1,"Are you the god that Kanako called here?",frame,0,0,0,0,0)'
	'Balloon3(3,"Ah, you two don'"'"'t know me? How ignorant of you.",frame,0,0,0,0,0)'
	'Balloon3(3,"\\\"The medical field'"'"'s ultimate weapon, Yakushi-nyorai.\\\"[r]That'"'"'s what the ignorant people revere me as, at least.",frame,0,0,0,0,0)'
	'Balloon3(1,"Ultimate weapons sure come cheap.[r]You'"'"'re a youkai and not a god, right?",frame,0,0,0,0,0)'
	'Balloon3(3,"And just what would you want with a youkai?",frame,0,0,0,0,0)'
	'Balloon3(1,"I don'"'"'t need to get involved with you.",frame,0,0,0,0,0)'
	'Balloon3(1,"Go, my ultimate weapon![r]If she'"'"'s a medical professional, it won'"'"'t[r]matter too much even if we beat her up!",frame,0,0,0,0,0)'
	'Balloon3(2,"Ultimate weapons sure come cheap!",frame,0,0,0,0,0)'
)

Eng_1_1_2=(
	'Balloon3(3,"I lose! I'"'"'m sorry![r]So please don'"'"'t get fingerprints on my glasses!",frame,0,0,0,0,0)'
	'Balloon3(1,"We'"'"'ll forgive you if you hand over some of that expensive medicine.",frame,0,0,0,0,0)'
	'Balloon3(3,"Uuu. Medicine and poison are as different as night and day.[r]If my glasses are foggy, I might get them mixed up...",frame,0,0,0,0,0)'
	'Balloon3(1,"I hope your glasses aren'"'"'t all that'"'"'s foggy.",frame,0,0,0,0,0)'
	'Balloon3(2,"Ultimate weapon recharged![r]Moving out to the Life-Guiding Tree again!",frame,0,0,0,0,0)'
	'Balloon3(1,"I'"'"'ll be counting on you, ultimate weapon.",frame,0,0,0,0,0)'
	'Balloon3(3,"Ultimate weapons sure come cheap...",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_1_2_1=(
	'Balloon(CenX-128-32,CenY+128-32,128+48,0,"ところで、何故私が連れて来られたのでしょう？",frame,16,1.6,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128+98,0,"そろそろ異変解決にもパーティ制を導入する時代だと思ってな。",frame,16,2.0,0.2,0)'
	'Balloon(CenX-98,CenY+128-32,128+64+16,0,"魔法使いと僧侶、あとは前衛が居れば理想的だったんだが。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]まあお前なら前衛も出来るな",frame,16,1.84,0.4,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"早くお寺に帰らなければ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]星達がうっかり煩悩に支配されてしまうかも知れない。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"特に村紗、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]こんな水場で活きの良い人間を見つけでもしたら――",frame,16,1.7,0.4,180)'
	'Balloon2(CenX-32,CenY+128-32,128+32,-2,"誰か居ますね。貴方も人間をやめた者です？",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128-6,0,"なーんだ、麓の僧侶じゃないですか",frame,16,1.2,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,0,"村紗にしちゃやけに違和感しかない奴が来たな",frame,16,1.6,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128-16,0,"随分と思い切った衣替えですね",frame,16,1.1,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128,0,"お前が早苗達が呼んで来た神様か",frame,16,1.2,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+48,0,"何を言っているんです？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私は偉大なる薬師如来と崇められる仏様ですぞ！",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128,0,"ああ、山の世界に妖気が満ちる。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]近頃は妖怪が聖者を騙る時代ですか。",frame,16,1.2,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,48,0,"お前が言うな",frame,16,0.5,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+16,0,"この者は薬師ではなく夜叉（ヤクシャ）、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]そして大根役者です",frame,16,1.3,0.4,180)'
	'Balloon(CenX+128+64,CenY+128-32,32,0,"はう！？",frame,16,0.4,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128-16,0,"お前じゃ役不足だったらしいな",frame,16,1.0,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+32+4,0,"ああ村紗…\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あれ程人間を襲ってはいけないと言ったのに…",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+16,0,"その所業、誠に酷く、我田引水であるッ！",frame,16,1.4,0.2,180)'
)

Jap_1_2_2=(
	'Balloon(CenX,CenY+98,128+48,0,"あうあう、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]役不足ってそういう使い方じゃないんですよう",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"村紗と間違われてるのは良いのかよ",frame,16,1.2,0.2,0)'
	'Balloon(CenX,CenY+128-32,64,0,"ほんの冗談です",frame,16,0.7,0.2,180)'
	'Balloon(CenX+64,CenY+128-32,96,0,"うう、目が笑って無かった",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+24,0,"修行が足りないから分からなかったのです",frame,16,1.4,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"さて次のステージに進むぜ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]パーティなら強敵も怖い物無しだ",frame,16,1.2,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+48,0,"村紗、貴方はお寺に戻って修行をやり直しなさい",frame,16,1.6,0.2,180)'
)

Eng_1_2_1=(
	'Balloon3(2,"By the way, why did you bring me along with you?",frame,0,0,0,0,0)'
	'Balloon3(1,"I figure it'"'"'s about time to start forming[r]parties when resolving incidents.",frame,0,0,0,0,0)'
	'Balloon3(1,"We'"'"'ve got a magician and a Buddhist monk,[r]and ideally we oughta have a vanguard.[r]Eh, but it'"'"'s not like you can'"'"'t be the vanguard too.",frame,0,0,0,0,0)'
	'Balloon3(2,"If I don'"'"'t return to the temple soon,Shou and the[r]others may fall under the influence of earthly desires.",frame,0,0,0,0,0)'
	'Balloon3(2,"Particularly Murasa.[r]If we find any lively humans in this watering-hole, then...",frame,0,0,0,0,0)'
	'Balloon4("Someone'"'"'s there. Have you stopped being human as well?",frame,0,0,0,0)'
	'Balloon3(3,"Oh, umm, you'"'"'re the monk from the base of the mountain, aren'"'"'t you?",frame,0,40,0,0,0)'
	'Balloon3(1,"Hey, someone totally different from Murasa showed up.",frame,0,0,0,0,0)'
	'Balloon3(2,"What a drastic change of appearance.",frame,0,0,0,0,0)'
	'Balloon3(1,"Are you the god that Sanae and the others called here?",frame,0,0,0,0,0)'
	'Balloon3(3,"What are you saying?[r]I'"'"'m a buddha, worshiped as the venerable Yakushi-nyorai!",frame,0,0,0,0,0)'
	'Balloon3(2,"Ah, the world of the mountain is filled with a strange air.[r]Do youkai often masquerade as saints these days?",frame,0,0,0,0,0)'
	'Balloon3(1,"Yer one to talk.",frame,0,40,0,0,0)'
	'Balloon3(2,"This person isn'"'"'t Yakushi-nyorai, but rather a yaksha.[r]And also a terribly bad actor.",frame,0,0,0,0,0)'
	'Balloon3(3,"What?!",frame,0,-60,0,0,0)'
	'Balloon3(1,"Looks like you don'"'"'t care for your role much, eh?",frame,0,0,0,0,0)'
	'Balloon3(2,"Oh, Murasa...[r]Even though I told you not to attack humans like that...",frame,0,0,0,0,0)'
	'Balloon3(2,"How horrid, selfish and conniving this act is!",frame,0,0,0,0,0)'
)

Eng_1_2_2=(
	'Balloon3(3,"Boo hoo.[r]That'"'"'s not how you use the word \\\"role\\\"...",frame,0,0,0,0,0)'
	'Balloon3(1,"You sure you should be mistaking her for Murasa?",frame,0,0,0,0,0)'
	'Balloon3(2,"It was a joke, that'"'"'s all.",frame,0,0,0,0,0)'
	'Balloon3(3,"Uuu. You weren'"'"'t laughing with your eyes.",frame,0,0,0,0,0)'
	'Balloon3(2,"You don'"'"'t understand because you lack ascetic discipline.",frame,0,0,0,0,0)'
	'Balloon3(1,"Okay, we'"'"'re off to the next stage.[r]With a party, even strong enemies are nothin'"'"' to be afraid of.",frame,0,0,0,0,0)'
	'Balloon3(2,"Murasa, go back to the temple and discipline yourself!",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_1_3_1=(
	'Balloon(CenX-32,CenY+128-32,128-24,0,"何と言う巨大なエネルギー…\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]嫌な予感がして来ました",frame,16,1.1,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"去年も大魔王にこの湖乗っ取られたしね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]まったくとんだ災難だ",frame,16,1.3,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+24,0,"こうなったら霊夢さん達が荒ぶる前に、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私達で事態を収拾するしかありませんね！",frame,16,1.4,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128+32,-2,"　　　　　　　　そうですね",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,96+16,0,"しばらく留守にしてて良いですよ",frame,16,1.2,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,96,0,"誰だい？　地上げ屋か？",frame,16,1.0,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128,0,"しかも出会って早々、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]言ってくれるじゃありませんか",frame,16,1.2,0.4,0)'
	'Balloon(CenX+64,CenY+128-32,96,0,"この湖の水は綺麗ですから、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]良い薬を作る事が出来ます。",frame,16,1.0,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128,0,"試しに飲んでみますか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私が夜を徹して開発した元気ドリンク",frame,16,1.3,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128,0,"まったりと広がる芳醇で濃厚な甘み、",frame,16,1.2,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+16,0,"それでいて決してしつこくなく、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]きりりと引き締まる後味。そして（中略）",frame,16,1.3,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+16,0,"神奈子様、この元気ドリンクは本物ですよ",frame,16,1.4,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128+32+16,0,"どんな素晴らしい資源も、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それを活かせる者が居なければ宝の持ち腐れです。",frame,16,1.6,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128+32,0,"さあ、私に湖を明け渡す気になりましたね！",frame,16,1.4,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"非常時だから無視して進もうと思ったが気が変わった。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神社で商品化しよう。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+48,0,"早苗、幻想郷流のやり方で製法を聞き出してみな！",frame,16,1.64,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,0,"神奈子様のご意向とあれば仕方ありませんね！",frame,16,1.5,0.2,0)'
)

Jap_1_3_2=(
	'Balloon(CenX,CenY+98,128+64,0,"えんえん、眼鏡割らないで下さい、教えますからあー",frame,16,1.7,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+96-4,0,"でも、こういう力ずくでの信仰稼ぎってどうなんでしょうね",frame,16,1.9,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128,0,"昔も上手くいかなかったからねえ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]やっぱり止めておくか",frame,16,1.2,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128+16,0,"あーん、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]結局私眼鏡割られただけじゃないですか",frame,16,1.3,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,96+8,0,"元気ドリンク取ってやるから。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]毎日3本神社に配達してくれ",frame,16,1.0,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,32+4,0,"やったー！",frame,16,0.4,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+48+4,0,"…ではなく、こんな所で油を売っていられません！\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]導命樹へ急ぎましょう",frame,16,1.6,0.4,0)'
)

Eng_1_3_1=(
	'Balloon3(1,"What a large amount of energy... [r]I have a bad feeling about this.",frame,0,0,0,0,0)'
	'Balloon3(2,"That demon lord took over our lake just last year, too.[r]What a terrible calamity.",frame,0,0,0,0,0)'
	'Balloon3(1,"Now that it'"'"'s come to this, we have to get the situation under[r]control before Miss Reimu and the others make a mess here!",frame,0,0,0,0,0)'
	'Balloon4("So that'"'"'s how it is.",frame,0,0,0,0)'
	'Balloon3(3,"It'"'"'d be best to leave for a while, then.",frame,0,0,0,0,0)'
	'Balloon3(2,"Who are you? A land speculator?",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re not saying that right[r]when we'"'"'ve just met, are you?",frame,0,0,0,0,0)'
	'Balloon3(3,"The water of this lake is pristine,[r]so I can make some good medicine.",frame,0,0,0,0,0)'
	'Balloon3(3,"I spent the whole night developing this energy drink.[r]Want to give it a try?",frame,0,0,0,0,0)'
	'Balloon3(1,"A sweet and rich fragrance that fills your mouth,",frame,0,0,0,0,0)'
	'Balloon3(1,"yet still not too heavy, and a nice,[r]firm aftertaste. And then (etc.)",frame,0,0,0,0,0)'
	'Balloon3(1,"Lady Kanako, this energy drink is the real deal!",frame,0,0,0,0,0)'
	'Balloon3(3,"Even the greatest resources are just worthless treasures[r]if there isn'"'"'t anybody who can use them well.",frame,0,0,0,0,0)'
	'Balloon3(3,"Now, prepare to surrender the lake to me!",frame,0,0,0,0,0)'
	'Balloon3(2,"In this time of crisis, I was going to ignore[r]this and continue, but I'"'"'ve changed my mind.[r]Let'"'"'s sell this at the shrine.",frame,0,0,0,0,0)'
	'Balloon3(2,"Sanae, get the recipe from this person in Gensokyo style!",frame,0,0,0,0,0)'
	'Balloon3(1,"Since Lady Kanako ordered it, I'"'"'ll have to do it!",frame,0,0,0,0,0)'
)

Eng_1_3_2=(
	'Balloon3(3,"All right, I'"'"'ll tell you, so please don'"'"'t break my glasses...",frame,0,0,0,0,0)'
	'Balloon3(1,"But, is it really okay to go around[r]getting our faith by force like this?",frame,0,0,0,0,0)'
	'Balloon3(2,"It didn'"'"'t work out so well in the past, either.[r]Perhaps we should stop now, after all?",frame,0,0,0,0,0)'
	'Balloon3(3,"Aaah, so you weren'"'"'t going to stop at breaking my glasses?",frame,0,0,0,0,0)'
	'Balloon3(2,"I'"'"'ll take the energy drinks.[r]Please deliver 3 bottles to the shrine every day!",frame,0,0,0,0,0)'
	'Balloon3(1,"We did it~!",frame,0,100,0,-2,0)'
	'Balloon3(1,"...not. We can'"'"'t loaf around in a place like this![r]Let'"'"'s hurry to the Life-Guiding Tree.",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg1/

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="01_Event0"$ev"_PL0"$pl".dnh";
		name_bck="01_Event0"$ev"_PL0"$pl".bck";
		iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
	done;
done;


for ((i=0; i<${#Jap_1_1_1[@]}; ++i)); do
	Eng_1_1_1[i]=${Eng_1_1_1[i]//\'/\'\"\'\"\'};
	Eng_1_1_1[i]=${Eng_1_1_1[i]//\[/\\\[};
	Jap_1_1_1[i]=${Jap_1_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_1_1[i]}\'/\'${Eng_1_1_1[i]}\'/g 01_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_1_2_1[@]}; ++i)); do
	Eng_1_2_1[i]=${Eng_1_2_1[i]//\'/\'\"\'\"\'};
	Eng_1_2_1[i]=${Eng_1_2_1[i]//\[/\\\[};
	Jap_1_2_1[i]=${Jap_1_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_2_1[i]}\'/\'${Eng_1_2_1[i]}\'/g 01_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_1_3_1[@]}; ++i)); do
	Eng_1_3_1[i]=${Eng_1_3_1[i]//\'/\'\"\'\"\'};
	Eng_1_3_1[i]=${Eng_1_3_1[i]//\[/\\\[};
	Jap_1_3_1[i]=${Jap_1_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_3_1[i]}\'/\'${Eng_1_3_1[i]}\'/g 01_Event01_PL03.bck;
done;

for ((i=0; i<${#Jap_1_1_2[@]}; ++i)); do
	Eng_1_1_2[i]=${Eng_1_1_2[i]//\'/\'\"\'\"\'};
	Eng_1_1_2[i]=${Eng_1_1_2[i]//\[/\\\[};
	Jap_1_1_2[i]=${Jap_1_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_1_2[i]}\'/\'${Eng_1_1_2[i]}\'/g 01_Event02_PL01.bck;
done;

for ((i=0; i<${#Jap_1_2_2[@]}; ++i)); do
	Eng_1_2_2[i]=${Eng_1_2_2[i]//\'/\'\"\'\"\'};
	Eng_1_2_2[i]=${Eng_1_2_2[i]//\[/\\\[};
	Jap_1_2_2[i]=${Jap_1_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_2_2[i]}\'/\'${Eng_1_2_2[i]}\'/g 01_Event02_PL02.bck;
done;

for ((i=0; i<${#Jap_1_3_2[@]}; ++i)); do
	Eng_1_3_2[i]=${Eng_1_3_2[i]//\'/\'\"\'\"\'};
	Eng_1_3_2[i]=${Eng_1_3_2[i]//\[/\\\[};
	Jap_1_3_2[i]=${Jap_1_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_3_2[i]}\'/\'${Eng_1_3_2[i]}\'/g 01_Event02_PL03.bck;
done;

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="01_Event0"$ev"_PL0"$pl".dnh";
		name_bck="01_Event0"$ev"_PL0"$pl".bck";
		iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
		rm $name_bck;
	done;
done;
