#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 2
# Reimu and Utsuho

Jap_2_1_1=(
	'Balloon(CenX-32,CenY+128-32,128+20,4,"どういう事だ。[r]登っても登っても上に着かないじゃない",frame,16,1.4,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+16,4,"大き過ぎる力は空間をも歪めるもの。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]飲み込まれたら下に帰れなくなるよ",frame,16,1.4,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"最近はただの樹登りも命がけだわ",frame,16,1.2,0.2,0)'
	'Balloon2(CenX-32,CenY+128-32,128+16,0,"こいつぁ驚いた。もしやと思いましたが",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128-16,0,"やっぱり巫女の旦那でやしたか",frame,16,1.2,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"何いきなり話しかけてきてるわけ？",frame,16,1.2,0.26,0)'
	'Balloon(CenX-32,CenY+128-32,128+32-4,4,"あっしは飛倉百々。[r]この樹を根城にする、しがない妖怪でさぁ",frame,16,1.4,0.4,180)'
	'Balloon(CenX-64-64,CenY+128-32,128+16,4,"こいつは黒幕とは違うね。[r]空間を歪めるような力は無いよ",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32+16,0,"ええ、ですからこの力にゃ興味があるんですよ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]長い人生、死ぬまで下級妖怪じゃたまりゃしねえ",frame,16,1.55,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+32,0,"危険思想の持ち主だわ。[r]こいつは今ここで潰しておく必要があるわね",frame,16,1.4,0.4,0)'
	'Balloon(CenX+128,CenY+128-32,64,0,"！！ああっと！！",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+16,2,"いくら旦那が相手でも、[r]黙ってやられちゃいられませんぜ。",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,2,"特別に教えましょう、[r]今日の天気は…雷ときどき弾幕でさ！",frame,16,1.4,0.4,180)'
)

Jap_2_1_2=(
	'Balloon(CenX,CenY+98,128+32,2,"ぐっすん。[r]下級妖怪1匹に2人がかりは反則ですぜ、旦那",frame,16,1.4,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128,0,"大き過ぎる力は空間を歪める。[r]それと同時に知性も蝕むのよ",frame,16,1.2,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+32+16,0,"あんたは蝕まれてた時の方が知性を感じたけどね",frame,16,1.5,0.26,0)'
	'Balloon(CenX,CenY+128-32,128+64-8,0,"旦那達が出て来たんじゃあここまでだ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]あっしに代わって、光の謎を解き明かして下さいよ",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+16+4,0,"謎解きって、最後に力ずくで犯人を捉えるのとセットだよね",frame,16,1.9,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128-16-8,0,"いつも通りやれば良いだけね",frame,16,1,0.2,0)'
)

Eng_2_1_1=(
	'Balloon3(1,"What'"'"'s going on?[r]We'"'"'re climbing and climbing, but we haven'"'"'t reached the top.",frame,0,0,0,0,0)'
	'Balloon3(2,"An excessively large power can distort space.[r]Once you get swallowed up by it, you can'"'"'t go back down.",frame,0,0,0,0,0)'
	'Balloon3(1,"Even just climbing a tree has gotten life-threatening lately.",frame,0,0,0,0,0)'
	'Balloon4("Aw, y'"'"' gave me a start. I was thinking, \\\"that'"'"'s not her, is it?\\\"",frame,0,50,0,0)'
	'Balloon3(3,"But you ARE that shrine maiden after all, aren'"'"'t you, Ma'"'"'am?",frame,0,0,0,0,0)'
	'Balloon3(1,"Why are you talking to us all of a sudden?",frame,0,0,0,0,0)'
	'Balloon3(3,"M'"'"'name'"'"'s Momo Tobikura.[r]Just a lil'"'"' old youkai who'"'"'s holed '"'"'erself up in this tree.",frame,0,0,0,0,0)'
	'Balloon3(2,"This person'"'"'s not the mastermind, it looks like.[r]She'"'"'s got no power that would distort space.",frame,0,0,0,0,0)'
	'Balloon3(3,"Yeah, which'"'"'s why I'"'"'m so interested in all a'"'"' this[r]power here. '"'"'S only natural fer'"'"' a long-lived,[r]nearly dead low-class youkai like m'"'"'self.",frame,0,0,0,0,0)'
	'Balloon3(1,"Those are some dangerous ideas you'"'"'ve got there.[r]We have to crush this person here and now.",frame,0,0,0,0,0)'
	'Balloon3(3,"Wooaah woah!!",frame,0,0,0,0,0)'
	'Balloon3(3,"Even if you'"'"'re my opponent, Ma'"'"'am,[r]I'"'"'m not gonna be silenced like that.",frame,0,0,0,0,0)'
	'Balloon3(3,"Lemme give a special forecast.[r]Today'"'"'s weather is... stormy, with a chance of danmaku!",frame,0,0,0,0,0)'
)

Eng_2_1_2=(
	'Balloon3(3,"Sob.[r]Gangin'"'"' up on one low-class youkai with[r]two people oughta be off limits, Ma'"'"'am.",frame,0,0,0,0,0)'
	'Balloon3(2,"An excessively-large power can distort space.[r]It also erodes your intelligence at the same time.",frame,0,0,0,0,0)'
	'Balloon3(1,"Although, when yours got eroded, you seemed \\\"more\\\" intelligent.",frame,0,0,0,0,0)'
	'Balloon3(3,"If you'"'"'re headed off, then, Ma'"'"'am, I'"'"'ll leave things to you.[r]Solve the mystery of that light in my place, could you?",frame,0,0,0,0,0)'
	'Balloon3(2,"Solving the mystery goes hand in hand with[r]catching the culprit through sheer strength!",frame,0,0,0,0,0)'
	'Balloon3(1,"It should be fine if we just do the usual.",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_2_2_1=(
	'Balloon(CenX-98,CenY+128-32,128+98,0,"どこまで登りゃ良いんだ。移動だけでパーティが解散しちまう",frame,16,2.0,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+32+8,0,"樹上からの謎の力で空間が歪められていますね",frame,16,1.6,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128+64+8,0,"聖輦船に乗ったら魔界に着いた、あの時みたいなもんか",frame,16,1.8,0.2,0)'
	'Balloon2(CenX-32,CenY+128-32,128+48+8,-2,"こいつぁ驚いた、こんな山奥に人間のお出ましとは",frame,16,1.7,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,98+8,0,"妖怪の山に向かって来るとは、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]肝の座った人間が居たもんだ",frame,16,1.1,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"まあナズーリン、まだ春なのに、なんて大胆な衣替え",frame,16,1.7,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128+24,0,"お前に向かって行ったつもりは無いがな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ただちょっと道に迷っただけだ",frame,16,1.4,0.4,0)'
	'Balloon(CenX-32,CenY+128-32,128+48+8,0,"進むか戻るかしかないこの幹で迷う、面白い人間だ。",frame,16,1.7,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+128-8,0,"だが、樹の上から降り注ぐこのどえらい力を手に入れるのはあっしだ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]人間にゃ行かせねえ！",frame,16,2.2,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128,0,"ほうほう、いい事を聞いた。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私の心はこれでもう迷わんだろう",frame,16,1.2,0.4,0)'
	'Balloon(CenX-32,CenY+128-32,128+24,0,"妖怪が人間に舐められてたまるかってんだ。",frame,16,1.4,0.2,180)'
	'Balloon(CenX+32,CenY+128-32,128-24,0,"今日の天気は雨ときどき弾幕。",frame,16,1.0,0.2,180)'
	'Balloon(CenX+32,CenY+128-32,128-8,0,"舐められるアメが降ってるうちに、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]尻尾を巻いて逃げ出しな！",frame,16,1.1,0.4,180)'
)

Jap_2_2_2=(
	'Balloon(CenX-128,CenY+128-32,128+24,0,"その自惚れ、誠に未熟で、傲岸不遜である",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+98,128+64,0,"参った、あっしの隠し羽が通用しない人間がいるなんて",frame,16,1.8,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,64+8,0,"羽を隠して尻隠さずか",frame,16,0.9,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128+32+8,0,"なんて上手い事を言う旦那だ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あっしの完敗だ、これからは弟子にして下さい！",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"さっきからコロコロ態度が変わる奴だな",frame,16,1.4,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"迷っているのは貴方でしたね、ナズーリン",frame,16,1.4,0.2,180)'
)

Eng_2_2_1=(
	'Balloon3(1,"How far up do we gotta go?[r]The party will disband if we just move around doing nothing.",frame,0,0,0,0,0)'
	'Balloon3(2,"This strange force from the top of the tree is distorting space.",frame,0,0,0,0,0)'
	'Balloon3(1,"Huh, like that time when I rode on the Palanquin Ship into Makai?",frame,0,0,0,0,0)'
	'Balloon4("Aw, y'"'"' gave me a start.[r]To think there'"'"'d be humans in the depths a'"'"' the mountain...",frame,0,0,0,0)'
	'Balloon3(3,"Looks like there'"'"'s humans with enough guts[r]t'"'"' come all the way t'"'"' the Youkai Mountain.",frame,0,0,0,0,0)'
	'Balloon3(2,"My, Nazrin. Why such a bold change of dress when it'"'"'s still spring?",frame,0,40,0,-250,0)'
	'Balloon3(1,"We weren'"'"'t tryin'"'"' to go towards you.[r]We'"'"'re just a bit lost, is all.",frame,0,0,0,0,0)'
	'Balloon3(3,"You'"'"'re some pretty interesting humans, gettin'"'"'[r]lost on a tree where you can only go up or down.",frame,0,0,0,0,0)'
	'Balloon3(3,"But the only one who can wield that power[r]pourin'"'"' down from the tree is m'"'"'self.[r]You humans ain'"'"'t gettin'"'"' up there!",frame,0,0,0,0,0)'
	'Balloon3(1,"Ho ho, I like the sound of that.[r]With that, my mind'"'"'s not lost at all.",frame,0,0,0,0,0)'
	'Balloon3(3,"We youkai won'"'"'t let you humans look down on us from on high.",frame,0,0,0,0,0)'
	'Balloon3(3,"Today'"'"'s weather is rainy, with a chance of danmaku.",frame,0,0,0,0,0)'
	'Balloon3(3,"Don'"'"'t pack up an'"'"' escape while this rain[r]pours down on you from on high, y'"'"'hear?!",frame,0,0,0,0,0)'
)

Eng_2_2_2=(
	'Balloon3(2,"How immature, arrogant and insolent your hubris is!",frame,0,0,0,0,0)'
	'Balloon3(3,"I'"'"'m done for. To think that my hidden[r]wings wouldn'"'"'t work on humans...",frame,0,40,0,0,0)'
	'Balloon3(1,"You'"'"'re covering your wings, but not your butt?",frame,0,0,0,0,0)'
	'Balloon3(3,"Wow, Ma'"'"'am, you'"'"'re very well-spoken.[r]I'"'"'m utterly defeated. Please let me be your pupil from now on!",frame,0,0,0,0,0)'
	'Balloon3(1,"She'"'"'s done a total 180, compared to a minute ago. What a weirdo.",frame,0,0,0,0,0)'
	'Balloon3(2,"It seems that you'"'"'re the one who'"'"'s lost, Nazrin.",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_2_3_1=(
	'Balloon(CenX-32,CenY+128-32,128+32+8,0,"樹上に向かうにつれ、光が強くなっていますね",frame,16,1.6,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"間違いない。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これは私達が連れて来た神様の仕業だろうね",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64-8,0,"ただ、これだけの力を単独で出せるとは考えにくい。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]他に仲間が居るのかも知れないねえ",frame,16,1.7,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+48,0,"さっきから何度かすれ違う赤い奴がそうでしょうか",frame,16,1.7,0.2,0)'
	'Balloon2(CenX-32,CenY+128-32,128+32,-2,"　　おっとぉ、誰かと思えば守矢の旦那方",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,96+16,0,"こいつぁ相当な代物ですな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神様方も魅せられる程の力とは",frame,16,1.2,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+8,0,"根には湖、幹には栗鼠。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]何時からこの樹は世界樹（ユグドラシル）になったんだい",frame,16,1.9,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+32,0,"残念ですが、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ただの三下妖怪に構っている暇はありません",frame,16,1.6,0.4,0)'
	'Balloon(CenX+64,CenY+128-32,128,0,"そいつあ命拾いですな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あっしもこれでも妖怪長いんでね。",frame,16,1.2,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128+24,0,"隣の神様はともかく、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]緑の旦那にゃ遅れは取らないと思いますよ",frame,16,1.4,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+64,0,"あら、栗鼠は嵐を予知すると逃げ隠れるのでしょう？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]起こしますよ、嵐",frame,16,1.7,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+64+8,0,"そりゃそうでしょう。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]手前で起こした嵐に巻き込まれる馬鹿が何処にいますか。",frame,16,1.8,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128+32,0,"空気を斬り弾幕を斬り、そして嵐を起こす。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あっしの隠し羽、心行くまでご覧あれ！",frame,16,1.4,0.4,180)'
)

Jap_2_3_2=(
	'Balloon(CenX,CenY+98,128+24,0,"退散退散！　やっぱり神様にゃ勝てねえや！",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+48,0,"ただの妖怪にしては強かったわ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]もう樹の光の影響を受け始めているのかも知れない",frame,16,1.7,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+32,0,"ただならぬ方とは分かり切っていましたが、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これ程のエネルギーを瞬時に生み出すとは…",frame,16,1.6,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"私らが頼んだ事とは言え、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]恥を捨てて急いで止めた方が良さそうだ",frame,16,1.5,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"あっしに出来る事は御座いませんか？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神様にゃ喧嘩より恩を売った方が良さそうだ",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64-8,0,"ならばここに残って、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]後から来る巫女と魔法使いを足止めして貰うかねえ",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"神奈子様、恥を捨て切れてませんね",frame,16,1.3,0.2,0)'
)

Eng_2_3_1=(
	'Balloon3(1,"The further we fly up the tree, the brighter the light gets.",frame,0,0,0,0,0)'
	'Balloon3(2,"There'"'"'s no doubt about it.[r]This was the work of the god we brought here.",frame,0,0,0,0,0)'
	'Balloon3(2,"Yet, it'"'"'s hard to imagine one person producing all this power.[r]They may have other allies as well.",frame,0,0,0,0,0)'
	'Balloon3(1,"Would that include the red ones we just passed by a few times?",frame,0,0,0,0,0)'
	'Balloon4("Woah, just as I was wonderin'"'"' who it was-- it'"'"'s the Moriya ladies!",frame,0,80,0,0)'
	'Balloon3(3,"This light must be somethin'"'"' really amazin'"'"'.[r]It'"'"'s even got the attention of a pair of goddesses.",frame,0,0,0,0,0)'
	'Balloon3(2,"A lake at the roots, and a squirrel at the trunk. [r]When exactly did this tree become Yggdrasil?",frame,0,0,0,0,0)'
	'Balloon3(1,"Unfortunately, we don'"'"'t have time to waste with lowly youkai.",frame,0,0,0,0,0)'
	'Balloon3(3,"Well, that was a close shave.[r]I s'"'"'pose I get to be a youkai for a while longer.",frame,0,0,0,0,0)'
	'Balloon3(3,"I don'"'"'t think I could keep up with you, Ma'"'"'am,[r]to say nothin'"'"' of the goddess beside you.",frame,0,0,0,0,0)'
	'Balloon3(1,"Don'"'"'t squirrels run and hide at the first sign of a storm?[r]I'"'"'ll start a storm, then.",frame,0,0,0,0,0)'
	'Balloon3(3,"Well, you'"'"'ve got that right.[r]Is there anyone dumb enough to get caught[r]up in a storm that'"'"'s right in front of them?",frame,0,0,0,0,0)'
	'Balloon3(3,"They can cut the air and danmaku, and stir up storms as well.[r]Look upon my hidden wings as much as you desire!",frame,0,0,0,0,0)'
)

Eng_2_3_2=(
	'Balloon3(3,"Time to make m'"'"'self scarce![r]I can'"'"'t win against goddesses, after all!",frame,0,40,0,0,0)'
	'Balloon3(2,"You'"'"'re pretty strong for an ordinary youkai.[r]Perhaps you'"'"'re already being influenced by the tree'"'"'s light.",frame,0,0,0,0,0)'
	'Balloon3(1,"I already knew they were far from ordinary,[r]but to produce this much energy in an instant...",frame,0,0,0,0,0)'
	'Balloon3(2,"While we did request their presence,[r]I think we'"'"'d better swallow our pride and end this quickly.",frame,0,0,0,0,0)'
	'Balloon3(3,"Isn'"'"'t there anything I can do for you?[r]I figure it'"'"'d be better to curry favor from gods, and not anger.",frame,0,0,0,0,0)'
	'Balloon3(2,"In that case, I'"'"'ll have you stay here and stop the[r]shrine maiden and magician who'"'"'ll be arriving later.",frame,0,0,0,0,0)'
	'Balloon3(1,"Lady Kanako, you haven'"'"'t swallowed your pride entirely.",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg2/

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="02_Event0"$ev"_PL0"$pl".dnh";
		name_bck="02_Event0"$ev"_PL0"$pl".bck";
		iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
	done;
done;


for ((i=0; i<${#Jap_2_1_1[@]}; ++i)); do
	Eng_2_1_1[i]=${Eng_2_1_1[i]//\'/\'\"\'\"\'};
	Eng_2_1_1[i]=${Eng_2_1_1[i]//\[/\\\[};
	Jap_2_1_1[i]=${Jap_2_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_1_1[i]}\'/\'${Eng_2_1_1[i]}\'/g 02_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_2_2_1[@]}; ++i)); do
	Eng_2_2_1[i]=${Eng_2_2_1[i]//\'/\'\"\'\"\'};
	Eng_2_2_1[i]=${Eng_2_2_1[i]//\[/\\\[};
	Jap_2_2_1[i]=${Jap_2_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_2_1[i]}\'/\'${Eng_2_2_1[i]}\'/g 02_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_2_3_1[@]}; ++i)); do
	Eng_2_3_1[i]=${Eng_2_3_1[i]//\'/\'\"\'\"\'};
	Eng_2_3_1[i]=${Eng_2_3_1[i]//\[/\\\[};
	Jap_2_3_1[i]=${Jap_2_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_3_1[i]}\'/\'${Eng_2_3_1[i]}\'/g 02_Event01_PL03.bck;
done;

for ((i=0; i<${#Jap_2_1_2[@]}; ++i)); do
	Eng_2_1_2[i]=${Eng_2_1_2[i]//\'/\'\"\'\"\'};
	Eng_2_1_2[i]=${Eng_2_1_2[i]//\[/\\\[};
	Jap_2_1_2[i]=${Jap_2_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_1_2[i]}\'/\'${Eng_2_1_2[i]}\'/g 02_Event02_PL01.bck;
done;

for ((i=0; i<${#Jap_2_2_2[@]}; ++i)); do
	Eng_2_2_2[i]=${Eng_2_2_2[i]//\'/\'\"\'\"\'};
	Eng_2_2_2[i]=${Eng_2_2_2[i]//\[/\\\[};
	Jap_2_2_2[i]=${Jap_2_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_2_2[i]}\'/\'${Eng_2_2_2[i]}\'/g 02_Event02_PL02.bck;
done;

for ((i=0; i<${#Jap_2_3_2[@]}; ++i)); do
	Eng_2_3_2[i]=${Eng_2_3_2[i]//\'/\'\"\'\"\'};
	Eng_2_3_2[i]=${Eng_2_3_2[i]//\[/\\\[};
	Jap_2_3_2[i]=${Jap_2_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2_3_2[i]}\'/\'${Eng_2_3_2[i]}\'/g 02_Event02_PL03.bck;
done;

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="02_Event0"$ev"_PL0"$pl".dnh";
		name_bck="02_Event0"$ev"_PL0"$pl".bck";
		iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
		rm $name_bck;
	done;
done;
