#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 3
# Reimu and Utsuho

Jap_3_1_1=(
	'Balloon(CenX-32,CenY+128-32,128+20,2,"何かこの辺りだけやたら暗くない？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それにこの浮いてる銀の板は一体",frame,16,1.4,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+16+8,2,"私知ってるよ、これはソーラーシステムだ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]太陽の光を集めて電気を作るの",frame,16,1.4,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"尚更辺りが暗い理由が不可解になったわ",frame,16,1.4,0.2,0)'
	'Balloon2(CenX-32,CenY+128-32,128+32+8,0,"ソーラーシステム。今はそう呼ばれているのね",frame,16,1.6,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128-16,0,"ごきげんよう、また会ったわね",frame,16,1.2,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,64+32,0,"前に会った覚えは無いよ",frame,16,1,0.26,180)'
	'Balloon(CenX-32,CenY+128-32,128-32+8,2,"光を歪めているのはあんたか",frame,16,1,0.2,0)'
	'Balloon(CenX+128,CenY+128-32,64-8,2,"仲が良いわね。",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32+16,10,"前々から下界の民は面白いと思っていたわ。\r\n\t\t\t\t\t\t\t\t[r]私達との差異は色々あるけど、[r]何よりも違う物が一つあるもの。",frame,16,1.55,0.42,180)'
	'Balloon(CenX,CenY+128-32,128+16,2,"それは、そう、『相反するものの共存』。",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,12,"嘗て敵同士だった地上の太陽と地底の太陽が\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]こうして手を取り合っている。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]面白いと思わない？",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,2,"面白く無い。[r]ホーミング座布団ぶつけるわよ",frame,16,1.2,0.4,0)'
	'Balloon(CenX+128,CenY+128-32,128-8,2,"天上の太陽は、私達天使のもの。",frame,16,1.1,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+64-8,2,"このサラカの内にも、相反する力は共存している。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]太陽と、その対を成す月の魔力が",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+6,2,"ならば尚更、私達が負ける道理は無い",frame,16,1.2,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+12,2,"面白い奴だね、\r\n\t\t\t\t\t\t\t\t\t[r]ソーラーシステムのある場所で私達の邪魔をしようなんて",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+64,2,"ソーラーシステムか。\r\n\t\t\t\t\t\t\t\t\t\t\t[r]マナを集めるだけの板に、大層な名前をつけたものね",frame,16,1.65,0.4,180)'
	'Balloon(CenX,CenY+128-32,128-32-4,2,"あんたはマナ板の上の鯉",frame,16,0.8,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128-32-4,2,"今日は帰ったら鯉こくだ",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+64+16,2,"愚かなる下界の民よ！\r\n\t\t\t\t\t\t\t[r]誰が太陽を作り賜うたか、私の目を見て今一度思い出せ！",frame,16,1.8,0.4,180)'
)

Jap_3_1_2=(
	'Balloon(CenX,CenY+98,128+32,2,"ぐぬぬ。天使が下界の民に遅れを取るとは",frame,16,1.4,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128-32,0,"こいつが異変の犯人かな？",frame,16,1,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+64-16,0,"さあ、このエネルギーの主は知らないね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私はただ、マナ板と霊魂に釣られて来ただけ",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,32+8,0,"霊魂って？",frame,16,0.5,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,256-16,0,"その辺の、ちょっと握り潰せば消えるようなのとは違う強力な奴よ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それを狩るのが、天界での私の役目でもある",frame,16,2.1,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"三途の川の死神みたいな物か。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]どこ行っても同じようなのは居るのね",frame,16,1.4,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+64-16,0,"世界の宗教なんて、所詮は私達のパクリばかりよ",frame,16,1.6,0.2,180)'
)

Eng_3_1_1=(
	'Balloon3(1,"Why is it only dark around this one area?[r]And what on earth are these floating metal boards?",frame,0,0,0,0,0)'
	'Balloon3(2,"I know! These are solar panels.[r]They collect the sun'"'"'s light and make electricity.",frame,0,0,0,0,0)'
	'Balloon3(1,"The reason why this area is dark[r]just got all the more mysterious.",frame,0,0,0,0,0)'
	'Balloon4("Solar panels. Is that what they'"'"'re calling them now?",frame,0,0,0,0)'
	'Balloon3(3,"Good afternoon. We meet again.",frame,0,0,0,0,0)'
	'Balloon3(2,"I don'"'"'t remember meeting you before.",frame,0,0,0,0,0)'
	'Balloon3(1,"Are you the one distorting the light?",frame,0,0,0,0,0)'
	'Balloon3(3,"You certainly get along well.",frame,0,0,0,0,0)'
	'Balloon3(3,"For a long time now, I'"'"'ve thought that the people of the lower[r]world were interesting. You differ from us in various ways,[r]but there'"'"'s one thing that'"'"'s more different than anything else.",frame,0,0,0,0,0)'
	'Balloon3(3,"That is, indeed, \\\"the coexistence of contradictory things\\\".",frame,0,0,0,0,0)'
	'Balloon3(3,"The above-ground sun and the underground sun,[r]once enemies, are joining forces in this way.[r]Don'"'"'t you think that'"'"'s interesting?",frame,0,0,0,0,0)'
	'Balloon3(1,"Not at all.[r]Gonna hit you with some homing cushions.",frame,0,0,0,0,0)'
	'Balloon3(3,"The sun above Heaven belongs to us angels.",frame,0,0,0,0,0)'
	'Balloon3(3,"Within I, Saraka, contradictory powers coexist.[r]The magic power of the sun, and its pair, the moon.",frame,0,0,0,0,0)'
	'Balloon3(1,"All the more reason we shouldn'"'"'t lose to you, then.",frame,0,0,0,0,0)'
	'Balloon3(2,"You'"'"'re pretty interesting, trying to[r]obstruct us in this area with solar panels.",frame,0,0,0,0,0)'
	'Balloon3(3,"Solar panels?[r]Such a lofty name for a bunch of boards that gather mana.",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re just a carp on a cutting board.",frame,0,0,0,0,0)'
	'Balloon3(2,"We'"'"'ll have koi soup today when we get back!",frame,0,0,0,0,0)'
	'Balloon3(3,"You foolish peons of the lower world![r]Look into my eyes, and remember just who it was that made your sun!",frame,0,30,0,0,0)'
)

Eng_3_1_2=(
	'Balloon3(3,"Grnnh. To think that an angel would fall[r]behind the people of the lower world.",frame,0,0,0,0,0)'
	'Balloon3(2,"Is this girl the culprit behind the incident?",frame,0,0,0,0,0)'
	'Balloon3(3,"Well, I don'"'"'t know who'"'"'s in control of that energy.[r]I was just lured here by the mana boards and that soul.",frame,0,0,0,0,0)'
	'Balloon3(1,"That soul?",frame,0,40,0,-2,0)'
	'Balloon3(3,"It'"'"'s someone very strong, different from the ones[r]around here who'"'"'ll just vanish if you crush them a bit.[r]Hunting them is my duty in Heaven.",frame,0,0,0,0,0)'
	'Balloon3(1,"So you'"'"'re like the shinigami of the Sanzu River?[r]Wherever you go, it'"'"'s all the same.",frame,0,0,0,0,0)'
	'Balloon3(3,"The world'"'"'s religions are all cribbing from us, after all.",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_3_2_1=(
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"これは何でしょう、銀色の板が沢山浮いていますが",frame,16,1.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"これだけ有れば難破しても安心だな",frame,16,1.4,0.2,0)'
	'Balloon(CenX-98,CenY+128-32,48,0,"何の話です？",frame,16,0.6,0.2,180)'
	'Balloon2(CenX-32,CenY+128-32,128+48+8,-2,"　　　　　緊急避難。カルネアデスの板ね",frame,16,1.7,0.26,0)'
	'Balloon(CenX,CenY+128-32,128+48,0,"沈む1つの板切れに、2人は同時に掴まれない。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]1人を見殺しにするか、それとも2人とも沈むか――",frame,16,1.7,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128-8,0,"これだけ板が有るのですから、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]その前提は成り立たないのでは？",frame,16,1.2,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+48+8,0,"悪魔の誘いに堕ちた人間ね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私なら2人共沈めるわ、どれだけ多くの板があろうと",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,96,0,"そうかい、私なら抗うがな",frame,16,1.1,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+96,0,"他人を押しのけ、カルネアデスの板を掴んだ者は無罪となる。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]なるほど、貴方はよく分かっているわ",frame,16,2.0,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+48,0,"早とちりな奴だ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]お前なぞにやられる私じゃないと言ってるんだ。",frame,16,1.6,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+48,0,"この為に超高性能法術タンクも連れて来たんだぜ",frame,16,1.6,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"他人を道具扱い、誠に下劣で冷酷無残である。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方は一度地獄を見た方が良いかも知れない",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+24,0,"おいやめろ、生きてる間くらい楽しみたい",frame,16,1.4,0.2,0)'
	'Balloon(CenX,CenY+128-32,128+32,0,"先延ばしにするより、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]一刻も早く煉獄で罪を焼き払った方が良い",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+32+8,0,"例え地獄に落ちても、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]慈悲深いお釈迦様は救いの糸を垂らして下さる",frame,16,1.5,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+24,0,"蜘蛛の糸はカルネアデスの板と逆。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]お釈迦様は他の奴を蹴落とすのは許さん筈。",frame,16,1.4,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+64+8,0,"ならばお前も、か弱い乙女の私を見捨てたりしない筈だ",frame,16,1.8,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"まあ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]元よりむざむざこの方に勧請される気も無いですので",frame,16,1.7,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+64,0,"良いわ、こちらも元より片方だけを見逃す気は無い。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]魂をも刈る天の刃、ただ1本の糸が斬れぬわけが無い！",frame,16,1.7,0.4,180)'
)

Jap_3_2_2=(
	'Balloon(CenX-32,CenY+128-32,128+32,0,"悪いな、このカルネアデスの板二人用なんだ",frame,16,1.5,0.2,0)'
	'Balloon(CenX+128,CenY+98,64+16,0,"うぬぬ〜、デウス様〜",frame,16,0.8,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"貴方が異変の犯人だったのでしょうか？",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32+8,0,"さあ、このエネルギーの主は知らないね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私達がやらかしたら、堕天させられてしまう",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,98,0,"堕天するとどうなるんだ？",frame,16,1.0,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+64+16,0,"力の性質が逆転する、例えば光を基に闇を作り出したりね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あと人間にちょっかいを出したがるようになるかな。",frame,16,1.9,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+64,0,"すると、同族だった筈の天使達に追われるようになる",frame,16,1.8,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"逃げようぜ白蓮。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]こんな時に天使軍団まで相手できん",frame,16,1.3,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,48,0,"緊急避難ですね",frame,16,0.8,0.2,180)'
)

Eng_3_2_1=(
	'Balloon3(2,"What'"'"'s this? There are so many silver planks floating around.",frame,0,0,0,0,0)'
	'Balloon3(1,"If we'"'"'ve got this many, we won'"'"'t have to worry about shipwrecks.",frame,0,0,0,0,0)'
	'Balloon3(2,"What'"'"'s that about?",frame,0,0,0,0,0)'
	'Balloon4("Emergency evacuation. You mean the Plank of Carneades.",frame,0,0,0,0)'
	'Balloon3(3,"Two people cannot both grab the same panel without it sinking.[r]To let one of them die, or to have both of them sink...?",frame,0,0,0,0,0)'
	'Balloon3(2,"With this many panels, does[r]that premise still stand?",frame,0,0,0,0,0)'
	'Balloon3(3,"Ah, humans who have fallen for the Devil'"'"'s[r]temptation. If it were me, I'"'"'d have us sink[r]together, regardless of how many panels there are.",frame,0,0,0,0,0)'
	'Balloon3(1,"Really? I'"'"'d fight for it.",frame,0,0,0,0,0)'
	'Balloon3(3,"The one who pushes the other aside to grab[r]the Plank of Carneades is not guilty.[r]I see. You understand this quite well.",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re gettin'"'"' ahead of yourself.[r]I'"'"'m sayin'"'"' I won'"'"'t be tricked by the likes of you.",frame,0,0,0,0,0)'
	'Balloon3(1,"That'"'"'s why I'"'"'ve brought this super-high[r]performance magical tank with me.",frame,0,0,0,0,0)'
	'Balloon3(2,"How vulgar and implacable you must be, to treat other people like tools.[r]It may be best for you to have a brief glimpse of Hell.",frame,0,40,0,-250,0)'
	'Balloon3(1,"Hey, cut that out. I wanna have fun while I'"'"'m alive.",frame,0,0,0,0,0)'
	'Balloon3(3,"Rather than putting it off, it'"'"'d be best for you to[r]burn your sins away in Purgatory as soon as possible.",frame,0,0,0,0,0)'
	'Balloon3(2,"Even if you were to fall into Hell, the merciful[r]Buddha would lend you a thread of hope.",frame,0,0,0,0,0)'
	'Balloon3(1,"The Spider'"'"'s Thread is the opposite of the Plank of Carneades.[r]The Buddha wouldn'"'"'t forgive someone who kicks others down.",frame,0,0,0,0,0)'
	'Balloon3(1,"So you wouldn'"'"'t throw a weak maiden[r]like me under the bus either, right?",frame,0,0,0,0,0)'
	'Balloon3(2,"Well, I didn'"'"'t have any intention of letting[r]this girl take over our faith to begin with.",frame,0,0,0,0,0)'
	'Balloon3(3,"Very well. I didn'"'"'t have any intention of letting just[r]one of you escape, either. This blade of Heaven can cut[r]even souls-- don'"'"'t think it can'"'"'t cut one single thread!",frame,0,0,0,0,0)'
)

Eng_3_2_2=(
	'Balloon3(1,"Too bad. This Plank of Carneades seats two people.",frame,0,0,0,0,0)'
	'Balloon3(3,"Rrrgh~, Lord Deus~",frame,0,-60,0,0,0)'
	'Balloon3(2,"Are you the culprit behind this incident?",frame,0,0,0,0,0)'
	'Balloon3(3,"Well, I don'"'"'t know who'"'"'s in control of that energy.[r]If we did anything like that, we'"'"'d fall from grace.",frame,0,0,0,0,0)'
	'Balloon3(1,"What happens when you do that?",frame,0,0,0,0,0)'
	'Balloon3(3,"Our powers'"'"' properties are inverted.[r]For example, darkness would be made from light.[r]Aside from that, I guess we'"'"'d start messing with humans as well?",frame,0,0,0,0,0)'
	'Balloon3(3,"And then we'"'"'d be hunted down by other angels,[r]who ought to be the same species as us.",frame,0,0,0,0,0)'
	'Balloon3(1,"Byakuren, let'"'"'s get outta here.[r]We can'"'"'t face the angels'"'"' army at a time like this.",frame,0,0,0,0,0)'
	'Balloon3(2,"An emergency evacuation, hm?",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_3_3_1=(
	'Balloon(CenX-64,CenY+128-32,128+98,0,"周りの銀の板は、太陽光発電装置ですね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]幻想郷ではまだ間欠泉センターでしか使われていない筈ですが…",frame,16,2.1,0.4,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+16,0,"やはり、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]前から共犯者と一緒に盗み出していたと見るのが自然かねえ",frame,16,1.9,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,98,0,"自然ですね、エコなだけに",frame,16,1.0,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,98,0,"良く分かってるじゃないか",frame,16,1.0,0.2,180)'
	'Balloon2(CenX-32,CenY+128-32,128+32,-2,"　　　これがエコか、聞いて呆れるわ",frame,16,1.4,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128+24,0,"エコとエゴは紙一重、我ながらよく言ったわ",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128,0,"これは穏やかじゃないね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]過去に会った事は無かったと思うが",frame,16,1.3,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,64+8,0,"初めて会ったわ、今",frame,16,0.9,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+64+24,0,"何の用ですか、私はまだ死神に狙われる道理はありませんよ\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]…神奈子様は兎も角",frame,16,1.9,0.4,0)'
	'Balloon(CenX+64,CenY+128-32,128+24,0,"あるじゃない、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]人の子がおこがましくも神を名乗っている",frame,16,1.4,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+16,0,"あんたの所じゃ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神を名乗って良い人の子は一人だったか",frame,16,1.3,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"貴方達の常識を幻想郷に押しつける、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これをエゴと呼ばずに何と言うのです？",frame,16,1.4,0.4,0)'
	'Balloon(CenX+128+32,CenY+128-32,32-8,0,"宣教よ",frame,16,0.4,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,98+8,0,"ここでの営業は私達が先行だ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128,0,"そうそう、神奈子様の仰る事は絶対",frame,16,1.2,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128+16,0,"満足に発電も出来ない時代遅れの風神が。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]エコだけで栄光は掴めぬと知れ！",frame,16,1.4,0.4,180)'
)

Jap_3_3_2=(
	'Balloon(CenX-128-16,CenY+128-32,128+24,0,"あんたの所の親分も、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]元々は風神（ジン）だったそうじゃないか",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+48+4,0,"デウス様の黒歴史に触れるな、堕天させられるわよ",frame,16,1.7,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+48,0,"そんな事より、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]負けたんですからもう異変は終わらせて下さいよ。",frame,16,1.6,0.4,0)'
	'Balloon(CenX-32,CenY+128-32,128,0,"分かっているんですよ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方があの神様の協力者って事はね",frame,16,1.2,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+32,0,"知らないね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私はただ、堕天した同胞達を刈りに来ただけ。",frame,16,1.5,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128-16,0,"父なるデウス様の威光の届かぬ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この東の地なればこそね。",frame,16,1.1,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+32+4,0,"お前達も覚えておけ、次は必ず刈り取ってやる",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128-16,CenY+128-32,98,0,"堕天狩りか、いい趣味だよ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"西の空から新しい光が近付いて来ました。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]せいぜい次があれば良いですね",frame,16,1.4,0.4,0)'
)

Eng_3_3_1=(
	'Balloon3(1,"The silver boards around here are solar power[r]generation devices. They still shouldn'"'"'t be in use[r]anywhere in Gensokyo, besides the Geyser Center...",frame,0,0,0,0,0)'
	'Balloon3(2,"It'"'"'d be natural to assume that they stole them[r]some time ago, along with their accomplices.",frame,0,0,0,0,0)'
	'Balloon3(1,"Natural. In other words, eco-friendly.",frame,0,0,0,0,0)'
	'Balloon3(2,"You understand well, don'"'"'t you?",frame,0,0,0,0,0)'
	'Balloon4("This is eco-friendly? I'"'"'m shocked to hear that.",frame,0,0,0,0)'
	'Balloon3(3,"There'"'"'s a fine line between \\\"eco\\\" and \\\"ego\\\", as I often say.",frame,0,0,0,0,0)'
	'Balloon3(2,"This one'"'"'s not very calm.[r]I don'"'"'t think we'"'"'ve met her before, though.",frame,0,0,0,0,0)'
	'Balloon3(3,"I just met you now.",frame,0,-40,0,0,0)'
	'Balloon3(1,"What are you here for?[r]I'"'"'ve got no reason to be targeted by a shinigami yet.[r]...to say nothing of Lady Kanako.",frame,0,0,0,0,0)'
	'Balloon3(3,"You do, don'"'"'t you?[r]You'"'"'re a child of man, impudently taking the name of a god.",frame,0,0,0,0,0)'
	'Balloon3(2,"Where you'"'"'re from, there'"'"'s only one child of man[r]who takes the name of a god, right?",frame,0,0,0,0,0)'
	'Balloon3(1,"You people are forcing your sense of values on Gensokyo.[r]What do you call that, if not egotistical?",frame,0,0,0,0,0)'
	'Balloon3(3,"Missionary work.",frame,0,-40,0,0,0)'
	'Balloon3(2,"Our business here is already well-established.",frame,0,0,0,0,0)'
	'Balloon3(1,"Yes, yes. Lady Kanako'"'"'s word is absolute.",frame,0,0,0,0,0)'
	'Balloon3(3,"You outdated wind gods who can'"'"'t even generate power![r]Know that you cannot obtain glory simply through ecology!",frame,0,0,0,0,0)'
)

Eng_3_3_2=(
	'Balloon3(2,"Your master was originally a wind god[r]himself, wasn'"'"'t he? A djinn, to be exact?",frame,0,0,0,0,0)'
	'Balloon3(3,"Don'"'"'t air out Lord Deus'"'"'s dirty laundry![r]You'"'"'ll be made to fall from grace.",frame,0,0,0,0,0)'
	'Balloon3(1,"More importantly, you'"'"'ve lost,[r]so please put a stop to the incident.",frame,0,0,0,0,0)'
	'Balloon3(1,"I'"'"'ve got it figured out.[r]You must be cooperating with that god up there.",frame,0,0,0,0,0)'
	'Balloon3(3,"I don'"'"'t know them.[r]I only came to reap some of my fellows who'"'"'d fallen from grace.",frame,0,0,0,0,0)'
	'Balloon3(3,"It'"'"'s for that very reason that I came to this eastern land,[r]where the influence of our father, Lord Deus, doesn'"'"'t reach.",frame,0,0,0,0,0)'
	'Balloon3(3,"Remember this. I'"'"'ll be sure to reap you, too, next time.",frame,0,0,0,0,0)'
	'Balloon3(2,"Hunting fallen angels? An interesting hobby.",frame,0,0,0,0,0)'
	'Balloon3(1,"There'"'"'s a new light approaching from the sky to the west.[r]That'"'"'s assuming there'"'"'ll be a next time, at the least.",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg3/

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="03_Event0"$ev"_PL0"$pl".dnh";
		name_bck="03_Event0"$ev"_PL0"$pl".bck";
		iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
	done;
done;


for ((i=0; i<${#Jap_3_1_1[@]}; ++i)); do
	Eng_3_1_1[i]=${Eng_3_1_1[i]//\'/\'\"\'\"\'};
	Eng_3_1_1[i]=${Eng_3_1_1[i]//\[/\\\[};
	Jap_3_1_1[i]=${Jap_3_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_1_1[i]}\'/\'${Eng_3_1_1[i]}\'/g 03_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_3_2_1[@]}; ++i)); do
	Eng_3_2_1[i]=${Eng_3_2_1[i]//\'/\'\"\'\"\'};
	Eng_3_2_1[i]=${Eng_3_2_1[i]//\[/\\\[};
	Jap_3_2_1[i]=${Jap_3_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_2_1[i]}\'/\'${Eng_3_2_1[i]}\'/g 03_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_3_3_1[@]}; ++i)); do
	Eng_3_3_1[i]=${Eng_3_3_1[i]//\'/\'\"\'\"\'};
	Eng_3_3_1[i]=${Eng_3_3_1[i]//\[/\\\[};
	Jap_3_3_1[i]=${Jap_3_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_3_1[i]}\'/\'${Eng_3_3_1[i]}\'/g 03_Event01_PL03.bck;
done;

for ((i=0; i<${#Jap_3_1_2[@]}; ++i)); do
	Eng_3_1_2[i]=${Eng_3_1_2[i]//\'/\'\"\'\"\'};
	Eng_3_1_2[i]=${Eng_3_1_2[i]//\[/\\\[};
	Jap_3_1_2[i]=${Jap_3_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_1_2[i]}\'/\'${Eng_3_1_2[i]}\'/g 03_Event02_PL01.bck;
done;

for ((i=0; i<${#Jap_3_2_2[@]}; ++i)); do
	Eng_3_2_2[i]=${Eng_3_2_2[i]//\'/\'\"\'\"\'};
	Eng_3_2_2[i]=${Eng_3_2_2[i]//\[/\\\[};
	Jap_3_2_2[i]=${Jap_3_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_2_2[i]}\'/\'${Eng_3_2_2[i]}\'/g 03_Event02_PL02.bck;
done;

for ((i=0; i<${#Jap_3_3_2[@]}; ++i)); do
	Eng_3_3_2[i]=${Eng_3_3_2[i]//\'/\'\"\'\"\'};
	Eng_3_3_2[i]=${Eng_3_3_2[i]//\[/\\\[};
	Jap_3_3_2[i]=${Jap_3_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_3_3_2[i]}\'/\'${Eng_3_3_2[i]}\'/g 03_Event02_PL03.bck;
done;

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="03_Event0"$ev"_PL0"$pl".dnh";
		name_bck="03_Event0"$ev"_PL0"$pl".bck";
		iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
		rm $name_bck;
	done;
done;
