#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 4
# Reimu and Utsuho

Jap_4_1_1=(
	'Balloon(CenX-32,CenY+128-32,128+64,2,"おかしいでしょ、何で樹の上から滝が流れて来るのよ",frame,16,1.8,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+48,2,"私知ってるよ、これは水力発電だ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]落ちる水の力でタービンを回して電気を作るの",frame,16,1.6,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"もっと重大な疑問があると思うんだけど",frame,16,1.4,0.2,0)'
	'Balloon2(CenX-32,CenY+128-32,128,0,"　うぬ、ここまで登って来たか",frame,16,1.2,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,128,0,"ならば、ここから叩き落としてくれる",frame,16,1.4,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,64+32,0,"わあ、将軍様のお出ましだ",frame,16,1.0,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"いかにも、わしは大天狗の祟徳院。",frame,16,1.2,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+32+32+12,2,"忌々しい麓の巫女め、やはり嗅ぎ付けて来おったか。\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]うぬを押し止めるのは、射命丸に詔を出したはずじゃが…",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-16,128+32,0,"天狗か。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]今頃は必死で上司への言い訳を考えているわ",frame,16,1.55,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+32+8,2,"それにじゃ、いかに天を衝くこの大樹と言えど、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]うぬの神社からは見えぬ筈…",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,2,"わざわざ大量に新聞撒いて知らせて来たのは\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あんた（天狗）達じゃない",frame,16,1.5,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+32,1,"うぎぎ、報道規制の手回しを失念しておったわ",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+16,2,"偉そうだけどあんまり偉くないんだね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ん？　偉くないのに偉そうなのかな？",frame,16,1.3,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,24,0,"正解よ",frame,16,0.4,0.2,0)'
	'Balloon(CenX,CenY+128-32,32+6,2,"どっちが？",frame,16,0.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,32,2,"どっちも",frame,16,0.4,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+12,2,"人の世においては、わしより偉い者など居らなんじゃが",frame,16,1.8,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+32+16,2,"天狗になってたんだね。だから天狗になったんだ",frame,16,1.65,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,2,"面白い。ホーミング座布団あげるわ",frame,16,1.2,0.2,0)'
	'Balloon(CenX+32,CenY+128-32,128-24,2,"うぬら如きに邪魔はさせんぞ。",frame,16,1.0,0.2,180)'
	'Balloon(CenX+32,CenY+128-32,128+32,2,"否、それともわしと手を組むか？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]うぬにとっても守矢神社は共通の敵の筈じゃ",frame,16,1.4,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+32,2,"やっぱり鴉は馬鹿ばっかね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私の敵は、まず何よりも異変を起こす奴よ！",frame,16,1.4,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+16,2,"そんな事も分からないなんて、可哀想。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]頭が良く出来てないのね",frame,16,1.4,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+64+16,2,"その生意気な口も、舌を千切ってやれば二度と聞けまい。",frame,16,1.8,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+32+16,2,"人の頂に立つ天帝にして、妖の頂に立つわしの力、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]存分に祟られ思い知れ！",frame,16,1.6,0.4,180)'
)

Jap_4_1_2=(
	'Balloon(CenX+64,CenY+98,64+16,2,"くっ、何故援軍が来ぬ",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-32+8,0,"天狗が組織ぐるみで異変を？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]一体どういう事かしらね",frame,16,1,0.4,0)'
	'Balloon(CenX-32,CenY+128-32,128+64-8,0,"うぬは勘違いをしておるようじゃな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この樹の煌くさまと、わしら天狗は何の関係も無い",frame,16,1.65,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+4,0,"わしはこの異変を口実に、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]憎き守矢を陥れんとしていただけじゃ",frame,16,1.2,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"私たち、樹が光ってからすぐ飛んで来たのに、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]居るの早すぎだよねえ",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+48,0,"異変の主犯ではないけれど共犯。はい吐いたわね。",frame,16,1.6,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+96,0,"偉い天狗が異変に協力、紫に情報売りつけたらどうなるかしら",frame,16,2.0,0.2,0)'
	'Balloon(CenX+128+32,CenY+128-32,32-8,0,"うぬぬ",frame,16,0.4,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"もう少し私らにシメられるか、スキマ送りか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]どちらが良いかくらいは選ばせてやる。",frame,16,1.5,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,64,0,"私は優しいからね",frame,16,0.7,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128-32+8,0,"おのれ〜天狗になりおって〜",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128,0,"天狗になってたんだもん、仕方ないね",frame,16,1.4,0.2,180)'
)

Eng_4_1_1=(
	'Balloon3(1,"This is weird. Why is there a waterfall[r]coming from the top of the tree?",frame,0,0,0,0,0)'
	'Balloon3(2,"I know! This is hydroelectricity.[r]The force of the falling water turns[r]the turbines, which generates electricity.",frame,0,0,0,0,0)'
	'Balloon3(1,"I think there'"'"'s a bigger problem here than that, though.",frame,0,0,0,0,0)'
	'Balloon4("So, you peons have climbed all the way up here?",frame,0,0,0,0)'
	'Balloon3(3,"Then, I'"'"'ll knock you back down now.",frame,0,0,0,0,0)'
	'Balloon3(2,"Waa, the general'"'"'s made her appearance!",frame,0,0,0,0,0)'
	'Balloon3(3,"Indeed. I am the Great Tengu, Suitokuin.",frame,0,0,0,0,0)'
	'Balloon3(3,"So this irritating shrine maiden of the foothills[r]really found her way here? Even though I ought to[r]have sent out an order to Shameimaru to stop you...",frame,0,0,0,0,0)'
	'Balloon3(1,"Tengu, hm.[r]Aya'"'"'s desperately trying to think up some[r]excuse to give her superiors right now.",frame,0,0,0,0,0)'
	'Balloon3(3,"Even then, no matter how high in the sky this tree stands,[r]you shouldn'"'"'t have been able to see it from your cheap shrine...",frame,0,0,0,0,0)'
	'Balloon3(1,"Wasn'"'"'t it you tengu who deliberately threw[r]all those newspapers around and let us know?",frame,0,0,0,0,0)'
	'Balloon3(3,"Errgh, I must'"'"'ve forgotten to handle the press restraints.",frame,0,0,0,0,0)'
	'Balloon3(2,"She acts important, but she doesn'"'"'t seem very important at all. Hm?[r]Or is it that she'"'"'s acting important in spite of not being important?",frame,0,30,0,-250,0)'
	'Balloon3(1,"Correct.",frame,0,80,0,-2,0)'
	'Balloon3(2,"Which one?",frame,0,0,0,0,0)'
	'Balloon3(1,"Both.",frame,0,60,0,-2,0)'
	'Balloon3(3,"In human society, though, there'"'"'s not[r]a single person more important than me.",frame,0,0,0,0,0)'
	'Balloon3(2,"You'"'"'re acting as arrogant as a tengu.[r]I mean, you ARE a tengu.",frame,0,0,0,0,0)'
	'Balloon3(1,"Interesting. I'"'"'ll give you some homing cushions.",frame,0,0,0,0,0)'
	'Balloon3(3,"I won'"'"'t give any trouble to the likes of you.",frame,0,0,0,0,0)'
	'Balloon3(3,"Perhaps you'"'"'d like to join forces, instead?[r]The Moriya Shrine should be a common enemy of ours, no?",frame,0,0,0,0,0)'
	'Balloon3(1,"All you crows are idiots, after all.[r]My enemy, first and foremost, is whoever'"'"'s causing an incident!",frame,0,0,0,0,0)'
	'Balloon3(2,"I feel sorry for you if you don'"'"'t even understand that.[r]Your head must not be very good.",frame,0,0,0,0,0)'
	'Balloon3(3,"I'"'"'ll never again hear from that rude mouth[r]after I shred your tongue into pieces.",frame,0,0,0,0,0)'
	'Balloon3(3,"Know that I, the Heavenly Emperor that stands[r]above humans, with a power that stands above[r]youkai, will curse you to my heart'"'"'s content!",frame,0,0,0,0,0)'
)

Eng_4_1_2=(
	'Balloon3(3,"Khh. Why are the reinforcements not arriving?",frame,0,0,0,0,0)'
	'Balloon3(1,"Tengu conspiring to start an incident?[r]What in the world is happening here?",frame,0,0,0,0,0)'
	'Balloon3(3,"It seems that you are rather mistaken.[r]The light shining from this tree has nothing to do with us tengu.",frame,0,20,0,0,0)'
	'Balloon3(3,"I was merely going to use this incident as[r]an excuse to take down those devious Moriyas.",frame,0,0,0,0,0)'
	'Balloon3(2,"We flew over here right after seeing that light from the tree,[r]but it looks like we came too early for you.",frame,0,0,0,0,0)'
	'Balloon3(1,"Okay, she coughed it up.[r]She'"'"'s not the main culprit, but an accomplice.",frame,0,0,0,0,0)'
	'Balloon3(1,"A high-ranking tengu was cooperating with the incident.[r]I wonder what'"'"'ll happen if I sell this info to Yukari?",frame,0,0,0,0,0)'
	'Balloon3(3,"Rrrgh.",frame,0,-60,0,0,0)'
	'Balloon3(1,"Now, we can rough you up a bit more, or[r]Yukari can send you away through a gap.[r]Pick whichever one you like.",frame,0,0,0,0,0)'
	'Balloon3(1,"Since I'"'"'m feeling nice.",frame,0,0,0,0,0)'
	'Balloon3(3,"Why, yooou~. You'"'"'re acting as arrogant as a tengu~",frame,0,0,0,0,0)'
	'Balloon3(2,"Well, you ARE a tengu. Nothing to be done about it.",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_4_2_1=(
	'Balloon(CenX-32,CenY+128-32,96,0,"そろそろ黒幕のご登場かな",frame,16,1.0,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,96+16,0,"異変解決人としての勘ですか？",frame,16,1.1,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128-16,0,"だいたいこの次に出て来る奴か、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]その2〜3人後の奴が犯人だ",frame,16,1.1,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128,0,"　　犯人は、この中に居る――",frame,16,1.2,0.26,0)'
	'Balloon(CenX+128-64,CenY+128-32,96,0,"そう考えているうちは、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]決して解けぬ謎もあろうな",frame,16,0.9,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+24,0,"ほら見ろ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]勝手にベラベラ喋り出す犯人のお出ましだ",frame,16,1.4,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+64+8,0,"天狗のようですが、何やら私達に近い雰囲気を感じます。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]人間からの転生組でしょうか",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-16,128+8,0,"人間ではレベルの限界に達したんだな",frame,16,1.25,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+96,2,"人間共め、まさか嗅ぎ付けて来おるとは。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]万に一つも邪魔が入らぬよう、射命丸に詔を出したはずじゃが…",frame,16,2.1,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,2,"私は椛くらいしか落としてないぜ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]恨むなら霊夢を恨むんだな",frame,16,1.2,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+128-16,1,"わしは人の世界と妖怪の山、その両方を思うがままとする者。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]やはり下級天狗を集めた所で、わしを満足させる働きは出来なんだか",frame,16,2.2,0.4,180)'
	'Balloon2(CenX-32,CenY+128-32,128+32,0,"あややや、私はこんな仕事しとうはなかった",frame,16,1.8,0.26,0)'
	'Balloon(CenX,CenY+128-32,64,0,"何ですか、今のは？",frame,16,0.7,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+24,0,"あ、地底に持ってった通信機か。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]いやいや待て、何であいつが持ってんだ？",frame,16,1.4,0.4,0)'
	'Balloon(CenX+64,CenY+128-32,98,0,"射命丸…信じておったのに…",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+16,2,"この天狗、誠に自惚れ、時代錯誤である",frame,16,1.3,0.2,180)'
	'Balloon(CenX,CenY+128-32,64,0,"荒唐無稽であるな",frame,16,0.7,0.2,0)'
	'Balloon(CenX+128,CenY+128-32,48,0,"遺憾千万である",frame,16,0.7,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+48,0,"そろそろお話し頂きましょうか。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]大量の天狗を動員してこの異変を起こした目的を",frame,16,1.6,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+8,0,"邪魔をする気なら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]言葉ではなく弾幕で説明せざるを得ぬ",frame,16,1.3,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+24,0,"その方が分かり易そうだからそっちで頼む",frame,16,1.4,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,64+16,0,"死を早む愚かな人間よ。",frame,16,0.8,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+64,2,"京の都を焼き尽くす我が祟り、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]存分に受けて、わしを崇めなかった事を悔やむが良い！",frame,16,1.8,0.4,180)'
)

Jap_4_2_2=(
	'Balloon(CenX,CenY+128-32,128+48+8,0,"やっぱり弾幕で説明されても何も分からなかったな",frame,16,1.7,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"愚問、そもそも説明する気など無かったわ",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+8,0,"改めて尋ねましょう。この異変は一体？",frame,16,1.4,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+64,0,"ふん、異変はわしの友人が起こしたもの。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]わしは友のよしみで、邪魔者を遠ざけてやっただけじゃ",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,48,0,"職権乱用だぜ",frame,16,0.6,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+48+8,0,"何とでも申せ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]わしの目の黒いうちは、報道天狗達に真実は書けぬ。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+24+8,0,"間欠泉や宝船の異変の元凶であるかの守矢も、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]巧妙にわしらに尻尾を掴ませようとせぬ。",frame,16,1.5,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+24+16,0,"これからは弾幕戦より情報戦の時代…であるな",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+8,0,"霧雨新聞を作って真実を伝えてやるか",frame,16,1.3,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,64,0,"配布は任せて下さい",frame,16,0.8,0.2,180)'
)

Eng_4_2_1=(
	'Balloon3(1,"Is the mastermind gonna show up soon, I wonder?",frame,0,0,0,0,0)'
	'Balloon3(2,"Is that your intuition as an incident resolver?",frame,0,0,0,0,0)'
	'Balloon3(1,"Generally speakin'"'"', the culprit is either the[r]next person to appear, or 2 or 3 people after that.",frame,0,0,0,0,0)'
	'Balloon4("The culprit must be among us--!",frame,0,0,0,0)'
	'Balloon3(3,"There are some mysteries in this world[r]that can'"'"'t be solved just by thinking that.",frame,0,0,0,0,0)'
	'Balloon3(1,"Hey, look, someone showed up an'"'"' started[r]talkin'"'"' to herself. It'"'"'s gotta be her.",frame,0,0,0,0,0)'
	'Balloon3(2,"She seems to be a tengu, but somehow she also feels similar to us.[r]Perhaps she reincarnated from a human?",frame,0,40,0,-250,0)'
	'Balloon3(1,"She must'"'"'ve reached the level cap for humans.",frame,0,0,0,0,0)'
	'Balloon3(3,"To think that you humans managed to sniff me out.[r]I gave orders to Shameimaru not to let even[r]a single intruder out of a thousand pass...",frame,0,0,0,0,0)'
	'Balloon3(1,"Hey, I only knocked Momiji aside.[r]You wanna blame someone, blame Reimu.",frame,0,0,0,0,0)'
	'Balloon3(3,"I shall do as I please with both the human world and[r]the Youkai Mountain. I suppose that merely gathering[r]low-class tengu could not have been satisfactory?",frame,0,0,0,0,0)'
	'Balloon4("Ayayaya, I didn'"'"'t wanna do any work like that!",frame,0,0,0,0)'
	'Balloon3(2,"What was that just now?",frame,0,0,0,0,0)'
	'Balloon3(1,"Oh, is that the communicator I brought underground?[r]Wait, hang on a sec. Why does she have it?",frame,0,0,0,0,0)'
	'Balloon3(3,"Shameimaru... and here, I believed in you...",frame,0,0,0,0,0)'
	'Balloon3(2,"How arrogant and old-fashioned this tengu is!",frame,0,0,0,0,0)'
	'Balloon3(1,"Also incomprehensible.",frame,0,40,0,0,0)'
	'Balloon3(3,"A thousand pities.",frame,0,-40,0,0,0)'
	'Balloon3(2,"Are you going to tell us what'"'"'s going on, soon?[r]Why did you mobilize so many tengu in order to cause this incident?",frame,0,40,0,-250,0)'
	'Balloon3(3,"If you intend to get in my way, I have no choice[r]but to explain things with danmaku instead of words.",frame,0,0,0,0,0)'
	'Balloon3(1,"That seems easier to understand, so by all means go ahead.",frame,0,0,0,0,0)'
	'Balloon3(3,"You foolish humans must be eager to die.",frame,0,0,0,0,0)'
	'Balloon3(3,"Be cursed by I, who burnt the capital city to ashes,[r]and forever regret that you did not revere me!",frame,0,0,0,0,0)'
)

Eng_4_2_2=(
	'Balloon3(1,"Even though you explained things with[r]danmaku, I didn'"'"'t understand any a'"'"' that.",frame,0,0,0,0,0)'
	'Balloon3(3,"Imbecile. I never intended to explain in the first place.",frame,0,0,0,0,0)'
	'Balloon3(2,"Let'"'"'s try asking you again.[r]What in the world is this incident?",frame,0,0,0,0,0)'
	'Balloon3(3,"Hrmph. The incident is something that a friend[r]of mine caused. I was merely attempting to keep[r]interlopers away, as part of our friendship.",frame,0,0,0,0,0)'
	'Balloon3(1,"This'"'"'s an abuse of authority.",frame,0,0,0,0,0)'
	'Balloon3(3,"How do I say this? For as long as I live, the[r]tengu information corps will not write the truth.",frame,0,0,0,0,0)'
	'Balloon3(3,"The Moriyas were the cause of the Geyser and Treasure Ship[r]Incidents, and yet they skillfully avoided being caught by us.",frame,0,0,0,0,0)'
	'Balloon3(3,"From now on it'"'"'s the age of information[r]wars, not danmaku wars... I suppose.",frame,0,0,0,0,0)'
	'Balloon3(1,"Maybe I should start my own Kirisame[r]newspaper to get the truth out?",frame,0,0,0,0,0)'
	'Balloon3(2,"Allow me to handle its distribution.",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_4_3_1=(
	'Balloon(CenX-96,CenY+128-32,128+96+16,2,"空から滝が流れるなんて…\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]幻想郷はもう少し常識を身に付けた方が良いのではないでしょうか",frame,16,2.1,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+32,2,"何て事はないさ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この程度、私達も持っている力の応用さね。",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,2,"それより、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]水の落下でタービンを回して発電とはエコロジーな事だ",frame,16,1.8,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+48,0,"その為にわざわざ空に滝を作っているなら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]エコどころじゃない無駄の極みだと思うのですが",frame,16,1.6,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128-8,-2,"否、この計画に無駄など存在せぬ",frame,16,1.2,0.26,0)'
	'Balloon(CenX-64,CenY+128-32,128+64-8,0,"うぬらをこうして誘い出す事が出来たのじゃからな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]今日こそ、ここがうぬらの墓場よ",frame,16,1.7,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+64-8,0,"ですから、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]どこかでお会いした事は無かったと思うんですけど",frame,16,1.7,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+32+32+12,0,"やんごとなき身分の者はおいそれと人前に姿を現さぬわ。",frame,16,1.9,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+48,0,"わしは大天狗の祟徳院。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]さて、この異変はいかなる事か説明して貰おうぞ",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128,2,"これがまた話すと長くてねえ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]言葉より弾幕で説明した方が早いんだ",frame,16,1.3,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,0,"笑止、沈黙は金という奴か。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]答えが無い、まさにそれがうぬらの答えじゃな",frame,16,1.5,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+48,0,"それって本当は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]雄弁の銀の方が優れているという諺らしいですよ",frame,16,1.6,0.4,0)'
	'Balloon(CenX+64,CenY+128-32,96+8,0,"証拠を出されなければ信じぬ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+98,0,"外の世界なら、すぐインターネットで調べられるんだけどなあ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]キーワード入れてポチッと",frame,16,2.0,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+96,0,"間欠泉の異変、宝船の異変、神霊の異変、それに明星の異変。",frame,16,2.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+96+16,0,"これまでうぬらは、我が報道部隊の追及を巧みにかわして来おった。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]しかしわしには当に分かって居るぞ",frame,16,2.1,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"これら異変の影で、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]うぬら守矢が手を引いていた事などな",frame,16,1.3,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"証拠が無ければ信じないんじゃ無かったかい？",frame,16,1.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+48+8,0,"それに説明して頂きたいのはこちらの方です。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私達は樹の異変に気づいてからすぐさまやって来た、",frame,16,1.7,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+98,0,"だのに、まるで最初から待ち伏せていたように\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]天狗の部隊が配置されているなんて不自然ではありませんか？",frame,16,2.0,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+32,2,"例えば――あんた達が異変に一枚噛んでいた、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]とでも考えない事にはね",frame,16,1.5,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"やはり力ずくで吐かせるしか無いようじゃな",frame,16,1.5,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"だいたい先程の4つの異変、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]明星の異変は明らかにこちらが被害者です！",frame,16,1.5,0.4,0)'
	'Balloon(CenX-32,CenY+128-32,128+32+8,0,"人の身より魔縁と化し、人世を呪いしこの祟徳。",frame,16,1.6,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+32+16,0,"わしを敵に回した愚行、魔天に落ちて後悔せよ！",frame,16,1.6,0.2,180)'
)

Jap_4_3_2=(
	'Balloon(CenX-128,CenY+98,128+64,0,"ぬぬぬ、日本国の大魔緑たるわしが新参の神ごときに",frame,16,1.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"人間から天狗になったという伝説。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それにその名前、思い出しました。",frame,16,1.2,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+48+8,0,"貴方、外の世界では神様として崇められていますよ",frame,16,1.7,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128,0,"憎しみのあまり妖怪と化した帝は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]もはや幻想のものと云う事ね",frame,16,1.2,0.4,180)'
	'Balloon(CenX-128,CenY+98,128+48,0,"ふん、当人が死んでから崇められた所で遅いのじゃ。",frame,16,1.8,0.2,180)'
	'Balloon(CenX-64,CenY+98,128+24,0,"日本三大怨霊と呼ばれたわし等の怒りは、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]今更おさまる事を知らぬ。",frame,16,1.4,0.4,180)'
	'Balloon(CenX-32,CenY+98,128+24,0,"この異変の真の主犯も同様じゃ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あやつにとって、この導命樹こそが心の…",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128-48-8,0,"あ、主犯って言った",frame,16,0.7,0.2,0)'
	'Balloon(CenX-128-32-8,CenY+128-32,128+64+16,0,"おかしいね、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方の筋書きでは私達を主犯に仕立てる気だったようだが",frame,16,1.8,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"き、樹を持って来たのは他ならぬうぬらじゃろうが！",frame,16,1.8,0.2,180)'
)

Eng_4_3_1=(
	'Balloon3(1,"A waterfall coming down from the sky...?[r]Wouldn'"'"'t it be nice if Gensokyo had[r]at least a bit more common sense?",frame,0,0,0,0,0)'
	'Balloon3(2,"This isn'"'"'t much.[r]It'"'"'s just an application of powers that we have ourselves.",frame,0,0,0,0,0)'
	'Balloon3(2,"More importantly, turning these turbines[r]with the falling water is quite eco-friendly.",frame,0,0,0,0,0)'
	'Balloon3(1,"I think deliberately creating a waterfall to do that[r]is just extremely pointless, rather than eco-friendly.",frame,0,0,0,0,0)'
	'Balloon4("No. Nothing about this plan is pointless.",frame,0,0,0,0)'
	'Balloon3(3,"That'"'"'s because it allowed me to lure you out here.[r]Today, this place shall be your graveyard!",frame,0,0,0,0,0)'
	'Balloon3(1,"I don'"'"'t think we'"'"'ve met you anywhere before, though?",frame,0,0,0,0,0)'
	'Balloon3(3,"Those of exalted status do not appear[r]before the populace so readily.",frame,0,40,0,0,0)'
	'Balloon3(3,"I am the Great Tengu, Suitokuin.[r]Now, I shall explain this entire incident to you.",frame,0,0,0,0,0)'
	'Balloon3(2,"If we stop to talk again, it'"'"'ll take a while.[r]It'"'"'d be faster to explain with danmaku, rather than words.",frame,0,0,0,0,0)'
	'Balloon3(3,"Ridiculous. Are you trying to say \\\"silence is golden\\\"?[r]No answer? So that'"'"'s supposed to be your answer, is it?",frame,0,0,0,0,0)'
	'Balloon3(1,"Actually, I believe the superior proverb is \\\"speech is silver\\\".",frame,0,0,0,0,0)'
	'Balloon3(3,"I won'"'"'t believe that without evidence.",frame,0,0,0,0,0)'
	'Balloon3(1,"If we were in the outside world, you[r]could check it right away on the Internet.[r]Just type in the keywords, and *click*!",frame,0,0,0,0,0)'
	'Balloon3(3,"The Geyser Incident, Treasure Ship Incident,[r]Divine Spirit Incident, and finally the Morning Star Incident.",frame,0,0,0,0,0)'
	'Balloon3(3,"You'"'"'ve skillfully evaded the investigation of my information[r]corps up until now. However, I now know the truth.",frame,0,0,0,0,0)'
	'Balloon3(3,"You Moriyas have had a hand in all[r]these incidents from the shadows.",frame,0,40,0,0,0)'
	'Balloon3(2,"You just said you wouldn'"'"'t believe[r]it without evidence, didn'"'"'t you?",frame,0,0,0,0,0)'
	'Balloon3(1,"Furthermore, we'"'"'re the ones who'"'"'d like an explanation.[r]We came over here right after we saw the incident with the tree,",frame,0,0,0,0,0)'
	'Balloon3(1,"but the tengu corps were lying in wait as if they were[r]going to ambush us from the start. Isn'"'"'t that suspicious?",frame,0,0,0,0,0)'
	'Balloon3(2,"What if, say-- you tengu were taking part in the incident?[r]That'"'"'d be just unthinkable, of course.",frame,0,0,0,0,0)'
	'Balloon3(3,"Seems I'"'"'ve got no choice but to make you cough it up by force.",frame,0,0,0,0,0)'
	'Balloon3(1,"And out of those four incidents you mentioned,[r]we were clearly victims of the Morning Star Incident!",frame,0,0,0,0,0)'
	'Balloon3(3,"I, Suitoku, changed from a human to a Maen,[r]and brought a curse upon the world.",frame,0,0,0,0,0)'
	'Balloon3(3,"You fools who dare turn against me![r]Fall before this demon god, and repent!",frame,0,0,0,0,0)'
)

Eng_4_3_2=(
	'Balloon3(3,"Nrrrh. To think that I, the great Maen of[r]Japan, would lose to these newcomer gods...",frame,0,0,0,0,0)'
	'Balloon3(1,"There'"'"'s a legend about a human becoming a tengu.[r]On top of that, I remembered that human'"'"'s name.",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re worshiped as a god in the outside world.",frame,0,0,0,0,0)'
	'Balloon3(2,"The emperor who became a youkai out of sheer hatred[r]is already a thing of mere fantasy, I suppose.",frame,0,0,0,0,0)'
	'Balloon3(3,"Hmph. If the person themselves has died,[r]it'"'"'s a little late to worship them.",frame,0,0,0,0,0)'
	'Balloon3(3,"I know not if my anger as one of Japan'"'"'s three[r]great vengeful spirits can be quieted now.",frame,0,0,0,0,0)'
	'Balloon3(3,"The same is true of this incident'"'"'s true culprit.[r]For them, the Life-Guiding Tree itself is their heart'"'"'s greatest...",frame,0,40,0,0,0)'
	'Balloon3(1,"Oh, you said \\\"true culprit\\\".",frame,0,0,0,0,0)'
	'Balloon3(2,"That'"'"'s funny. In your outline, it seemed that[r]you were going to frame us as the culprits.",frame,0,0,0,0,0)'
	'Balloon3(3,"W-well, you were the ones who brought the tree here, after all!",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg4/

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="04_Event0"$ev"_PL0"$pl".dnh";
		name_bck="04_Event0"$ev"_PL0"$pl".bck";
		iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
	done;
done;


for ((i=0; i<${#Jap_4_1_1[@]}; ++i)); do
	Eng_4_1_1[i]=${Eng_4_1_1[i]//\'/\'\"\'\"\'};
	Eng_4_1_1[i]=${Eng_4_1_1[i]//\[/\\\[};
	Jap_4_1_1[i]=${Jap_4_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_1_1[i]}\'/\'${Eng_4_1_1[i]}\'/g 04_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_4_2_1[@]}; ++i)); do
	Eng_4_2_1[i]=${Eng_4_2_1[i]//\'/\'\"\'\"\'};
	Eng_4_2_1[i]=${Eng_4_2_1[i]//\[/\\\[};
	Jap_4_2_1[i]=${Jap_4_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_2_1[i]}\'/\'${Eng_4_2_1[i]}\'/g 04_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_4_3_1[@]}; ++i)); do
	Eng_4_3_1[i]=${Eng_4_3_1[i]//\'/\'\"\'\"\'};
	Eng_4_3_1[i]=${Eng_4_3_1[i]//\[/\\\[};
	Jap_4_3_1[i]=${Jap_4_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_3_1[i]}\'/\'${Eng_4_3_1[i]}\'/g 04_Event01_PL03.bck;
done;

for ((i=0; i<${#Jap_4_1_2[@]}; ++i)); do
	Eng_4_1_2[i]=${Eng_4_1_2[i]//\'/\'\"\'\"\'};
	Eng_4_1_2[i]=${Eng_4_1_2[i]//\[/\\\[};
	Jap_4_1_2[i]=${Jap_4_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_1_2[i]}\'/\'${Eng_4_1_2[i]}\'/g 04_Event02_PL01.bck;
done;

for ((i=0; i<${#Jap_4_2_2[@]}; ++i)); do
	Eng_4_2_2[i]=${Eng_4_2_2[i]//\'/\'\"\'\"\'};
	Eng_4_2_2[i]=${Eng_4_2_2[i]//\[/\\\[};
	Jap_4_2_2[i]=${Jap_4_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_2_2[i]}\'/\'${Eng_4_2_2[i]}\'/g 04_Event02_PL02.bck;
done;

for ((i=0; i<${#Jap_4_3_2[@]}; ++i)); do
	Eng_4_3_2[i]=${Eng_4_3_2[i]//\'/\'\"\'\"\'};
	Eng_4_3_2[i]=${Eng_4_3_2[i]//\[/\\\[};
	Jap_4_3_2[i]=${Jap_4_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_4_3_2[i]}\'/\'${Eng_4_3_2[i]}\'/g 04_Event02_PL03.bck;
done;

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="04_Event0"$ev"_PL0"$pl".dnh";
		name_bck="04_Event0"$ev"_PL0"$pl".bck";
		iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
		rm $name_bck;
	done;
done;
