#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 5
# Reimu and Utsuho

Jap_5_1_1=(
	'Balloon(CenX-32,CenY+128-32,128-32-8,0,"もう夜なのに眩しいわね",frame,16,0.8,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+32,2,"そうかな、地底の灼熱地獄もこんな物だけど",frame,16,1.4,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+48+8,0,"紫が言う外の世界もこんな感じなのかな。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それとも、ここは世界の境界が作られているのか？",frame,16,1.6,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128,0,"　　　　　　そーだねー",frame,16,1.2,0.26,0)'
	'Balloon(CenX-64,CenY+128,128+64+16,0,"キミ達にとっては、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]ここはあの世とこの世の境界（ネクロファンタジア）かな",frame,16,1.8,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,64+32+8,0,"わあ、こいつ喋れたんだ！？",frame,16,1,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,2,"さっきからウロチョロと邪魔くさいわね。\r\n\t\t\t\t\t\t\t\t\t\t[r]こんな奴、私達の前には何体いようが無力よ",frame,16,1.4,0.4,0)'
	'Balloon(CenX+64,CenY+128,128-32,0,"じゃあ、これならどおかな？",frame,16,1.0,0.2,180)'
	'Balloon(CenX+128,CenY+128-32,32+16,0,"じゃじゃーん",frame,16,0.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,1,"人形みたいな物だと思ったら蝙蝠だったか",frame,16,1.5,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+64+8,2,"うわすごっ、何食べたらこんなにすぐ大っきくなるんだ",frame,16,1.8,0.2,180)'
	'Balloon(CenX-96,CenY+128-32,128+96-16,0,"大きいに決まってるとも。私はこの大きな梅の樹そのもの。",frame,16,1.9,0.2,180)'
	'Balloon(CenX-96,CenY+128-32,128+96,0,"さっきまでの小さいのも、みんな私で、みんなこの樹なんだ",frame,16,2.0,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,2,"樹が光っているのが別の何者かの仕業ならば、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あんたが私達の邪魔をする理由はない筈。",frame,16,1.5,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+48,0,"あんたが――この樹が神奈子が連れて来た神様？。",frame,16,1.66,0.2,0)'
	'Balloon(CenX+128+32,CenY+128-32,16,0,"50点",frame,16,0.3,0.2,180)'
	'Balloon(CenX,CenY+128-32,48,0,"50点満点の？",frame,16,0.5,0.2,0)'
	'Balloon(CenX+128,CenY+128-32,48+8,0,"500点満点のね。",frame,16,0.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,2,"私の元にエネルギーを集めているのは、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私の主たる禍公（マガキミ）様よ",frame,16,1.5,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,2,"これだけのエネルギー、解き放ったら大爆発しちゃう。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あなたは自殺志願者？",frame,16,1.7,0.4,180)'
	'Balloon(CenX+128,CenY+128-32,32+8,0,"自宅帰還者",frame,16,0.5,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,48+16,0,"意味がわからない",frame,16,0.6,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+48+16,0,"言ったでしょ、キミ達にとってはここはあの世の入口。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]だけど私と禍公様には世界の境界なの",frame,16,1.7,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"ははあ、あんた達の目的が読めて来た",frame,16,1.3,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,64,0,"結局どういう事？",frame,16,0.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,48,0,"また守矢よ",frame,16,0.5,0.2,0)'
	'Balloon(CenX,CenY+128-32,128+32,0,"キミ達を禍公様の元へ通すわけにはいかない",frame,16,1.4,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128,0,"私たちの炎が植物に負けるわけない",frame,16,1.2,0.2,180)'
	'Balloon(CenX-48,CenY+128-32,128+32,2,"キミが今まで燃やして来た植物は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]そこに宿る奴らが弱かったから燃えたんだ。",frame,16,1.4,0.4,180)'
	'Balloon(CenX-48,CenY+128-32,128+32,2,"枯れ木や枯れ葉はすぐに燃えるけど、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]生木はむしろ火を通さない。",frame,16,1.4,0.4,180)'
	'Balloon(CenX-48,CenY+128-32,128+64+8,2,"私は導命樹。人呼んで飛梅の樹。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]キミも私の養分になり、新たな私として生まれ変われ！",frame,16,1.7,0.4,180)'
)

Jap_5_1_2=(
	'Balloon(CenX+64,CenY+98,64,0,"2対1は反則だよお",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"自分が何体でかかって来たか思い出せ",frame,16,1.4,0.2,0)'
	'Balloon(CenX-32,CenY+128-32,128+16,0,"私は何体になっても私だよ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]キミ達も私に取り込まれたらそうなる",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+4,0,"今まで何人をその樹に取り込んで来た？",frame,16,1.4,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+32,0,"キミは今まで食べたパンの数を覚えているの？",frame,16,1.5,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,64+16,0,"13枚。私は和食ですわ",frame,16,0.8,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"禍公様にひどい事をした藤原のおっちゃん達は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]みんな私が食べてやったよ",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"梅の樹の下にも死体が眠る時代になったか",frame,16,1.6,0.2,0)'
)

Eng_5_1_1=(
	'Balloon3(1,"It'"'"'s already night, and yet it'"'"'s so shiny.",frame,0,0,0,0,0)'
	'Balloon3(2,"Really? The Blazing Hell underground is like this too, though.",frame,0,0,0,0,0)'
	'Balloon3(1,"I wonder if the outside world that Yukari[r]talks about is like this as well. Or, could[r]this be where the border between worlds is built?",frame,0,0,0,0,0)'
	'Balloon4("That'"'"'s right~",frame,0,0,0,0)'
	'Balloon3(3,"For you, perhaps it'"'"'s the border between that[r]world and this one-- a necrofantasia, if you will?",frame,0,0,0,0,0)'
	'Balloon3(2,"What, these guys are talking?!",frame,0,0,0,0,0)'
	'Balloon3(1,"They'"'"'ve been getting in our way since the beginning.[r]No matter how many of them there are, though, they'"'"'re no match for me.",frame,0,0,0,0,0)'
	'Balloon3(3,"Then, what if we do this?",frame,0,0,0,0,0)'
	'Balloon3(3,"Ta-daaah.",frame,0,-60,0,0,0)'
	'Balloon3(1,"I thought they were like dolls,[r]but I guess they were more like bats?",frame,0,0,0,0,0)'
	'Balloon3(2,"Woah! How much did they have to eat to get that big so fast?!",frame,0,0,0,0,0)'
	'Balloon3(3,"I was already this big. I am this large plum tree.",frame,0,0,0,0,0)'
	'Balloon3(3,"Those little ones before were all me,[r]and were all this tree itself.",frame,0,30,0,0,0)'
	'Balloon3(1,"If someone besides you were making this tree shine,[r]then you shouldn'"'"'t have any reason to get in our way.",frame,0,0,0,0,0)'
	'Balloon3(1,"Are you-- is this tree the god that Kanako brought here?",frame,0,0,0,0,0)'
	'Balloon3(3,"50 points.",frame,0,-60,0,0,0)'
	'Balloon3(1,"Out of 50 points?",frame,0,0,0,0,0)'
	'Balloon3(3,"Out of 500 points.",frame,0,-40,0,0,0)'
	'Balloon3(3,"The one gathering this energy within me[r]is actually my master, Lady Magakimi.",frame,0,0,0,0,0)'
	'Balloon3(2,"If you let all this energy loose, it'"'"'ll cause a huge explosion.[r]Are you trying to commit suicide?",frame,0,0,0,0,0)'
	'Balloon3(3,"I'"'"'m trying to return home.",frame,0,0,0,0,0)'
	'Balloon3(1,"I don'"'"'t get it.",frame,0,0,0,0,0)'
	'Balloon3(3,"I said as much, didn'"'"'t I? For you, this is the entrance[r]to the other world. But for I and Lady Magakimi,[r]this is just the border between the two worlds.",frame,0,0,0,0,0)'
	'Balloon3(1,"Haha~. I finally understand what you'"'"'re trying to do.",frame,0,0,0,0,0)'
	'Balloon3(2,"So what is it?",frame,0,0,0,0,0)'
	'Balloon3(1,"It'"'"'s some Moriya Shrine conspiracy.",frame,0,0,0,0,0)'
	'Balloon3(3,"I won'"'"'t let you reach Lady Magakimi.",frame,0,0,0,0,0)'
	'Balloon3(2,"There'"'"'s no way our fire will lose to a plant!",frame,0,0,0,0,0)'
	'Balloon3(3,"The plants you burned on the way here - [r]they burned because the spirits dwelling in them were weak.",frame,0,0,0,0,0)'
	'Balloon3(3,"Dead trees and fallen leaves catch fire right away,[r]but living trees are quite impervious to it.",frame,0,0,0,0,0)'
	'Balloon3(3,"I am the Life-Guiding Tree. People know me as Tobiume, the flying plum.[r]You, too, will become my nourishment, and be reborn as a new me!",frame,0,60,0,0,0)'
)

Eng_5_1_2=(
	'Balloon3(3,"2 versus 1 is against the rules!",frame,0,0,0,0,0)'
	'Balloon3(1,"Hey, remember how many bodies you spawned against us!",frame,0,0,0,0,0)'
	'Balloon3(3,"No matter how many bodies I have, they'"'"'re still me.[r]After I swallow up the two of you, you'"'"'ll become part of me too.",frame,0,0,0,0,0)'
	'Balloon3(1,"How many people have been swallowed up by that tree?",frame,0,0,0,0,0)'
	'Balloon3(3,"Do you remember how many times you'"'"'ve eaten bread?",frame,0,0,0,0,0)'
	'Balloon3(2,"13 times. I prefer Japanese food.",frame,0,0,0,0,0)'
	'Balloon3(3,"Those old members of the Fujiwara clan, who did such[r]horrible things to Lady Magakimi-- I ate them all.",frame,0,0,0,0,0)'
	'Balloon3(1,"So dead bodies are sleeping under plum trees too, these days?",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_5_2_1=(
	'Balloon(CenX-32,CenY+128-32,128+24,0,"眩しいぞ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ただの樹に何ちゅう力が集まってるんだよ",frame,16,1.4,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+8,0,"幹を登る段階で既に空間が歪んでいた。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]このままでは…嫌な予感がします",frame,16,1.3,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128-8,0,"お前の船に乗り込んだ時と同じだ",frame,16,1.1,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,128-16,0,"船長の居ない船は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]何処へ向かうか分かりませんわ",frame,16,1.0,0.4,180)'
	'Balloon2(CenX-32,CenY+128-32,128,-2,"　キミ達が心配する事じゃないよ",frame,16,1.2,0.26,0)'
	'Balloon(CenX+64,CenY+128,128-24,0,"行き先はもう決まってるし、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]キミ達の座る座席も無いもの",frame,16,1.0,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+8,0,"次はグリーン席も用意しといてくれよ",frame,16,1.2,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,128,0,"先程から何度も襲って来ますが、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]我々を退けるには貴方では未熟です",frame,16,1.2,0.4,180)'
	'Balloon(CenX+64,CenY+128,64,0,"そーみたいだねえ",frame,16,0.8,0.2,180)'
	'Balloon(CenX,CenY+128,128+8,0,"じゃあ、こっちもいよいよ本気出すよ",frame,16,1.3,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32+8,0,"こっちが2人だから6回ってか。どういう計算だ",frame,16,1.6,0.2,0)'
	'Balloon(CenX,CenY+128,128+32+8,0,"ここまでのは、私の友達の桜と松と菊の分だよ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私と違って、飛べなかったみんなのね",frame,16,1.6,0.4,180)'
	'Balloon(CenX-64-64,CenY+128-32,128+16,0,"その方々は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私達に牙を剥く必要があるのでしょうか",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"無いと言われれば無いかも知れないや",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-32,0,"そろそろ教えてもらおうか。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この樹は一体何なんだ？",frame,16,1.0,0.4,0)'
	'Balloon(CenX+128+48,CenY+128-32,24-4,0,"梅の樹",frame,16,0.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-24,0,"そういう問題じゃなくてだな",frame,16,1.0,0.2,0)'
	'Balloon(CenX-64-64,CenY+128-32,128+32,0,"桜、松、菊、そして最も力を持つのが梅――",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64,0,"そうか、貴方達の主の正体が分かりました。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あれほど高名で総明な方が、何故このような騒ぎを――",frame,16,1.8,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128-24,2,"禍公様は人間だった頃から、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]二つの顔を持つ方だった。",frame,16,1.0,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+8,2,"今、あの方は史上に名を残す神であり、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]史上最も恐れられた妖でもある。",frame,16,1.3,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128+16,2,"神妖は最初からそこに居るわけじゃない。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私も禍公様も、キミ達が作り出したんだ。",frame,16,1.4,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128-16,2,"愚かなる人の子よ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]自らが生んだ信仰の重さに跪け！",frame,16,1.2,0.4,180)'
)

Jap_5_2_2=(
	'Balloon(CenX+64,CenY+98,128-8,0,"本気を出しても敵わないなんてえ",frame,16,1.1,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"今までより個々が弱くなっていた気がしました",frame,16,1.6,0.2,180)'
	'Balloon(CenX,CenY+98,128-16,0,"よくある事だ、気にするな",frame,16,1.1,0.2,0)'
	'Balloon(CenX-64,CenY+98,128+48,0,"ちくしょう、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]でも禍公様にはキミ達じゃ絶対勝てっこないもん。",frame,16,1.6,0.4,180)'
	'Balloon(CenX-64,CenY+98,128+64-8,0,"私――この樹に今集まっているエネルギーの全てを、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]禍公様が集めて制御している。",frame,16,1.7,0.4,180)'
	'Balloon(CenX,CenY+98,128+24,0,"そう言えば、どれだけ凄いか分かるかな？",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+98,128+32+8,0,"これ位のエネルギーが何だ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]出力全開にした八卦炉を2つほど置いておけば…",frame,16,1.6,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128-16,0,"禍公はそれ程のエネルギーを、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]爆発もさせずに完全に制御出来る",frame,16,1.2,0.4,180)'
	'Balloon(CenX,CenY+98,128-32-8,0,"それはちょっと手強いな",frame,16,0.9,0.2,0)'
	'Balloon(CenX+48,CenY+98,128-32,0,"特別にここは通してあげる。",frame,16,1.0,0.2,180)'
	'Balloon(CenX+48,CenY+98,128,0,"人間達を震え上がらせた禍公様の雷、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]たっぷり浴びてもがき苦しめ！",frame,16,1.2,0.4,180)'
)

Eng_5_2_1=(
	'Balloon3(1,"Wow, it'"'"'s shiny. What the heck kinda power[r]is gathering in this regular old tree?",frame,0,0,0,0,0)'
	'Balloon3(2,"It was enough to warp space just while we were climbing the trunk.[r]At this rate... I have a very bad feeling.",frame,0,40,0,-250,0)'
	'Balloon3(1,"It'"'"'s the same as when I was riding on your ship.",frame,0,0,0,0,0)'
	'Balloon3(2,"I have hardly any idea where[r]a ship with no captain will sail to.",frame,0,0,0,0,0)'
	'Balloon4("This is nothing for you to worry about!",frame,0,0,0,0)'
	'Balloon3(3,"Our destination is already set,[r]and there are no seats for you on board.",frame,0,0,0,0,0)'
	'Balloon3(1,"Next, go get a Green Seat ready for us.",frame,0,0,0,0,0)'
	'Balloon3(2,"You'"'"'ve been attacking us many times for a while now,[r]but you'"'"'re quite inexperienced when it comes to dodging us.",frame,0,0,0,0,0)'
	'Balloon3(3,"You'"'"'re right about that.",frame,0,0,0,0,0)'
	'Balloon3(3,"In that case, I'"'"'ll get serious now too!",frame,0,0,0,0,0)'
	'Balloon3(1,"You get six tries '"'"'cause there'"'"'s two of us?[r]How are you calculatin'"'"' this?",frame,0,0,0,0,0)'
	'Balloon3(3,"The ones you'"'"'ve fought until now were my friends--[r]the cherry, the pine and the chrysanthemum.[r]Unlike myself, they'"'"'re unable to fly.",frame,0,0,0,0,0)'
	'Balloon3(2,"Was it really necessary for[r]them to bear their fangs at us?",frame,0,0,0,0,0)'
	'Balloon3(3,"If you say that it wasn'"'"'t,[r]I suppose it may not have been.",frame,0,0,0,0,0)'
	'Balloon3(1,"How about you tell us sometime soon, eh?[r]What in the world is this tree?",frame,0,0,0,0,0)'
	'Balloon3(3,"A plum tree.",frame,0,-60,0,0,0)'
	'Balloon3(1,"That'"'"'s not what I meant!",frame,0,40,0,0,0)'
	'Balloon3(2,"Cherries, pines, chrysanthemums, and then[r]a plum, the most powerful of them all...",frame,0,0,0,0,0)'
	'Balloon3(2,"I see. I understand who your master is, now.[r]Why would such a famous intellectual cause an uproar like this--?",frame,0,40,0,-250,0)'
	'Balloon3(3,"Ever since Lady Magakimi was[r]human, she had two faces.",frame,0,0,0,0,0)'
	'Balloon3(3,"Now, she is both a god who left her name in history,[r]and at the same time, history'"'"'s most feared monster.",frame,0,0,0,0,0)'
	'Balloon3(3,"Neither the god nor the monster were there from the start, though.[r]Both I and Lady Magakimi were created by you.",frame,0,40,0,0,0)'
	'Balloon3(3,"You foolish children of man![r]Bow before the weight of the faith that was born from you!",frame,0,0,0,0,0)'
)

Eng_5_2_2=(
	'Balloon3(3,"Even if I get serious, I'"'"'m no match for you...!",frame,0,0,0,0,0)'
	'Balloon3(2,"It felt as if her framents were weaker than they were before.",frame,0,0,0,0,0)'
	'Balloon3(1,"That happens all the time. Don'"'"'t worry '"'"'bout it.",frame,0,0,0,0,0)'
	'Balloon3(3,"Blast. You'"'"'ll never be able to[r]win against Lady Magakimi, though.",frame,0,0,0,0,0)'
	'Balloon3(3,"All the energy gathered within me-- within this tree--[r]is being gathered and controlled by Lady Magakimi.",frame,0,0,0,0,0)'
	'Balloon3(3,"Speaking of which. Do you know just how amazing she is?",frame,0,0,0,0,0)'
	'Balloon3(1,"What would you call energy like this?[r]It'"'"'s enough to power two Hakkeros cranked up to maximum...",frame,0,0,0,0,0)'
	'Balloon3(2,"Magakimi can completely control this amount[r]of energy, without letting it explode.",frame,0,0,0,0,0)'
	'Balloon3(1,"Sounds a little tough.",frame,0,40,0,0,0)'
	'Balloon3(3,"I'"'"'ll let you pass through here, just this once.",frame,0,0,0,0,0)'
	'Balloon3(3,"Writhe in Lady Magakimi'"'"'s thunder[r]that let humankind tremble in the past!",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_5_3_1=(
	'Balloon(CenX-98,CenY+128-32,128+98,0,"眩しいだけじゃなく、熱量も相当なもの。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これは下手したら、偉い神奈子様の偉くない鴉に匹敵するかも",frame,16,2.0,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,96,0,"あいつの目的が読めて来た。",frame,16,1.0,0.2,180)'
	'Balloon(CenX-64-64,CenY+128-32,128-8,0,"これはまずったねぇ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]まさかこう力ずくで来られるとは",frame,16,1.2,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+48,0,"ゴシップ天狗に書かれる前に何とかしましょう。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]異変！また守矢！って",frame,16,1.6,0.4,0)'
	'Balloon(CenX-64-64,CenY+128-32,128-16,0,"尻尾を掴ませないのも一苦労だよ",frame,16,1.2,0.2,180)'
	'Balloon2(CenX-32,CenY+128-32,128,0,"　　　　やあやあお姉さん方",frame,16,1.2,0.26,0)'
	'Balloon(CenX+128,CenY+128,64-8,0,"また会ったねぇ",frame,16,0.6,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"お姉さんねえ、嬉しい事を言ってくれる",frame,16,1.4,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+16,0,"また会ったって、これで6度目なんですが",frame,16,1.4,0.2,0)'
	'Balloon(CenX+64,CenY+128,128-8,0,"じゃあ、少しは変化をつけようか",frame,16,1.2,0.2,180)'
	'Balloon(CenX+128+64,CenY+128-32,32,0,"そおれ！",frame,16,0.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"わあ！　ロマンティック変形合体！",frame,16,1.2,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128-16,0,"妖精か何かかと思っていたが、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]その程度じゃなかったようだね。",frame,16,1.2,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128,0,"そうか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]まさか貴方達はこの導命樹そのものか",frame,16,1.3,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,0,"よくも勝手に樹を持ち去ってくれたな〜",frame,16,1.4,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+32,0,"その時は邪魔しに出て来なかったじゃないか",frame,16,1.5,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"麓の湖まで妖精大戦争ごっこに行ってたんだよ",frame,16,1.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,96,0,"今日も幻想郷は平和ですね",frame,16,1.0,0.2,0)'
	'Balloon(CenX+128,CenY+128-32,48,0,"平和なもんか",frame,16,0.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"キミ達が呼んで来た神様が、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私の主の禍公様だったのが運の尽き。",frame,16,1.2,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"あまり禍公様を怒らせない方が良いよ",frame,16,1.4,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+48,0,"いや、まあ、その、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これはいろいろと不幸な行き違いという奴でね。",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128-16,0,"まずは話し合いがしたいんだが",frame,16,1.1,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-32,0,"はなしあい？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]弾幕のぶっ放し合いの事ね",frame,16,1.0,0.4,180)'
	'Balloon(CenX,CenY+128-32,96+8,0,"やっぱりそうなりますよねー",frame,16,1.0,0.2,0)'
	'Balloon(CenX-48,CenY+128-32,128+48,0,"湖の奴は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]卑怯にもアイスバリアとかいう技で防ごうとした。",frame,16,1.6,0.4,180)'
	'Balloon(CenX-48,CenY+128-32,128+24,0,"キミ達なら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]本気の私の弾をちゃんと避けられるかな？",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"私に勝てなきゃ\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]禍公様の相手なんか夢のまた夢だ！",frame,16,1.2,0.4,180)'
)

Jap_5_3_2=(
	'Balloon(CenX+64,CenY+98,128-16,0,"ま、まだ負けたわけじゃない！",frame,16,1.1,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"これで6連敗です、もう観念なさい",frame,16,1.3,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+48+8,0,"まさか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この後また襲って来ようとか思っていないだろうね",frame,16,1.7,0.4,180)'
	'Balloon(CenX+128+48,CenY+98,32-8,0,"ぎくぅ",frame,16,0.4,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+64+8,0,"これだけのエネルギーがまかり間違って暴走したら大変。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これ以上時間を取られるわけにはいきません",frame,16,1.8,0.4,0)'
	'Balloon(CenX+64,CenY+98,128-32,0,"風神が雷神に勝てるもんか。",frame,16,1.1,0.2,180)'
	'Balloon(CenX+64,CenY+98,128-8,0,"神話の時代も痛い目見たらしいし、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]少しは勉強した方が良いよ〜？",frame,16,1.2,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128-24,0,"やらいでか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]こちとら今は技術革新の神だ",frame,16,1.0,0.4,180)'
)

Eng_5_3_1=(
	'Balloon3(1,"It'"'"'s not just shiny, but very hot, too.[r]If we'"'"'re not careful, this could make even[r]the great Lady Kanako look like a lowly crow.",frame,0,0,0,0,0)'
	'Balloon3(2,"I understand their goal now.",frame,0,0,0,0,0)'
	'Balloon3(2,"This is getting bad.[r]I can'"'"'t believe they'"'"'d just do this by force.",frame,0,0,0,0,0)'
	'Balloon3(1,"Let'"'"'s do something before those gossiping tengu can write about it.[r]\\\"Incident! Another Moriya Shrine conspiracy!\\\" and so on.",frame,0,0,0,0,0)'
	'Balloon3(2,"It'"'"'ll be hard to keep them from catching us, too.",frame,0,0,0,0,0)'
	'Balloon4("Hey there, big sisters!",frame,0,0,0,0)'
	'Balloon3(3,"We meet again!",frame,0,0,0,0,0)'
	'Balloon3(2,"Big sisters, hm? That'"'"'s nice of you to say.",frame,0,0,0,0,0)'
	'Balloon3(1,"We meet again? This is the sixth time, now.",frame,0,0,0,0,0)'
	'Balloon3(3,"So, how about we transform a little?",frame,0,0,0,0,0)'
	'Balloon3(3,"Tada!",frame,0,-80,0,0,0)'
	'Balloon3(1,"Woah! What a romantic fusion transformation!",frame,0,0,0,0,0)'
	'Balloon3(2,"I thought they were fairies or something,[r]but they don'"'"'t seem to be on that level.",frame,0,0,0,0,0)'
	'Balloon3(2,"I see.[r]You'"'"'re the Life-Guiding Tree itself, aren'"'"'t you?",frame,0,0,0,0,0)'
	'Balloon3(3,"You have a lot of gall, carting the tree off by yourselves~",frame,0,0,0,0,0)'
	'Balloon3(2,"You didn'"'"'t emerge to obstruct us at the time, did you?",frame,0,0,0,0,0)'
	'Balloon3(3,"I was playing around in the fairy[r]wars at the lake in the foothills.",frame,0,40,0,0,0)'
	'Balloon3(1,"Gensokyo will be peaceful again today.",frame,0,0,0,0,0)'
	'Balloon3(3,"Peaceful? Really?",frame,0,-40,0,0,0)'
	'Balloon3(3,"The god you called here was my master,[r]Lady Magakimi. Your luck has ended here.",frame,0,0,0,0,0)'
	'Balloon3(3,"You should do your best not to anger Lady Magakimi.",frame,0,0,0,0,0)'
	'Balloon3(2,"Er, um, well, I think that this is all[r]just one of those big misunderstandings.",frame,0,0,0,0,0)'
	'Balloon3(2,"I'"'"'d just like to speak with you, first of all.",frame,0,0,0,0,0)'
	'Balloon3(3,"Speak with us?[r]You mean shoot danmaku with us, right?",frame,0,0,0,0,0)'
	'Balloon3(1,"That'"'"'s how it always turns out, huh~",frame,0,0,0,0,0)'
	'Balloon3(3,"The fairy at the lake blocked my bullets[r]with that unfair \\\"ice barrier\\\" skill of hers.",frame,0,0,0,0,0)'
	'Balloon3(3,"I wonder if you'"'"'ll be able to properly dodge[r]my bullets, now that I'"'"'ve gotten serious?",frame,0,0,0,0,0)'
	'Balloon3(3,"If you can'"'"'t beat me, fighting Lady Magakimi[r]is beyond your wildest dreams!",frame,0,0,0,0,0)'
)

Eng_5_3_2=(
	'Balloon3(3,"D-don'"'"'t think I'"'"'ve lost yet!",frame,0,0,0,0,0)'
	'Balloon3(1,"This is your sixth straight defeat. Give up already.",frame,0,0,0,0,0)'
	'Balloon3(2,"You'"'"'re not seriously thinking of[r]attacking us again after this, right?",frame,0,0,0,0,0)'
	'Balloon3(3,"Ghhh.",frame,0,-80,0,0,0)'
	'Balloon3(1,"In the worst case, if even this amount of energy[r]goes out of control, it'"'"'ll be a disaster.[r]We can'"'"'t waste any more time than this.",frame,0,0,0,0,0)'
	'Balloon3(3,"Do you think a wind god can win against a thunder god?",frame,0,0,0,0,0)'
	'Balloon3(3,"I believe you had a pretty bad experience[r]with that in mythological times, too.[r]Maybe you should study a bit more~?",frame,0,0,0,0,0)'
	'Balloon3(2,"Not this again.[r]We'"'"'re goddesses of technological innovation, nowadays.",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg5/

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="05_Event0"$ev"_PL0"$pl".dnh";
		name_bck="05_Event0"$ev"_PL0"$pl".bck";
		iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
	done;
done;


for ((i=0; i<${#Jap_5_1_1[@]}; ++i)); do
	Eng_5_1_1[i]=${Eng_5_1_1[i]//\'/\'\"\'\"\'};
	Eng_5_1_1[i]=${Eng_5_1_1[i]//\[/\\\[};
	Jap_5_1_1[i]=${Jap_5_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_1_1[i]}\'/\'${Eng_5_1_1[i]}\'/g 05_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_5_2_1[@]}; ++i)); do
	Eng_5_2_1[i]=${Eng_5_2_1[i]//\'/\'\"\'\"\'};
	Eng_5_2_1[i]=${Eng_5_2_1[i]//\[/\\\[};
	Jap_5_2_1[i]=${Jap_5_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_2_1[i]}\'/\'${Eng_5_2_1[i]}\'/g 05_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_5_3_1[@]}; ++i)); do
	Eng_5_3_1[i]=${Eng_5_3_1[i]//\'/\'\"\'\"\'};
	Eng_5_3_1[i]=${Eng_5_3_1[i]//\[/\\\[};
	Jap_5_3_1[i]=${Jap_5_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_3_1[i]}\'/\'${Eng_5_3_1[i]}\'/g 05_Event01_PL03.bck;
done;

for ((i=0; i<${#Jap_5_1_2[@]}; ++i)); do
	Eng_5_1_2[i]=${Eng_5_1_2[i]//\'/\'\"\'\"\'};
	Eng_5_1_2[i]=${Eng_5_1_2[i]//\[/\\\[};
	Jap_5_1_2[i]=${Jap_5_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_1_2[i]}\'/\'${Eng_5_1_2[i]}\'/g 05_Event02_PL01.bck;
done;

for ((i=0; i<${#Jap_5_2_2[@]}; ++i)); do
	Eng_5_2_2[i]=${Eng_5_2_2[i]//\'/\'\"\'\"\'};
	Eng_5_2_2[i]=${Eng_5_2_2[i]//\[/\\\[};
	Jap_5_2_2[i]=${Jap_5_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_2_2[i]}\'/\'${Eng_5_2_2[i]}\'/g 05_Event02_PL02.bck;
done;

for ((i=0; i<${#Jap_5_3_2[@]}; ++i)); do
	Eng_5_3_2[i]=${Eng_5_3_2[i]//\'/\'\"\'\"\'};
	Eng_5_3_2[i]=${Eng_5_3_2[i]//\[/\\\[};
	Jap_5_3_2[i]=${Jap_5_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_5_3_2[i]}\'/\'${Eng_5_3_2[i]}\'/g 05_Event02_PL03.bck;
done;

for ((ev=1; ev<3; ev++)); do
	for ((pl=1; pl<4; pl++)); do
		name_orig="05_Event0"$ev"_PL0"$pl".dnh";
		name_bck="05_Event0"$ev"_PL0"$pl".bck";
		iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
		rm $name_bck;
	done;
done;
