#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# =====================================================================================
# Reimu and Utsuho

# ========================================
# Bad ending

Jap_1_1=(
	'――博麗神社。'
	'共犯の天狗は辛うじて撃退したものの、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]主犯の禍原命廟を撃破するには、さしもの博麗の巫女も力が及ばなかった。'
	'一度神社に退却した霊夢は、心強い味方を得て再突入の計画を練る。'
	'文「大天狗様が警戒しているのは、ずばり貴方が邪魔に入る事。'
	'文「里からの直行を避け、山の西側から回り込めば、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　我々の防衛ラインに引っ掛かりませんよ」'
	'霊夢「初めて山に乗り込んだ時も思ったんだけど、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　　あんた本当は上司嫌いなんじゃないの？」'
	'文「あやややや、とんでもない。\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　私はあくまで『真実を伝える』のが本分です故」'
	'霊夢「折角だから案内して、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　　ついでに一緒に戦ってもらえると、私のあんたへの評価も倍増だわ」'
	'文「0は何倍しても0のままでしょう。\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　また地獄鴉とでも仲良く向かって下さい」'
	'霊夢「あーあ、こんな時こそ紫と組めればなあー」'
	'言うが早いが、霊夢の目の前にスキマが現れる。'
	'中から伸びた、紫のものと思われる手は、'
	'何かが書かれた小さな紙片を落とすと、再びスキマを閉じて消えて行った。'
	'ご覧下さい、この間わずか1.93秒の荒技である。'
	'文「『おこすな　がんばれ』」'
	'霊夢「野郎、次に出て来たらあの樹の養分にしてやる」'
	'上司、両親、先生――'
	'人間、付き合いを避けては通れないが、何かと嫌な目上の相手が多いもの。'
	'長く付き合う関係。いがみ合う位くらいであれば、時には幻想郷流に\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]弾幕を通して分かり合うのも良いのかも知れない。'
	'もっとも、分かり合えるかどうかは運と腕次第、かつ自己責任であるが――'
	'Ending　No.01　親の心はなんとやら'
	'ノーコンティニューの準備はよろしいか？'
	'次はノーコンティニューを目指そう！'
)

Eng_1_1=(
	'The Hakurei Shrine.'
	'Though she had managed to dispatch the tengu accomplice, defeating the main culprit,[r]Mitama Magahara, was beyond even the power of the Hakurei shrine maiden.'
	'Reimu retreated to the shrine for the time being,[r]to find some reassuring allies and come up with a re-entry plan.'
	'Aya \\\"Ah hah. So your interference was what the Great Tengu was so cautious of.\\\"'
	'Aya \\\"If you avoid going straight out from the village, and circle around[r]to the west side of the mountain, you won'"'"'t get caught in our defensive line.\\\"'
	'Reimu \\\"I was thinking this ever since I first climbed the mountain,[r]but you really don'"'"'t like your boss, do you?\\\"'
	'Aya \\\"Ayayayaya, no way.[r]It'"'"'s just that my duty is to '"'"'get the truth out'"'"', no matter what.\\\"'
	'Reimu \\\"You'"'"'re going to the trouble of guiding me, and even fighting together with me, too.[r]Your value in my eyes is doubling.\\\"'
	'Aya \\\"No matter how many times you double 0, it'"'"'s still 0.[r]Just pair up with the hell raven again, please.\\\"'
	'Reimu \\\"Ahhh, this is exactly the sort of time when I need Yukari~\\\"'
	'No sooner than Reimu said that, a gap appeared in front of her.'
	'A hand, presumably belonging to Yukari, stretched out.'
	'It dropped some small scrap of paper, retreated into the gap, and vanished.'
	'Observe: a daring technique that took place in less than 1.93 seconds.'
	'Aya \\\"'"'"'Don'"'"'t give up! Fight on!'"'"', it says.\\\"'
	'Reimu \\\"That jerk. The next time I see her I'"'"'m making her into fertilizer for that tree.\\\"'
	'Bosses, parents, teachers--'
	'Humans can'"'"'t get by without having connections,[r]but they'"'"'ll always have to deal with lots of unpleasant superiors in the process.'
	'When long relationships come to a point where the people involved quarrel, it may[r]sometimes be good to come to an understanding via danmaku, in true Gensokyo style.'
	'Of course, whether or not they can understand one another would depend on luck[r]and strength, and it'"'"'d be at one'"'"'s own risk too...'
	'Ending No.01 - A parent'"'"'s heart and whatnot'
	'Next, let'"'"'s shoot for no continues!'
	'Are you prepared for no continues?'
)

# ========================================
# Good ending

Jap_1_2=(
	'――博麗神社。'
	'導命樹を巡るいざこざは、八雲紫によって無事調停され、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]禍公たちは外の世界へ帰って行った。'
	'翌日、霊夢は再び英気を養うべく、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]いつものように粗茶と惰眠を貪る…筈であったが…'
	'命廟「あ、どうもこんにちは、博麗の巫女殿」'
	'天夢「ゆっくりして行くぞ」'
	'霊夢「いや帰れ、ゆっくりするな」'
	'命廟「つれない返事ですね、折角口先だけでもお詫びにと来たのに」'
	'霊夢「せめて心ばかりと言え」'
	'命廟の持参した梅酒を煽り、自然と花見酒が始まる。'
	'（この梅酒、もしかしてあの木霊を…）'
	'霊夢は一瞬言いかけたが、\r\n\t\t\t\t\t\t\t\t\t\t\t[r]別段どうでも良い事なので気にせず味わう事にした。'
	'妖怪退治は自身のアイデンティティとも言える事であるが、\r\n\t\t\t\t\t\t\t\t\t\t\t[r]自ら手を下さずとも同士討ちをしている分には'
	'流石の暴力巫女も知った事ではない。'
	'天夢「ここの桜はまだか。'
	'天夢「良い、こんな事もあろうかと連れて来た、\r\n\t\t\t\t\t\t\t\t\t\t\t[r]　　　わしの部下達に桜吹雪を舞わせて進ぜよう」'
	'霊夢「職権乱用、労働基準法違反だわ」'
	'天夢「残業代を払い渋った事は無いぞ」'
	'命廟「それにしても、おかしな取り合わせですね。'
	'命廟「日本三大怨霊と呼ばれた私達が、'
	'　　　こうして妖怪退治の巫女と杯を交わしているとは」'
	'霊夢「本当にあんた達が邪悪な怨霊なら、'
	'　　　うちの神域に入った瞬間に蒸発していたわね」'
	'天夢「おお、こわいこわい」'
	'霊夢「早苗や紫から聞いたわ、'
	'　　　あんた達は外じゃ神様として祀られてるそうじゃない」'
	'命廟「大怨霊と恐れられた頃の私達は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　　もはや幻想の存在――ですか。'
	'命廟「面白い、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　　であれば平将門君もこの世界の何処かに居るかも知れませんね'
	'天夢「それは良い。再び三人揃ってひと暴れも悪くない物じゃな」'
	'霊夢「全員まとめて夢想封印してスキマにぶち込むわよ」'
	'――同時刻、地底。'
	'燐「さとり様〜、土の中からやたら活きのいい生首が〜」'
	'？？？「ああ、斬られた私の五体はどこにあるのか、'
	'　　　　いざ、首を繋いでもう一戦〜」'
	'空「うわぁ凄い、こいつ首だけなのに喋ってる！」'
	'さとり「…将門は　こめかみよりぞ　斬られける\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]　　　　俵藤太が　はかり事にて」'
	'彼女達は、最初は怨霊として恐れられ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]その恐怖ゆえに神様として崇められるようになった。'
	'恐れられる事、崇められる事、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]どちらもれっきとした信仰のあり方には変わりないのだ。'
	'但し、貴方が名も無き弱小怨霊で、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]そんな事を夢見ているのであれば、それは止めた方が良い。'
	'――今の人間は、一つの物をそんなに長く信仰してはくれない。'
	'Ending　No.02　祟と崇の境界'
	'導命樹裏ルートクリア　友達に自慢しよう！'
	'オールクリアおめでとう　流石だね！'
)

Eng_1_2=(
	'---The Hakurei Shrine.'
	'The dispute surrounding the Life-Guiding Tree was safely mediated by Yukari,[r]and Magahara and company were going to return to the outside world.'
	'The next day, Reimu was indulging in cheap tea and an afternoon nap,[r]as usual, to restore her spirits... or at least she should have been...'
	'Mitama \\\"Ah, good day to you, shrine maiden of Hakurei.\\\"'
	'Tenmu \\\"We'"'"'re takin'"'"' it easy over here.\\\"'
	'Reimu \\\"What? No. Shoo. Quit taking it easy.\\\"'
	'Mitama \\\"Oh, what a harsh response. It'"'"'s just lip service, to be sure,[r]        but we'"'"'re here to apologize to you.\\\"'
	'Reimu \\\"You can at least call it an act of good will.\\\"'
	'Taking swigs of the plum liquor Mitama brought,[r]they naturally started to have a flower-viewing party.'
	'(Wait, is this plum liquor from that kodama...?)'
	'Reimu was about to ask that out loud, but since it didn'"'"'t particularly matter,[r]she put it out of her mind and had a taste.'
	'One could certainly say that youkai extermination was her identity,[r]but when it came to other people arguing without her direct involvement,'
	'even the violent shrine maiden was completely unconcerned.'
	'Tenmu \\\"The cherry trees here aren'"'"'t in bloom yet, are they?\\\"'
	'Tenmu \\\"Very well. I thought this might happen, so I brought my subordinates along.[r]I'"'"'ll have them whip up a storm of cherry petals for us.\\\"'
	'Reimu \\\"That'"'"'s an abuse of authority. You'"'"'ll be in violation of the Labour Standards Act.\\\"'
	'Tenmu \\\"I won'"'"'t hesitate to give them overtime pay.\\\"'
	'Mitama \\\"That aside, this is quite the strange group we'"'"'ve got here.\\\"'
	'Mitama \\\"We'"'"'re two of Japan'"'"'s three great vengeful spirits,'
	'        and yet here we are sharing a toast with a youkai-exterminating shrine maiden.\\\"'
	'Reimu \\\"If you two really were evil spirits,'
	'       you'"'"'d have been vaporized as soon as you set foot on our shrine grounds.\\\"'
	'Tenmu \\\"Ohh, scary, scary.\\\"'
	'Reimu \\\"Sanae and Yukari told me.'
	'       You two are enshrined as gods in the outside world, aren'"'"'t you?\\\"'
	'Mitama \\\"The time when we were feared as great vengeful spirits[r]is already a mere fantasy, I suppose...?\\\"'
	'Mitama \\\"How interesting.[r]In that case, Taira no Masakado may be in this world somewhere, too.\\\"'
	'Tenmu \\\"That'"'"'d be nice.[r]       It wouldn'"'"'t be bad to have all three of us together again to terrorize people.\\\"'
	'Reimu \\\"I'"'"'ll hit you all with Fantasy Seal and throw you into a gap.\\\"'
	'---Just then, underground.'
	'Rin \\\"Lady Satori~, a super-fresh severed head just came out of the ground~!\\\"'
	'??? \\\"Ah, where has my severed body gone?'
	'     Reattach my neck at once, and fight with me once more~!\\\"'
	'Utsuho \\\"Aaah, woah! She'"'"'s just a head, but she'"'"'s still talking!\\\"'
	'Satori \\\"...Masakado'"'"'s temples... were severed... as a result[r]of Tawara no Tota'"'"'s... cunning plot.\\\"'
	'The three of them were initially feared as vengeful spirits,[r]and as a result of that fear, they came to be worshiped as gods.'
	'Whether you'"'"'re being feared or being revered, both are[r]essentially the same when it comes to gathering faith.'
	'However, if you'"'"'re a small, nameless vengeful spirit who'"'"'s dreaming[r]of something like that, it'"'"'d be best to give up on it right now.'
	'---Humans these days can'"'"'t hold faith in a single thing for a long enough period of time.'
	'Ending No.02 - Border between revering and fearing '
	'Congratulations on clearing the game. Just as expected!'
	'You cleared MPP'"'"'s hidden route! Go brag to your friends!'
)

# =====================================================================================
# Marisa and Byakuren

# ========================================
# Bad ending

Jap_2_1=(
)

Eng_2_1=(
)

# ========================================
# Good ending

Jap_2_2=(
)

Eng_2_2=(
)

# =====================================================================================
# Sanae and Kanako

# ========================================
# Bad ending

Jap_3_1=(
)

Eng_3_1=(
)

# ========================================
# Good ending

Jap_3_2=(
)

Eng_3_2=(
)

# =====================================================================================
# Adjust lines for fit new line breaks and little merge

Before=(
	'ED_Text(40+hc[0], 400+two+hc[1], "霊夢「せめて心ばかりと言え」", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+two+hc[1], "（この梅酒、もしかしてあの木霊を…）", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+two+hc[1], "霊夢「全員まとめて夢想封印してスキマにぶち込むわよ」", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+hc[1], "流石の暴力巫女も知った事ではない。", frame, size, 82, "ON" , color )'
	'ＭＳ ゴシック'
)

After=(
	'ED_Text(40+hc[0], 400+two+two+hc[1], "霊夢「せめて心ばかりと言え」", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+two+two+hc[1], "（この梅酒、もしかしてあの木霊を…）", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+two+two+hc[1], "霊夢「全員まとめて夢想封印してスキマにぶち込むわよ」", frame, size, 82, "ON" , color1 );'
	'ED_Text(40+hc[0], 400+hc[1], "妖怪退治は自身のアイデンティティとも言える事であるが、\r\n\t\t\t\t\t\t\t\t\t\t\t[r]自ら手を下さずとも同士討ちをしている分には", frame, size, 82, "OFF" , color );\r\n\t\t\t\tED_Text(40+hc[0], 400+two+2*two/3+hc[1], "流石の暴力巫女も知った事ではない。", frame, size, 82, "ON" , color )'
	'Tahoma'
)

After[3]=${After[3]//\*/\\\*};
After[3]=${After[3]//\//\\\/};

# =====================================================================================
# Operations

cd ../script/Th_mpp/lib/

iconv -f SHIFT-JIS -t UTF-8 Lib_ED.dnh > Lib_ED.bck;
iconv -f SHIFT-JIS -t UTF-8 Lib_ED_PL01.dnh > Lib_ED_PL01.bck;
#iconv -f SHIFT-JIS -t UTF-8 Lib_ED_PL02.dnh > Lib_ED_PL02.bck;
#iconv -f SHIFT-JIS -t UTF-8 Lib_ED_PL03.dnh > Lib_ED_PL03.bck;

# ========================================
# Adjustment

for ((i=0; i < 4; ++i)); do
	Before[i]=${Before[i]//\[/\\\[};
	After[i]=${After[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Before[i]}\'/\'${After[i]}\'/g Lib_ED_PL01.bck;
done;

eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Before[4]}\'/\'${After[4]}\'/g Lib_ED.bck;

# ========================================
# Translation

for ((i=0; i<${#Jap_1_1[@]}; ++i)); do
	Eng_1_1[i]=${Eng_1_1[i]//\'/\'\"\'\"\'};
	Eng_1_1[i]=${Eng_1_1[i]// /\ };
	Jap_1_1[i]=${Jap_1_1[i]//\[/\\\[};
	Eng_1_1[i]=${Eng_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_1[i]}\'/\'${Eng_1_1[i]}\'/g Lib_ED_PL01.bck;
done;

for ((i=0; i<${#Jap_1_2[@]}; ++i)); do
	Eng_1_2[i]=${Eng_1_2[i]//\'/\'\"\'\"\'};
	Eng_1_2[i]=${Eng_1_2[i]//\ /\\\ };
	Jap_1_2[i]=${Jap_1_2[i]//\[/\\\[};
	Eng_1_2[i]=${Eng_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_1_2[i]}\'/\'${Eng_1_2[i]}\'/g Lib_ED_PL01.bck;
done;

iconv -f UTF-8 -t SHIFT-JIS Lib_ED.bck > Lib_ED.dnh;
iconv -f UTF-8 -t SHIFT-JIS Lib_ED_PL01.bck > Lib_ED_PL01.dnh;
#iconv -f UTF-8 -t SHIFT-JIS Lib_ED_PL02.bck > Lib_ED_PL02.dnh;
#iconv -f UTF-8 -t SHIFT-JIS Lib_ED_PL03.bck > Lib_ED_PL03.dnh;
rm Lib_ED.bck;
rm Lib_ED_PL01.bck;
#rm Lib_ED_PL02.bck;
#rm Lib_ED_PL03.bck;
