#!/bin/bash

# Change in-text double quotes with \\\"
# Use single quotes to declare string
# Change single quotes with '"'"'

# Music names

Jap_1=(
	'守矢の杜 〜 Eastern Beanstalk'
	'潮騒の小路'
	'流転する古代信仰'
	'夕焼けに弾を撒け'
	'栗鼠は電気鼠の夢を見るか？'
	'ネフィリムの呼び声'
	'月下の策謀 〜 Angelic Night'
	'タービュランスタービン'
	'天夢流星 〜 Royal Monster'
	'ミルキーブロードウェイ'
	'1110年目の飛梅伝説'
	'言霊の霊廟'
	'天満たす御霊 〜 Lightning Word'
	'幻光歳華 〜 Infinity Lightning'
	'ディーヴァズディバイス'
	'命を導く歌 〜 Prospect Mirai'
	'導命樹天満宮'
	'エコロジー黎明 〜 Grown Dream'
	'プレイヤーズスコア'
)

Eng_1=(
	'Forest of Moriya ~ Eastern Beanstalk'
	'Alleyway of Roaring Waves'
	'An Ever-Shifting Ancient Faith'
	'Spread Bullets Over the Sunset'
	'Do Squirrels Dream of Electric Mice?'
	'The Call of the Nephilim'
	'Machinations Under the Moon ~ Angelic Night'
	'Turbulence Turbine'
	'Tenmu Meteor ~ Royal Monster'
	'Milky Broadway'
	'The 1110th Year'"'"'s Legend of Tobiume'
	'Spirit Mausoleum of the Spirit of Language'
	'Sky-Filling Departed Spirit ~ Lightning Word'
	'Fantastic Light, Ancient Flowers ~ Infinity Lightning'
	'Diva'"'"'s Device'
	'Life-Guiding Song ~ Prospect Mirai'
	'Doumeijuu Tenman-guu'
	'Ecology Daybreak ~ Grown Dream'
	'Player'"'"'s Score'
)

# Music comments

Jap_2=(
	'♪『守矢の杜 〜 Eastern Beanstalk』　[r]　[r]　[r]　タイトル画面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　普段通りまったりのんびりしてます（？）[r]\r\n\t\t\t\t\t　「杜」と「社」って似てますよね、絶対間違えますよね。[r]\r\n\t\t\t\t\t　神杜とか書かれても絶対気付かない自信があります。'
	'♪『潮騒の小路』　[r]　[r]　[r]　1面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　始まりと爽やかな海をイメージしてみました。[r]\r\n\t\t\t\t\t　やっぱり一般的には夏休みは海とかプールとかに行くのでしょうか。[r]\r\n\t\t\t\t\t　まぁ私は典型的な金槌なので家の中で涼みます……_(:3 」∠ )_'
	'♪『流転する古代信仰』　[r]　[r]　[r]　荒神 薬子のテーマです。　[r]　[r]\r\n\t\t\t\t\t　小さい頃はよく病気にかかったりして苦手な薬を飲まされてました。[r]\r\n\t\t\t\t\t　良薬口に苦しと言いますが、粉薬は本当に苦すぎて嫌いです。[r]\r\n\t\t\t\t\t　最近でも錠剤やカプセルだけでいいのに粉薬も処方されてつらい。'
	'♪『夕焼けに弾を撒け』　[r]　[r]　[r]　2面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　夕焼けって終盤からエンディングのイメージが強くて、[r]\r\n\t\t\t\t\t　序盤で夕焼けをイメージするのは私にとっては結構難しかったりします。[r]\r\n\t\t\t\t\t　あの赤い色を見ると非常にネガティブな感情に支配されますよね。'
	'♪『栗鼠は電気鼠の夢を見るか？』　[r]　[r]　[r]　飛倉 百々のテーマです。　[r]　[r]\r\n\t\t\t\t\t　イマイチどこかカッコよくなりきれていない曲です。[r]\r\n\t\t\t\t\t　私は調べるまで読めなかったのですが栗鼠はリスという意味です。[r]\r\n\t\t\t\t\t　そういえば既に電気のリスも居たような……？'
	'♪『ネフィリムの呼び声』　[r]　[r]　[r]　3面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　恐ろしい反面どこか楽しげなそんな雰囲気を持った曲です。[r]\r\n\t\t\t\t\t　ネフィリムというのは聖書に出てくる巨人の種族で、[r]\r\n\t\t\t\t\t　天から落ちてきた者という意味だってWikip──先生が言ってました。'
	'♪『月下の策謀 〜 Angelic Night』　[r]　[r]　[r]　サラカ・サンタンジェのテーマです。　[r]　[r]\r\n\t\t\t\t\t　どう聴いても誰かさんのテーマ曲のフレーズが聴こえてきますね。[r]\r\n\t\t\t\t\t　お察しの通り今回のパクリ……オマージュ枠です。[r]\r\n\t\t\t\t\t　前回以上にこれでもかと堂々とやってますが、多分大丈夫だと思います（汗'
	'♪『タービュランスタービン』　[r]　[r]　[r]　4面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　涼しい曲を目指してみちゃいました。[r]\r\n\t\t\t\t\t　ゆったりまったり流れる様相が浮かんでくるようなこないような。[r]\r\n\t\t\t\t\t　その反面全く乱気流とかタービンっぽくないです。ぐるぐる。'
	'♪『天夢流星 〜 Royal Monster』　[r]　[r]　[r]　崇徳院 天夢のテーマです。　[r]　[r]\r\n\t\t\t\t\t　今までのネタっぽさに比べるとなんか凄い感じの曲になってます。[r]\r\n\t\t\t\t\t　計画を完璧に練っても実際にやってみるとどうにも失敗してしまう、[r]\r\n\t\t\t\t\t　というのはよくあることです。別にドジっ子属性は要らないです。'
	'♪『ミルキーブロードウェイ』　[r]　[r]　[r]　5面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　後半部始まりましたといった雰囲気になってる曲かと思います。[r]\r\n\t\t\t\t\t　その昔、某百獣の王を見た時は舞台上の凄い迫力にも気圧されましたが、[r]\r\n\t\t\t\t\t　舞台下の楽団の方達の演奏も凄かった気がします。うろ覚えです。'
	'♪『1110年目の飛梅伝説』　[r]　[r]　[r]　八重咲 杏のテーマです。　[r]　[r]\r\n\t\t\t\t\t　途中にわんさか出たあのチビ達を演奏面で参加させてみました。[r]\r\n\t\t\t\t\t　それぞれが鳴物を持っているので折角ですから仕事してもらいます。[r]\r\n\t\t\t\t\t　相対するものと思っていましたが純邦楽と電子音って意外と合いますね。'
	'♪『言霊の霊廟』　[r]　[r]　[r]　6面のテーマです。　[r]　[r]\r\n\t\t\t\t\t　意外とそれだって知らなくても言霊って結構重要視されてますよね。[r]\r\n\t\t\t\t\t　昔から色々と続いている受験などの願掛けですが、[r]\r\n\t\t\t\t\t　企業も神社もみんなしてシャレを言うのはやめなしゃれ。'
	'♪『天満たす御霊 〜 Lightning Word』　[r]　[r]　[r]　禍原 命廟のテーマです。　[r]　[r]\r\n\t\t\t\t\t　ビリッときそうな感じのカッコいい曲を目指してました。[r]\r\n\t\t\t\t\t　この前夕立が凄かった日があって雷もゴロゴロいってました。[r]\r\n\t\t\t\t\t　私のお腹もよくゴロゴロと鳴ってたりしますがこれが結構大変です。'
	'♪『幻光歳華 〜 Infinity Lightning』　[r]　[r]　[r]　ラストスペルのテーマです。　[r]　[r]\r\n\t\t\t\t\t　ラスボスの曲はボスボスしさが休む事なく続いていく感じですので、[r]\r\n\t\t\t\t\t　こちらは対照的に静かな奥深さみたいなものをテーマにしてます。[r]\r\n\t\t\t\t\t　蓋を開けてみると荘厳なのかちょっと楽しげなのかよくわかりません。'
	'♪『ディーヴァズディバイス』　[r]　[r]　[r]　エクストラステージのテーマです。　[r]　[r]\r\n\t\t\t\t\t　そんなに焦ってるわけでもないのにスピード感があります。[r]\r\n\t\t\t\t\t　神々しさみたいなものがもしかしたら感じられたかもしれませんが、[r]\r\n\t\t\t\t\t　道中の”あの子”のテーマ曲を彷彿とさせるフレーズを使ってみました。'
	'♪『命を導く歌 〜 Prospect Mirai』　[r]　[r]　[r]　遠音 リコのテーマです。　[r]　[r]\r\n\t\t\t\t\t　東方らしさとボカロらしさをどうにかして織り交ぜたかった曲です。[r]\r\n\t\t\t\t\t　どうしようか悩んでる内にどちらでもないような曲になりました。[r]\r\n\t\t\t\t\t　ある意味でエクストラっぽさを上手く表せているかもしれません。'
	'♪『導命樹天満宮』　[r]　[r]　[r]　エンディングのテーマです。　[r]　[r]\r\n\t\t\t\t\t　5面ボスのテーマ曲に続いてなんちゃって純邦楽と電子音の曲です。[r]\r\n\t\t\t\t\t　天満宮ってその字面だけでまさに日本って感じがします。[r]\r\n\t\t\t\t\t　「ノルウェー天満宮」とか書いてあっても日本っぽいですよね（？）'
	'♪『エコロジー黎明 〜 Grown Dream』　[r]　[r]　[r]　スタッフロールのテーマです。　[r]　[r]\r\n\t\t\t\t\t　出だしを聞いた瞬間に分かるレベルでもはやアレなわけですが、[r]\r\n\t\t\t\t\t　こちらは引用というよりは所謂アレンジになってます。[r]\r\n\t\t\t\t\t　なんとなくエコっぽく聞こえてれば大体成功してると思います。'
	'♪『プレイヤーズスコア』　[r]　[r]　[r]　ゲームオーバーのテーマです。　[r]　[r]\r\n\t\t\t\t\t　折角でしたので作ってみました。[r]\r\n\t\t\t\t\t　狙ってたものの何故だか予想してた以上に寂しくなりました。[r]\r\n\t\t\t\t\t　失敗してもまた次があります。ゲームも人生も。'
)

Eng_2=(
	'♪¥"Forest of Moriya ~ Eastern Beanstalk¥"　[r]　[r]　[r]　The title screen theme.[r]　[r]　As usual it'"'"'s completely laid-back(?)[r]　The characters for \\\"forest\\\" and \\\"shrine\\\" look pretty similar,[r]　so the title has to be some mistake.[r]　Without realizing it you become confident that it says shrine or something.'
	'♪¥"Alleyway of Roaring Waves¥"　[r]　[r]　[r]　The stage 1 theme.[r]　[r]　For the beginning I imagined a refreshing sea.[r]　Of course for summer vacation you'"'"'ll go to the sea or a pool or someplace like that.[r]　Well, I'"'"'m your typical iron weight, so I stay home and cool myself off there..._(:3 」∠ )_'
	'♪¥"An Ever-Shifting Ancient Faith¥"　[r]　[r]　[r]　Aragami no Kusuko'"'"'s theme.[r]　[r]　When I was a kid I got sick a lot and had to take some awful medicine.[r]　They say that good medicine tastes bad, but powdered medicine is just too awful.[r]　Even now I only like pills and capsules so it sucks when I'"'"'m prescribed powder.'
	'♪¥"Spread Bullets Over the Sunset¥"　[r]　[r]　[r]　The stage 2 theme.[r]　[r]　Sunsets have a strong image of the end of the game,[r]　so I'"'"'m having a difficult time imagining a sunset in the early game.[r]　You see that red color and it feels especially negative.'
	'♪¥"Do Squirrels Dream of Electric Mice?¥"　[r]　[r]　[r]　Momo Tobikura'"'"'s theme.[r]　[r]　It'"'"'s a song which at some point doesn'"'"'t quite become cool.[r]　I couldn'"'"'t read it to the point where I had to look it up,[r]　but \\\"risu\\\" is what you would call a squirrel.[r]　Now that I think about it, wasn'"'"'t there already an electric squirrel...?'
	'♪¥"The Call of the Nephilim¥"　[r]　[r]　[r]　The stage 3 theme.[r]　[r]　It'"'"'s a song with a scary mood which is, on the contrary, somehow cheerful.[r]　The so-called Nephilim are a race of giants that appear in the bible;[r]　Professor Wikipedia also says that they'"'"'re beings which have fallen from heaven.'
	'♪¥"Machinations Under the Moon ~ Angelic Night¥"　[r]　[r]　[r]　Saraka Sant'"'"'Angelo'"'"'s theme.[r]　[r]　No matter how you look at it you can hear a phrase from someone else'"'"'s theme.[r]　Just as you may guess, this time it'"'"'s a ripoff... or rather a homage.[r]　I'"'"'m boldly going this far, as I did in the last work, but I think it'"'"'s probably alright. (Sweat)'
)

# Adjustments and other little things with translations

Before=(
	'ObjText_SetFontType(id,"ＭＳ ゴシック")'
	'作曲'
	'♪？？？？？？？？　[r]　[r]　この曲はまだゲーム中で聴いていません。　[r]　[r]　※決定キーで再生します'
	'？？？？？？？？'
)

After=(
	'ObjText_SetFontType(id,"Tahoma")'
	'Composer'
	'♪ ????????　[r]　[r]　I haven'"'"'t heard this song in-game yet.　[r]　[r]　※To play the song, press the button again'
	'????????'
)

# Operations

cd ../script/Th_mpp/scene;
iconv -f SHIFT-JIS -t UTF-8 MusicName_mpp.dnh > MusicName_mpp.bck;
iconv -f SHIFT-JIS -t UTF-8 Package_MusicRoomScene.dnh > Package_MusicRoomScene.bck;

for ((i=0; i<${#Eng_2[@]}; i++)); do
	Eng_2[i]=${Eng_2[i]//\'/\'\"\'\"\'};
	Eng_2[i]=${Eng_2[i]//\[/\\\[};
	Jap_2[i]=${Jap_2[i]//\[/\\\[};
	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_2[i]}\'/\'${Eng_2[i]}\'/g MusicName_mpp.bck;
done;

for ((i=0; i<${#Eng_1[@]}; i++)); do
	Eng_1[i]=${Eng_1[i]//\'/\'\"\'\"\'};
	eval sed -i -e s/\'${Jap_1[i]}\'/\'${Eng_1[i]}\'/g MusicName_mpp.bck;
done;

for ((i=0; i<${#Before[@]}; i++)); do
	After[i]=${After[i]//\'/\'\"\'\"\'};
	Before[i]=${Before[i]//\[/\\\[};
	Jap_2[i]=${Jap_2[i]//\[/\\\[};
	eval sed -i -e s/\'${Before[i]}\'/\'${After[i]}\'/g Package_MusicRoomScene.bck;
done;

iconv -f UTF-8 -t SHIFT-JIS MusicName_mpp.bck > MusicName_mpp.dnh;
iconv -f UTF-8 -t SHIFT-JIS Package_MusicRoomScene.bck > Package_MusicRoomScene.dnh;
rm MusicName_mpp.bck;
rm Package_MusicRoomScene.bck;
