#!/bin/bash

# Use single quotes to declare string

# =====================================================================================
# Translations

Jap=(
	'博麗霊夢　　　[r]霊烏路空'
	'霧雨魔理沙　　[r]聖白蓮'
	'東風谷早苗　　[r]八坂神奈子'
	'得点記録'
	'挑戦記録'
	'到達記録'
	'面'
	'裏'
)

Eng=(
	'Reimu Hakurei     [r]Utsuho Reiuji'
	'Marisa Kirisame  [r]Byakuren Hijiri'
	'Sanae Kochiya     [r]Kanako Yasaka'
	'Score'
	'Challenged'	# ?
	'Stage'
	'F'
	'B'
)

# Adjustments

Before=(
	'DrawText2(-128,64,216,216,216,type,text[stc],18,"AR P丸ゴシック体M")'
	'DrawText2(-120,64,216,216,216,type,text[stc],18,"AR P丸ゴシック体M")'
	'DrawText2(-112,64,216,216,216,type,text[stc],18,"AR P丸ゴシック体M")'
	'DrawText2(-124,64,216,216,216,type,text[stc],18,"AR P丸ゴシック体M")'
	'DrawText(-128,y-22,255,255,255,type,"Challenged",16,"AR P丸ゴシック体M")'
	'DrawText(0,y-22,255,255,255,type,"Stage",16,"AR P丸ゴシック体M")'
	'AR P丸ゴシック体M'
)

After=(
	'DrawText2(-131,64,216,216,216,type,text[stc],18,"Tahoma")'
	'DrawText2(-118,64,216,216,216,type,text[stc],18,"Tahoma")'
	'DrawText2(-119,64,216,216,216,type,text[stc],18,"Tahoma")'
	'DrawText2(-127,64,216,216,216,type,text[stc],18,"Tahoma")'
	'DrawText(-115,y-22,255,255,255,type,"Challenged",16,"Tahoma")'
	'DrawText(-5,y-22,255,255,255,type,"Stage",16,"Tahoma")'
	'Tahoma'
)


# =====================================================================================
# Options

cd "../script/Th_mpp/scene";
iconv -f SHIFT-JIS -t UTF-8 Package_ResultScene.dnh > Package_ResultScene.bck;

for ((i=0; i < ${#Jap[@]}; i++)); do
	Eng[i]=${Eng[i]//\[/\\\[};
	Jap[i]=${Jap[i]//\[/\\\[};
	Eng[i]=${Eng[i]//\ /\\\\\ };
	eval sed -i -e s/\'${Jap[i]}\'/\'${Eng[i]}\'/g Package_ResultScene.bck;
done;

for ((i=0; i < ${#Before[@]}; i++)); do
	Before[i]=${Before[i]//\[/\\\[};
	After[i]=${After[i]//\[/\\\[};
	eval sed -i -e s/\'${Before[i]}\'/\'${After[i]}\'/g Package_ResultScene.bck;
done;

iconv -f UTF-8 -t SHIFT-JIS Package_ResultScene.bck > Package_ResultScene.dnh;
rm Package_ResultScene.bck;
cd ../../../patch/;
