#!/bin/bash

# Change line breaks with \r\n
# Change tabs with \t
# Change single quotes with '"'"'
# Change in-text double quotes with \\\"
# Use single quotes to declare string

# Stage 6
# Reimu and Utsuho

Jap_6_1_1=(
	'Balloon(CenX+128,CenY+128-32,64+32,0,"大天狗様がお前らを倒せとさ",frame,16,1.0,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-16,1,"何っ！　鴉天狗か、こんな時に！",frame,16,1.2,0.2,0)'
)

Jap_6_1_2=(
	'Balloon(CenX-128,CenY+128-32,64+48,0,"空間の断裂を確認！\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ここがエネルギーの集束点だ！",frame,16,1.0,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+8,0,"もうあんたを守る者は居ないわ。禍公！\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]姿を現しなさい！",frame,16,1.3,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128+4,0,"彦星の　行きあひを待つ　かささぎの",frame,16,1.3,0.26,0)'
	'Balloon(CenX+64,CenY+128-32,128-32,1,"門渡る橋を　我に貸さなむ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,64+48,0,"今度の眼鏡は頭良さそうだなぁ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+98,1,"彦星が、織姫との逢瀬を待つという、鵲（かささぎ）の渡す橋。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それを私に貸して欲しい――",frame,16,2.1,0.4,180)'
	'Balloon(CenX,CenY+128-32,32,0,"はいー？",frame,16,0.5,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+64,1,"天を衝く樹を見た時、貴方は何を連想しましたか？\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]軌道エレベータ？　西洋神話に伝わる世界樹？",frame,16,1.8,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+98+16,1,"残念でした、答えはワープドライブ。\r\n\t\t\t\t\t\t\t[r]今この導命樹は、境界を超える為の空間転移装置、光の橋なのです。",frame,16,2.1,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,1,"そう、この右大臣禍原命廟の力によってね",frame,16,1.5,0.2,180)'
	'Balloon(CenX,CenY+128-32,128,0,"言ってる意味がよくわかんない",frame,16,1.2,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+16,0,"霊夢すごいよ、\r\n\t\t\t\t\t\t\t\t\t\t\t[r]この眼鏡、私と同じかそれ以上の力があるって言ってるの",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,64,0,"分かるのかよ",frame,16,0.8,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+64+8,1,"幻想郷――\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]神奈子殿が紹介してくれた、かの地は本当に素晴らしい。",frame,16,1.8,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128,1,"天才の私にさえ、まだ学ぶべきもの、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]また学ぶべき物が満ち溢れています。",frame,16,1.3,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,1,"しかし、我が飛梅の樹の事は別。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]君達が導命樹と呼ぶこの樹の事はね",frame,16,1.3,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+98-8,0,"そんな事だろうとは思ってたけど、やっぱりそれが動機かあ",frame,16,1.9,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+32,1,"魔術的なアプローチで力を引き出す方法、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それもいずれ研究したいテーマですが",frame,16,1.6,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+98,1,"なにぶん私の本分は学者でしてね。\r\n\t\t\t\t\t\t\t\t\t\t\t[r]この巨大な導命樹を、根拠のある方法で結界の外に戻すには？",frame,16,2.0,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,1,"その結果行き付いたのがワープ理論なのです",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"下にあったタービンやソーラーシステムを補助動力に？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ほへぇ、すごいや。こいつ眼鏡なのに頭いいよ",frame,16,1.8,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128,0,"そういうのは先に言ってくれれば、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]紫とかに相談出来たんだけどなあ。",frame,16,1.2,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+48,0,"守矢の奴らに情報封鎖されてたのね、可哀想な奴",frame,16,1.6,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+64,1,"貴方は賢い巫女さんですね。力も強く、弾幕も切れる。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]かつて私を勧請したあの子のよう。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+48,1,"君のような素晴らしい巫女が太宰府にも居れば、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私ももっと安心して、全国を飛び回れるのに",frame,16,1.6,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"『ださいふ』には弾幕を使う敵がそんなによく来るの？",frame,16,1.8,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+98,1,"でも君はそのような性分ではないでしょうね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]異変の犯人であるこの私を、ここで成敗しなければ気が済まない",frame,16,2.2,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+96+8,0,"事情はともかく、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]万一暴発すれば幻想郷が吹き飛ぶだけのエネルギーを集めている。",frame,16,2.1,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+64+16,0,"毎度毎度思うんだけどね、気が早すぎ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]それと血の気が多すぎるのよ、あんた（異変の犯人）達は",frame,16,1.9,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+96-8,1,"1000年ほど前も言われましたよ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あの頃と比べたら、私も随分丸くなったと思ったのですが…。",frame,16,1.9,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+96-8,1,"それより良いのですか、のんびり世間話をしている間に、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ワープ・エネルギーが臨界点に達するのですが",frame,16,1.9,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"いよいよ、とうとう最終兵器の本当の出番だね！",frame,16,1.8,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"神社裏の梅を祀ったのはやっぱり間違いだったわ。",frame,16,1.8,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+24,0,"この樹のエネルギーと私の怒り、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神社でお湯を沸かす力として活用してやる",frame,16,1.4,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+32,1,"君達は大きな力を持つ、それは認めます。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]しかし、その使い方に無駄が有り過ぎる。",frame,16,1.5,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,1,"幻想郷エネルギー黎明、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]しかし、それはエコロジーの黎明でもある。",frame,16,1.5,0.4,180)'
	'Balloon(CenX-96,CenY+128-32,128+96,1,"新たな時代に相応しい電気の力、この命廟から存分に学び取れ！",frame,16,2.0,0.2,180)'
)

Eng_6_1_1=(
	'Balloon3(3,"The Great Tengu has ordered me to take you down!",frame,0,0,0,0,0)'
	'Balloon3(1,"What! A crow tengu, at a time like this?",frame,0,0,0,0,0)'
)

Eng_6_1_2=(
	'Balloon3(2,"Spatial rift confirmed![r]This is the central focus of the energy!",frame,0,0,0,0,0)'
	'Balloon3(1,"You have no more protectors.[r]Magakimi, show yourself!",frame,0,0,0,0,0)'
	'Balloon4("A pass of margarets...[r]spans the divide...[r]for Hikoboshi'"'"'s re-encounter;",frame,0,0,0,0)'
	'Balloon3(3,"how I wish it would visit...[r]unto me as well.",frame,0,0,0,0,0)'
	'Balloon3(2,"This glasses-wearing person actually looks smart.",frame,0,0,0,0,0)'
	'Balloon3(3,"That is to say, \\\"A bridge of magpies waits for Hikoboshi and[r]Orihime'"'"'s meeting, and I, too, wish to be granted that bridge\\\"--",frame,0,0,0,0,0)'
	'Balloon3(1,"Yes~?",frame,0,50,0,-2,0)'
	'Balloon3(3,"When you saw this heaven-piercing tree, what came to your mind?[r]A space elevator? The World Tree in Western folklore?",frame,0,0,0,0,0)'
	'Balloon3(3,"Unfortunately, the correct answer is a warp drive.[r]Right now, this Life-Guiding Tree is a teleportation[r]device to cross over the border-- a bridge of light.",frame,0,0,0,0,0)'
	'Balloon3(3,"Indeed, this is thanks to the power of[r]Mitama Magahara, Minister of the Right.",frame,0,0,0,0,0)'
	'Balloon3(1,"I really don'"'"'t understand whatever you'"'"'re saying.",frame,0,0,0,0,0)'
	'Balloon3(2,"Reimu, this is amazing![r]This glasses person is saying that she'"'"'s[r]got power on my level, or even greater.",frame,0,0,0,0,0)'
	'Balloon3(1,"You understood all that?",frame,0,0,0,0,0)'
	'Balloon3(3,"Gensokyo-- this land that Madam Kanako[r]introduced to me. It really is wonderful.",frame,0,60,0,0,0)'
	'Balloon3(3,"Even for a genius such as myself, this place[r]is still overflowing with things I have yet to[r]learn, and with things I must learn once again.",frame,0,60,0,0,0)'
	'Balloon3(3,"However, it'"'"'s a different story for my Tobiume tree.[r]That would be the tree you refer to as the Life-Guiding Tree, yes.",frame,0,40,0,0,0)'
	'Balloon3(1,"I'"'"'d been thinking as much.[r]So that'"'"'s your motive, after all.",frame,0,0,0,0,0)'
	'Balloon3(3,"Methods of extracting power via a magical approach[r]are something I want to research soon, too.",frame,0,0,0,0,0)'
	'Balloon3(3,"After all, my duty is that of a scholar.[r]What would be a valid method of returning this giant[r]Life-Guiding Tree to the outside of the barrier?",frame,0,0,0,0,0)'
	'Balloon3(3,"What I came up with, in the end, was warp drive theory.",frame,0,0,0,0,0)'
	'Balloon3(2,"And the turbines and solar panels below are for[r]supporting power? Yeesh, this is really amazing.[r]She'"'"'s got glasses, but she really is smart.",frame,0,0,0,0,0)'
	'Balloon3(1,"If you had just said so earlier,[r]we could'"'"'ve talked to Yukari about it.",frame,0,0,0,0,0)'
	'Balloon3(1,"Those Moriyas must have been blocking[r]all the information. How sad.",frame,0,0,0,0,0)'
	'Balloon3(3,"You certainly are a wise shrine maiden.[r]You'"'"'re strong, and your danmaku is refined.[r]You'"'"'re much like that person who summoned me once before.",frame,0,0,0,0,0)'
	'Balloon3(3,"If we had a wonderful shrine maiden like you in Dazaifu,[r]I'"'"'d have enough freedom to fly around the entire country.",frame,0,0,0,0,0)'
	'Balloon3(2,"Dasaifu? Enemies that use danmaku would[r]often come from a place like that, huh?",frame,0,0,0,0,0)'
	'Balloon3(3,"But you aren'"'"'t that kind of person, are you?[r]You won'"'"'t rest until you punish me, the culprit behind this incident.",frame,0,40,0,0,0)'
	'Balloon3(1,"Putting the details aside, you'"'"'re gathering so much energy that[r]it could blow apart Gensokyo if it happened to go out of control.",frame,0,0,0,0,0)'
	'Balloon3(1,"I find myself thinking this every time, but you culprits[r]are far too impatient and far too hot-blooded.",frame,0,0,0,0,0)'
	'Balloon3(3,"I was told that around 1000 years ago, too![r]Although I thought I'"'"'d mellowed out significantly since that time...",frame,0,40,0,0,0)'
	'Balloon3(3,"More importantly, is this okay with you? While we'"'"'re having[r]this leisurely chat, the warp energy is reaching the critical point.",frame,0,40,0,0,0)'
	'Balloon3(2,"At last, it'"'"'s time for the ultimate[r]weapon to make her real debut!",frame,0,0,0,0,0)'
	'Balloon3(1,"Giving offerings to that plum tree[r]behind the shrine really was a mistake.",frame,0,0,0,0,0)'
	'Balloon3(1,"I'"'"'ll put this tree'"'"'s energy and my anger to good use,[r]and boil some water in the shrine with them.",frame,0,0,0,0,0)'
	'Balloon3(3,"I acknowledge that you hold a great power.[r]However, you are using it without thinking.",frame,0,0,0,0,0)'
	'Balloon3(3,"This shall be Gensokyo'"'"'s energy daybreak,[r]and its ecology daybreak at the same time.",frame,0,0,0,0,0)'
	'Balloon3(3,"Now, allow I, Mitama, to educate you on this[r]electrical power appropriate for a new era!",frame,0,0,0,0,0)'
)

# Marisa and Byakuren

Jap_6_2_1=(
	'Balloon(CenX,CenY+128-32,128+48,0,"人間、この新しい玩具（カメラ）で遊んであげよう",frame,16,1.7,0.2,180)'
	'Balloon(CenX,CenY+128-32,98-4,1,"天狗は籠ってりゃ良いんだ",frame,16,1.0,0.2,0)'
)

Jap_6_2_2=(
	'Balloon(CenX,CenY+128-32,128,0,"さあて、いよいよ禍公とのご対面か",frame,16,1.2,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+32,0,"平安きっての秀才、そして詩聖と呼ばれた方",frame,16,1.5,0.2,180)'
	'Balloon2(CenX-32,CenY+128-32,128+8,-2,"このたびは　幣もとりあえず　手向山",frame,16,1.4,0.26,0)'
	'Balloon(CenX+64,CenY+128-32,128-32-8,1,"紅葉の錦　神のまにまに",frame,16,0.9,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-48,0,"何だよその投げ槍な歌",frame,16,0.8,0.2,0)'
	'Balloon(CenX-128,CenY+128-32,128+98+8,1,"投げ槍？\r\n\t\t\t\t\t\t\t\t\t\t[r]私には図らずも、現在の状況を暗に示しているように思えますがね",frame,16,2.1,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128-8,0,"姿はかりそめの物でしょうが――\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]やはり、菅原道真公！",frame,16,1.1,0.4,180)'
	'Balloon(CenX,CenY+128-32,128-16,1,"男もすなる日記といふものを、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]女もしてみむとてするなり――",frame,16,1.1,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64-8,1,"紀貫之殿のあのアプローチ、面白いと思いましてね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]これは実際にやってみるしかないなと。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+8,1,"死は生命の終焉にあらず、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]肉体という箍からの霊魂の解放です。",frame,16,1.2,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+32+8,1,"要は、霊ですから姿形なんて自由自在なんですよ",frame,16,1.6,0.2,180)'
	'Balloon(CenX,CenY+128-32,128-16,0,"気になった事は何でも試すのか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]何か気が合いそうな奴だ",frame,16,1.1,0.4,0)'
	'Balloon(CenX-128,CenY+128-32,128+16,0,"この樹の発光も\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]『やってみるしかなかった』のですか？",frame,16,1.3,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+64+8,1,"天才と呼ばれる私ですが、\r\n\t\t\t\t\t\t\t\t\t\t\t\t[r]言い換えればただ詩人と学者を半端に掛け持つ器用貧乏。",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,1,"私、こう見えて実に不器用な物でしてね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]導命樹を結界の外へ戻す為には",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+24,0,"このアプローチしか思い付かなかった物で",frame,16,1.4,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+64+8,0,"そういう迷える子羊の為の霧雨魔法店があるんだがなぁ",frame,16,1.8,0.2,0)'
	'Balloon(CenX-128-32,CenY+128-32,128+48+4,0,"あら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]商売する気でやっていたとは思っていませんでした",frame,16,1.65,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32+8,1,"幻想郷の人間はお喋りが好きなのですねえ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]祟徳殿や杏の話し相手もしてくれたようですが",frame,16,1.6,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+64+4,1,"おかげで、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]そろそろ私の溜めて来たエネルギーは臨界点に到達する",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,128-48,0,"くそ、お前策士だな",frame,16,0.8,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128-48,0,"ええ、作詩は我が生業",frame,16,0.8,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+48+4,0,"貴方達の目的は、膨大なエネルギーで空間を歪ませ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]導命樹を持ち去る事、ですね",frame,16,1.7,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32+8,1,"一時期ワープ理論として注目されていた物です。",frame,16,1.6,0.2,180)'
	'Balloon(CenX-98,CenY+128-32,128+64+16,1,"私は学者、神奈子殿が樹をこちらへ持って来た時のように、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]原理不明の魔法で一瞬とはいかないものでしてね。",frame,16,1.9,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+64-8,1,"まあ大丈夫ですよ、暴発して幻想郷が吹き飛んだら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ここに天満宮を建てて弔ってあげますから",frame,16,1.7,0.4,180)'
	'Balloon(CenX,CenY+128-32,128-98+8,0,"やめろ馬鹿",frame,16,0.5,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128+48+16,1,"ええ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]より安全で確実な選択肢をお持ちならば、その通りに。",frame,16,1.7,0.4,180)'
	'Balloon(CenX+64,CenY+128-32,128-16,1,"しかし、そちらのお坊さん――",frame,16,1.1,0.2,180)'
	'Balloon(CenX-128,CenY+128-48,128-32-8,0,"私がどうかしましたか？",frame,16,0.9,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+16,1,"醍醐天皇を怨み殺そうとした時、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方の弟君に阻まれた事がありましてね",frame,16,1.4,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-48,128+24,0,"ま、まあまあ。今はそんな事など。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]どうかザクロでも食べて心をお鎮め下さい",frame,16,1.4,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+64+24,0,"結局、お前はその力を見せびらかしたいだけなんじゃないか",frame,16,2.0,0.2,0)'
	'Balloon(CenX-64,CenY+128-32,128-16,0,"否定するつもりはありませんね。",frame,16,1.1,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64+16,0,"妖怪聖の邪法にも、ただの人間でありながら\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]此処まで辿り着いた貴方の強さにも、ともに興味があります",frame,16,2.0,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32+8,0,"そんな事も分からないのか。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]人の強さ、それは昔から友情・努力・勝利だぜ",frame,16,1.5,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+32+8,0,"幻想郷は未だに前時代の精神論に囚われている。",frame,16,1.6,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64+24+4,0,"幻想郷の統治者には、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私のような学者は都合が悪いとすら映っているのかも知れない。",frame,16,2.0,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64+20,0,"貴方達はここで学ぶべきです。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]エコという言葉を実現したければ、選択肢は対極の二つ――",frame,16,1.9,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,0,"最先端の知識と技術を身につけるか、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]このまま永遠に歩みを止め続けるか！！",frame,16,1.3,0.4,180)'
)

Eng_6_2_1=(
	'Balloon3(3,"Hey, humans, I'"'"'ll let you play with this new camera I got!",frame,0,0,0,0,0)'
	'Balloon3(1,"I wish you tengu would just stay cooped up.",frame,0,0,0,0,0)'
)

Eng_6_2_2=(
	'Balloon3(1,"All right, are we finally gonna meet with Magakimi?",frame,0,0,0,0,0)'
	'Balloon3(2,"Known as a brilliant student,[r]and a poetic genius in the Heian era...",frame,0,0,0,0,0)'
	'Balloon4("On this journey, I brought not...[r]the sacred streamers...[r]to the hill of offerings;",frame,0,0,0,0)'
	'Balloon3(3,"gods, please accept instead...[r]this brocade of crimson leaves.",frame,0,0,0,0,0)'
	'Balloon3(1,"What'"'"'s with that poem you just tossed out at us?",frame,0,0,0,0,0)'
	'Balloon3(3,"Tossed out? I didn'"'"'t intend on that; I just thought[r]it indirectly referred to the present situation.",frame,0,0,0,0,0)'
	'Balloon3(2,"Your appearance seems rather transient, but--[r]it'"'"'s you after all, Sugawara no Michizane!",frame,0,0,0,0,0)'
	'Balloon3(3,"Diaries are written by men, I am told;[r]nevertheless I am writing one, to see what a woman can do--",frame,0,0,0,0,0)'
	'Balloon3(3,"That approach used by Ki no Tsurayuki is quite interesting.[r]I thought I simply must try it for myself.",frame,0,0,0,0,0)'
	'Balloon3(3,"Death is not the end of one'"'"'s life. It is simply[r]the liberation of one'"'"'s soul from the braces of the body.",frame,0,0,0,0,0)'
	'Balloon3(3,"The point is that since I'"'"'m a spirit,[r]I can freely alter my form.",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'ll try out anything that interests ya?[r]Huh, I think we'"'"'d get along pretty well.",frame,0,0,0,0,0)'
	'Balloon3(2,"Is the light coming from this tree also[r]something you \\\"thought you simply must try\\\"?",frame,0,0,0,0,0)'
	'Balloon3(3,"I certainly am known as a prodigy. However, you could also[r]say that I'"'"'m a jack of all trades, and a master of none:[r]only half-baked in both poetry and scholastics.",frame,0,0,0,0,0)'
	'Balloon3(3,"I may look like this, but I'"'"'m actually rather awkward.[r]To return the Life-Guiding Tree to the outside of the barrier...",frame,0,0,0,0,0)'
	'Balloon3(3,"I couldn'"'"'t think of any method other than this.",frame,0,0,0,0,0)'
	'Balloon3(1,"The Kirisame Magic Shop is there for lost[r]lambs such as yerself, I'"'"'ll have ya know.",frame,0,0,0,0,0)'
	'Balloon3(2,"My, I didn'"'"'t think that you[r]were very business-minded.",frame,0,0,0,0,0)'
	'Balloon3(3,"The humans of Gensokyo certainly like[r]to talk. It seems you were striking up[r]conversations with Suitokuin and An as well.",frame,0,0,0,0,0)'
	'Balloon3(3,"Thanks to that, though, the energy I'"'"'ve[r]gathered will soon reach the critical point.",frame,0,0,0,0,0)'
	'Balloon3(1,"Crap. You really are a tactician.",frame,0,0,0,0,0)'
	'Balloon3(3,"Well, yes, writing poems is my job.",frame,0,0,0,0,0)'
	'Balloon3(2,"Your goal is to use this huge energy to warp space,[r]and carry the Life-Guiding Tree out of here, then?",frame,0,0,0,0,0)'
	'Balloon3(3,"For a period of time, warp drive theory[r]attracted a great deal of attention.",frame,0,0,0,0,0)'
	'Balloon3(3,"I am a scholar. I cannot for a moment consider[r]using magic that operates under unknown principles,[r]as Madam Kanako did when she brought the tree here.",frame,0,0,0,0,0)'
	'Balloon3(3,"It'"'"'s all right, though. If it happens to go out of control and[r]blow up Gensokyo, I'"'"'ll build a Tenman-guu shrine here in mourning.",frame,0,40,0,0,0)'
	'Balloon3(1,"Cut this out, you moron!",frame,0,40,0,0,0)'
	'Balloon3(3,"If there were a safer, more certain choice,[r]I would certainly have taken it.",frame,0,0,0,0,0)'
	'Balloon3(3,"However, miss monk over there...",frame,0,0,0,0,0)'
	'Balloon3(2,"Is there something the matter?",frame,0,0,0,0,0)'
	'Balloon3(3,"When I was going to curse Emperor Daigo to death,[r]I believe your younger brother was the one who blocked me?",frame,0,0,0,0,0)'
	'Balloon3(2,"Oh, er, well. What does that matter now?[r]Please, just eat a pomegranate and calm your mind.",frame,0,0,0,0,0)'
	'Balloon3(1,"You just wanna show off that power[r]of yours in the end, don'"'"'tcha?",frame,0,0,0,0,0)'
	'Balloon3(3,"I don'"'"'t intend to deny you.",frame,0,0,0,0,0)'
	'Balloon3(3,"I have a great interest in both the heretical teachings[r]of this youkai priest, and the strength you must have[r]to come all the way here despite being a mere human.",frame,0,0,0,0,0)'
	'Balloon3(1,"Do you really not get that?[r]Friendship, effort and victory are[r]what human strength has always been.",frame,0,0,0,0,0)'
	'Balloon3(3,"Gensokyo is still seized with the[r]spiritualism of a previous era.",frame,0,0,0,0,0)'
	'Balloon3(3,"A scholar such as myself may very well be seen[r]as an inconvenience by Gensokyo'"'"'s rulers.",frame,0,0,0,0,0)'
	'Balloon3(3,"This is something that you should learn.[r]If you want to realize the word \\\"ecology\\\",[r]there are two opposing choices available---",frame,0,0,0,0,0)'
	'Balloon3(3,"Will you arm yourself with the forefront of knowledge and skill,[r]or will you just stop in your tracks for all eternity?!",frame,0,0,0,0,0)'
)

# Sanae and Kanako

Jap_6_3_1=(
	'Balloon(CenX+128,CenY+128-32,64+32,0,"大天狗様がお前らを倒せとさ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128-16,1,"小賢しい烏め、私の前に跪け！",frame,16,1.2,0.2,180)'
)

Jap_6_3_2=(
	'Balloon(CenX-128,CenY+128-32,64+64+16,0,"流石に、あの木霊はもう追って来ないか",frame,16,1.4,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"彼女こそ、忠臣と呼ぶに相応しい方でしたね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]私も、いつかあれほど敬われる神様になりたい",frame,16,1.6,0.4,0)'
	'Balloon2(CenX-32,CenY+128-32,128+16,-2,"東風吹かば　にほひをこせよ　むめの花",frame,16,1.4,0.26,0)'
	'Balloon(CenX+64,CenY+128-32,128-32-8,1,"主無しとて　春な忘れそ",frame,16,1.0,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,64-8,0,"現れたな、禍公",frame,16,0.8,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,1,"主である私が居なくなっても、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]春になったら忘れずに、花の匂いを届けておくれ――",frame,16,1.8,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,1,"彼女は実に、私の言葉に忠実でした。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]だからこそ、私もそれに報いぬわけには行かぬのです。",frame,16,1.8,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,1,"導命樹はこちらに返して貰いますよ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]神奈子殿、それに早苗君",frame,16,1.3,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+48,0,"こうまで話がこじれてしまったんじゃ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]流石に素直に謝るしか無いんじゃないでしょうか",frame,16,1.6,0.4,0)'
	'Balloon(CenX,CenY+128-32,128-48+8,0,"ほら、神奈子様実行犯！",frame,16,0.9,0.2,0)'
	'Balloon(CenX-98,CenY+128-32,128-8,0,"え、あ、はい、すいませんでした。",frame,16,1.2,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64-8,0,"しかし驚いた物だ、私達の客人として振舞いながら、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]裏でこれ程の準備を整えていたとは。",frame,16,1.7,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128-32,0,"流石は、かの菅原道真公か",frame,16,1.0,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,0,"ええ！？　学問の神様の人だったんですか！？",frame,16,1.6,0.2,0)'
	'Balloon(CenX,CenY+128-32,128-32,0,"太宰府天満宮行きましたよ、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]お受験の時に合格祈願に",frame,16,1.0,0.4,0)'
	'Balloon(CenX,CenY+128-32,128+8,1,"あ、どうも。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]お土産に梅酒とか買って頂けました？",frame,16,1.3,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+64+8,0,"天狗と結んでいたとは、道理でおかしな話だと思ったよ。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]いくら貴方が強力な神と言え",frame,16,1.8,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+48,0,"私達の目を盗み続けて、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]ソーラーシステムやタービンを揃えられるなんて",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,1,"この世界に祟徳殿が居られたのは幸いでした。",frame,16,1.5,0.2,180)'
	'Balloon(CenX,CenY+128-32,128+32,1,"大怨霊同士、私達はちょっとした友人ですので",frame,16,1.6,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+48+8,0,"おかげで、危うく私達が濡れ衣を受ける所でしたよ",frame,16,1.7,0.2,0)'
	'Balloon(CenX,CenY+128-32,128+32,1,"それは僥倖、濡れていれば我が雷もよく通る",frame,16,1.5,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+32+8,0,"発電装置の助けを借り、導命樹に特大の――\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]幻想郷を焦土にしかねないエネルギーを生成する",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,1,"その危険性を口実に、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方達を叩くのが祟徳殿の筋書きですね。",frame,16,1.4,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+48,1,"もっとも、私がエネルギーを制御している限り、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それは有り得ませんし、",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32,1,"そもそもこのエネルギーは\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]それを目的として集めた物でもありませんが",frame,16,1.4,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128-16,0,"そして貴方は戦力が手に入る。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]なるほど利害は一致している。",frame,16,1.1,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128,0,"私達の面目が丸潰れになる所だったが",frame,16,1.3,0.2,180)'
	'Balloon(CenX-128,CenY+128-32,128+64-8,1,"山を占拠し、地底に介入し、更に空飛ぶ船に聖徳王、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]西洋の天使に大魔王まで呼び込んだ。",frame,16,1.8,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32+4,1,"今更、貴方達に潰れる面子などあるのですか？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]くすくす",frame,16,1.5,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+48-8,0,"しくしく、だから明星の異変は違うんですって",frame,16,1.6,0.2,0)'
	'Balloon(CenX,CenY+128-32,128+8,1,"私がエネルギーを集めた本当の目的は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]科学的に空間の境界を歪める事で",frame,16,1.3,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+32+8,1,"我が飛梅の樹――\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方達にとっての導命樹を太宰府に引き取る為。",frame,16,1.6,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,1,"ああ、代わりのエコの樹ですか？\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t[r]後で太宰府から梅の小枝を送ります。",frame,16,1.3,0.4,180)'
	'Balloon(CenX,CenY+128-32,128,0,"1000年もすれば丁度良く育つでしょう",frame,16,1.3,0.2,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+24,0,"10年先だって分からないこのご時世なのに",frame,16,1.4,0.2,180)'
	'Balloon(CenX-64,CenY+128-32,128+48-8,0,"神奈子様のような神様でも、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]元の世界での信仰の減少には耐えられなかった。",frame,16,1.6,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+8,0,"貴方は有名だから大丈夫でしょうが…\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]あの木霊の子は大丈夫でしょうか？",frame,16,1.3,0.4,0)'
	'Balloon(CenX-64,CenY+128-32,128+24+4,0,"外に出した途端に消えてしまったりとか――",frame,16,1.5,0.2,0)'
	'Balloon(CenX,CenY+128-32,128+8,1,"私が何を言いたいのか、また…\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]失礼、まだお分かりいただけませんか？",frame,16,1.3,0.4,180)'
	'Balloon(CenX-128-32,CenY+128-32,128+24+2,0,"『余計なお世話だ、樹は返して貰う、死ね』",frame,16,1.4,0.2,180)'
	'Balloon(CenX-32,CenY+128-32,128+32+8,1,"私は未だに、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]怖い崇り神のイメージが抜けていないのですね。",frame,16,1.6,0.4,180)'
	'Balloon(CenX-64,CenY+128-32,128+32,0,"エコロジーの概念は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]外の世界でもまだ芽生え始めたばかりの物。",frame,16,1.5,0.4,180)'
	'Balloon(CenX+32,CenY+128-32,128-24,0,"それを幻想郷に回す事くらい、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この私に頼めば容易かった事。",frame,16,1.1,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+64,0,"だのに、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]具体論よりもまずシンボルの確保から始めるなんて――",frame,16,1.8,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128-32-8,0,"絶対許されませんよねー",frame,16,1.0,0.2,0)'
	'Balloon(CenX+64,CenY+128-32,128-32,1,"生物、鉱物、植物――\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]この星の全ては人間の物。",frame,16,1.0,0.4,180)'
	'Balloon(CenX-128,CenY+128-32,128+98,1,"エコという概念は、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]人類史の長きに渡る人間のエゴから生み出されたアンチテーゼ。",frame,16,2.0,0.4,180)'
	'Balloon(CenX,CenY+128-32,128+16,1,"本当に己が所有物と言える物など、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]果たしてこの世にどれ程あるでしょうか。",frame,16,1.4,0.4,180)'
	'Balloon(CenX-98,CenY+128-32,128+64+16,1,"そう言えば下層をうろついていた天使も言っていましたね。\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]貴方達もそろそろ学ぶべきでしょう。",frame,16,1.9,0.4,180)'
	'Balloon(CenX-32,CenY+128-32,128+24,1,"――エコとエゴは光と闇、\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t[r]決して切り離す事など出来ぬと云う事を！",frame,16,1.4,0.4,180)'
)

Eng_6_3_1=(
	'Balloon3(3,"The Great Tengu has ordered me to take you down!",frame,0,0,0,0,0)'
	'Balloon3(2,"Impudent fowl! You will kneel before me!",frame,0,0,0,0,0)'
)

Eng_6_3_2=(
	'Balloon3(2,"So, is that kodama really not chasing us now?",frame,0,0,0,0,0)'
	'Balloon3(1,"If anyone were to be called a \\\"loyal servant\\\", it'"'"'d be her.[r]I want to become a god that people revere that much too, someday.",frame,0,0,0,0,0)'
	'Balloon4("When the east wind blows,...[r]let it send your fragrance,...[r]oh plum blossoms.",frame,0,0,0,0)'
	'Balloon3(3,"Though your master is lost,...[r]do not forget spring.",frame,0,0,0,0,0)'
	'Balloon3(2,"So you show yourself, Magakimi.",frame,0,0,0,0,0)'
	'Balloon3(3,"Though I, your master, am no longer with you, do not forget me when[r]spring comes, and let the wind carry the scent of your flowers---",frame,0,40,0,0,0)'
	'Balloon3(3,"She truly was faithful to my words.[r]It is for that reason that I must repay her.",frame,0,0,0,0,0)'
	'Balloon3(3,"I'"'"'ll have you return the Life-Guiding Tree[r]to me now, Madam Kanako, and young Sanae.",frame,0,0,0,0,0)'
	'Balloon3(1,"The conversation'"'"'s gotten complicated by now,[r]so we can'"'"'t do much but cooperate and apologize, can we?",frame,0,0,0,0,0)'
	'Balloon3(1,"Come on, Lady Kanako![r]You'"'"'re the perpetrator, here!",frame,0,0,0,0,0)'
	'Balloon3(2,"Er, um, yes, I'"'"'m very sorry.",frame,0,0,0,0,0)'
	'Balloon3(2,"I'"'"'m surprised, though. You'"'"'ve been acting like our honored[r]guest, while preparing all this behind the scenes.",frame,0,0,0,0,0)'
	'Balloon3(2,"As expected of Sugawara no Michizane.",frame,0,0,0,0,0)'
	'Balloon3(1,"Whaa?! She'"'"'s the god of scholasrs?!",frame,0,0,0,0,0)'
	'Balloon3(1,"I went to the Tenman-guu shrine in Dazaifu[r]during my exams, and I prayed that I'"'"'d pass them.",frame,0,0,0,0,0)'
	'Balloon3(3,"Oh, why, thank you.[r]Did you buy some of the plum liquor as a souvenir?",frame,0,0,0,0,0)'
	'Balloon3(2,"This explains why you were conspiring with[r]the tengu. I did think that was strange.[r]No matter how powerful of a god you are.",frame,0,0,0,0,0)'
	'Balloon3(2,"You continued eluding us, in order to[r]set up those solar panels and turbines.",frame,0,0,0,0,0)'
	'Balloon3(3,"It was fortunate that Suitokuin was in this world.",frame,0,0,0,0,0)'
	'Balloon3(3,"We have some degree of friendship as[r]fellow great vengeful spirits, you see.",frame,0,0,0,0,0)'
	'Balloon3(1,"Our names were almost dragged through the mud, thanks to you!",frame,0,0,0,0,0)'
	'Balloon3(3,"That'"'"'s fortunate. If you'"'"'re muddy and wet,[r]it'"'"'ll conduct my lightning well.",frame,0,0,0,0,0)'
	'Balloon3(2,"With the aid of those electrical generators, you'"'"'ve[r]produced this huge energy in the Life-Guiding Tree--[r]enough to reduce Gensokyo to a burnt wasteland.",frame,0,0,0,0,0)'
	'Balloon3(3,"Suitokuin'"'"'s plan was simply to use that[r]danger as an excuse to put you down.",frame,0,0,0,0,0)'
	'Balloon3(3,"In fact, as long as I'"'"'m controlling the[r]energy, nothing like that is possible,",frame,0,0,0,0,0)'
	'Balloon3(3,"and I'"'"'m not even gathering the energy[r]for that purpose to begin with.",frame,0,0,0,0,0)'
	'Balloon3(2,"And so, the two of you joined forces.[r]I see. Your interests agreed with each other.",frame,0,0,0,0,0)'
	'Balloon3(2,"Our reputation was about to be completely ruined.",frame,0,0,0,0,0)'
	'Balloon3(3,"You occupied the mountain, you interfered underground,[r]and you called forth a flying ship, King Shoutoku,[r]and even the western angels and their demon lord.",frame,0,0,0,0,0)'
	'Balloon3(3,"Do you really have any reputation[r]left to ruin? Heh heh.",frame,0,0,0,0,0)'
	'Balloon3(1,"*sob*, I'"'"'m telling you, the[r]Morning Star Incident was different!",frame,0,0,0,0,0)'
	'Balloon3(3,"My true goal in collecting this energy was[r]to scientifically warp the borders of space,",frame,0,0,0,0,0)'
	'Balloon3(3,"and return my Tobiume tree-- which you know[r]as the Life-Guiding Tree-- to Dazaifu.",frame,0,0,0,0,0)'
	'Balloon3(3,"Ah, and as for your replacement tree of ecology?[r]I'"'"'ll send you a small plum branch from Dazaifu later.",frame,0,0,0,0,0)'
	'Balloon3(3,"In about 1000 years, it'"'"'ll have grown to just the right size.",frame,0,0,0,0,0)'
	'Balloon3(2,"We can'"'"'t even see things 10 years in advance, these days...",frame,0,0,0,0,0)'
	'Balloon3(1,"Even a goddess like Lady Kanako couldn'"'"'t[r]bear the loss of faith in the outside world.",frame,0,0,0,0,0)'
	'Balloon3(1,"You'"'"'re very well-known, so you'"'"'ll be all[r]right... but what about that kodama girl?",frame,0,0,0,0,0)'
	'Balloon3(1,"She might vanish as soon as you reach the outside, or--",frame,0,0,0,0,0)'
	'Balloon3(3,"Once again, what do I want to say...?[r]I'"'"'m sorry, but perhaps you understand already?",frame,0,0,0,0,0)'
	'Balloon3(2,"Mind your own business, hand the tree over, drop dead.",frame,0,0,0,0,0)'
	'Balloon3(3,"It seems that my image as a fearful,[r]vengeful god hasn'"'"'t faded away yet.",frame,0,0,0,0,0)'
	'Balloon3(3,"The concept of ecology is something that'"'"'s only[r]just begun to sprout, even in the outside world.",frame,0,0,0,0,0)'
	'Balloon3(3,"If you wanted to pass that on to Gensokyo,[r]just asking me would be easy enough.",frame,0,0,0,0,0)'
	'Balloon3(3,"Despite that, you started by securing a symbolic facade,[r]rather than putting real knowledge to work--",frame,0,0,0,0,0)'
	'Balloon3(1,"This is completely unforgivable!",frame,0,0,0,0,0)'
	'Balloon3(3,"Animals, minerals, plants--[r]everything on this planet belongs to humans.",frame,0,0,0,0,0)'
	'Balloon3(3,"The concept of ecology is the antithesis of that,[r]born from the egotism of mankind throughout its long history.",frame,0,0,0,0,0)'
	'Balloon3(3,"How many things in this world can really,[r]truly be said to be your possessions?",frame,0,0,0,0,0)'
	'Balloon3(3,"Speaking of which, that angel hanging around[r]the lower strata also said as much. This is[r]something that you, too, should soon learn.",frame,0,0,0,0,0)'
	'Balloon3(3,"---\\\"Eco\\\" and \\\"ego\\\" are like light and darkness,[r]and the two of them absolutely cannot be separated!",frame,0,0,0,0,0)'
)

# Operations

cd ../script/Th_mpp/enm/stg6/

for ((pl=1; pl<4; pl++)); do
	name_orig="06_Event01_ht_PL0"$pl".dnh";
	name_bck="06_Event01_ht_PL0"$pl".bck";
	iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
done;
for ((pl=1; pl<4; pl++)); do
	name_orig="06_Event01_PL0"$pl".dnh";
	name_bck="06_Event01_PL0"$pl".bck";
	iconv -f SHIFT-JIS -t UTF-8 $name_orig > $name_bck;
done;


for ((i=0; i<${#Jap_6_1_1[@]}; ++i)); do
	Eng_6_1_1[i]=${Eng_6_1_1[i]//\'/\'\"\'\"\'};
	Eng_6_1_1[i]=${Eng_6_1_1[i]//\[/\\\[};
	Jap_6_1_1[i]=${Jap_6_1_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_1_1[i]}\'/\'${Eng_6_1_1[i]}\'/g 06_Event01_ht_PL01.bck;
done;

for ((i=0; i<${#Jap_6_2_1[@]}; ++i)); do
	Eng_6_2_1[i]=${Eng_6_2_1[i]//\'/\'\"\'\"\'};
	Eng_6_2_1[i]=${Eng_6_2_1[i]//\[/\\\[};
	Jap_6_2_1[i]=${Jap_6_2_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_2_1[i]}\'/\'${Eng_6_2_1[i]}\'/g 06_Event01_ht_PL02.bck;
done;

for ((i=0; i<${#Jap_6_3_1[@]}; ++i)); do
	Eng_6_3_1[i]=${Eng_6_3_1[i]//\'/\'\"\'\"\'};
	Eng_6_3_1[i]=${Eng_6_3_1[i]//\[/\\\[};
	Jap_6_3_1[i]=${Jap_6_3_1[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_3_1[i]}\'/\'${Eng_6_3_1[i]}\'/g 06_Event01_ht_PL03.bck;
done;

for ((i=0; i<${#Jap_6_1_2[@]}; ++i)); do
	Eng_6_1_2[i]=${Eng_6_1_2[i]//\'/\'\"\'\"\'};
	Eng_6_1_2[i]=${Eng_6_1_2[i]//\ /\\\ };
	Jap_6_1_2[i]=${Jap_6_1_2[i]//\[/\\\[};
	Eng_6_1_2[i]=${Eng_6_1_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_1_2[i]}\'/\'${Eng_6_1_2[i]}\'/g 06_Event01_PL01.bck;
done;

for ((i=0; i<${#Jap_6_2_2[@]}; ++i)); do
	Eng_6_2_2[i]=${Eng_6_2_2[i]//\'/\'\"\'\"\'};
	Eng_6_2_2[i]=${Eng_6_2_2[i]//\ /\\\ };
	Jap_6_2_2[i]=${Jap_6_2_2[i]//\[/\\\[};
	Eng_6_2_2[i]=${Eng_6_2_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_2_2[i]}\'/\'${Eng_6_2_2[i]}\'/g 06_Event01_PL02.bck;
done;

for ((i=0; i<${#Jap_6_3_2[@]}; ++i)); do
	Eng_6_3_2[i]=${Eng_6_3_2[i]//\'/\'\"\'\"\'};
	Eng_6_3_2[i]=${Eng_6_3_2[i]//\ /\\\ };
	Jap_6_3_2[i]=${Jap_6_3_2[i]//\[/\\\[};
	Eng_6_3_2[i]=${Eng_6_3_2[i]//\[/\\\[};

	eval sed -i -e :a -e '\$\!{' -e N -e ba -e '}' -e s/\'${Jap_6_3_2[i]}\'/\'${Eng_6_3_2[i]}\'/g 06_Event01_PL03.bck;
done;

for ((pl=1; pl<4; pl++)); do
	name_orig="06_Event01_ht_PL0"$pl".dnh";
	name_bck="06_Event01_ht_PL0"$pl".bck";
	iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
	rm $name_bck;
done;
for ((pl=1; pl<4; pl++)); do
	name_orig="06_Event01_PL0"$pl".dnh";
	name_bck="06_Event01_PL0"$pl".bck";
	iconv -f UTF-8 -t SHIFT-JIS $name_bck > $name_orig;
	rm $name_bck;
done;
